Title

You are here: Title

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium
+32 9 252 66 28

www.buildsoft.eu
support@buildsoft.eu
Diamonds 2025.0
version 25.1
Copyright © 2025 BuildSoft


Disclaimer

You are here: Disclaimer

© BuildSoft, version 25.1

Any representation or reproduction, of all or part of the materials is strictly prohibited without a prior written permission from BuildSoft.

By purchasing the Diamonds software, the purchaser acquires a license of use. Under no circumstances can the user assign the license in part or in total to a third party without a prior written consent of the publisher.

The publisher holds no responsibility for possible faults that the program and/ or the here mentioned manual may include and declines any responsibility for damages arising from misuse of the Diamonds software and/ or the here mentioned manual.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium
+32 9 252 66 28


Table of contents

You are here: Table of contents

Table of contents

Title
Disclaimer
1 Introduction
What does this manual consist of?
Preliminary information
Overview of shortcuts in Diamonds
Relative convention for axes of bars
2 Working environment
General rules
Selection of elements
Selecting using the mouse
Selecting via "Selection" menu
Selecting via "Selection" menu - predefined choises
Selecting using the "Selection" menu - Most loaded bars
Selecting using the "Selection" menu - Most loaded surfaces
Use of CTRL- and ALT-keys
Selecting additional elements
Intelligent cursor
Toolbar
Managing projects
Opening a new project
Saving a project
Opening a project
Using templates
Printing a model window and managing the calculation reports
Printing a model window
Copying and pasting a model window
Managing the calculation reports
Cancelling and reseting an operation
Partial hiding
Drawing grid
Design types
Analysis functions
Orientation of the model
Drawing plane
Zooming and panning
Measuring
Managing model windows
Configuration settings
What is a configuration?
Definition and modification of a configuration
The General tab
The Geometry tab
The Mesh tab
The Loads tab
The Results tab
Tables
Table 'Data'
Table ‘Results’
Table 'Equilibrium check'
Table 'Modal information'
Modal reaction
Detailed results on cross sections
Stresses
Thermal response
Detailed results
Steel connections
Log in and notifications
Icon palette
'Geometry' pallet
Selecting pointer
Label and comment
Drawing points
Drawing lines
Erasing points, lines and planes
Drawing structure elements
Searching slabs or plates
Dividing lines
Extruding
Parametric forms
Parametric structures
Displacing and copying
Rotating
Projection
Mirroring
Intersections
Verification of a model
Scale geometry
Modifying properties common for several elements
Properties of bars
Dimensions
Section properties
General tab
Elastic tab
Plastic tab
Effective tab
Design tab
Materials, covers (concrete) and the method of manufacturing
Local axis of bars
Derived Sections
Properties of slabs and plates
Properties of cross-sections
Stiffness matrix
Materials and covers of slabs
Local axis of slabs
Characteristics of footings
Choosing a cross-section in the section library
Choice of materials
Rotation of cross-sections
Allocating supports
Support points and support lines
Surface support
End conditions for bars and tie rods
Tie rod(s)
Displacement rigidity at bar ends
Defining a rigidity diagram
Haunches
Boundary conditions for plates
Eccentricity of bars
Eccentricity of a beam related to a slab
Eccentricity between bars
Physical model
Rigid links
Buckling and lateral buckling settings
Buckling length of an individual bar
Lateral buckling lengths
Settings for steel verification (lateral buckling)
Fire protection
Lines and nodes modifications
Copying and pasting geometry properties
‘Loads’ pallet
Load groups
Choosing a standard
Choosing the consequence class and design lifetime
Choosing a service category
Defining or cancelling load groups
Defining incompatible load groups
Defining linked load groups
Defining sub load groups
Load combinations
Combinations in time
Loads
Scale loads
Point loads at nodes
Moments at nodes
Point loads at bars
Moments at bars
Uniformly distributed linear loads and trapezium loads
Distributed torsion
Force on surface
Surface load generator on bars
Temperature loads
Temperature loads on bars
Temperature loads on surfaces
Wind generator
Wind terrainparameters
Wind generator on frames
Wind generator on canopy roofs
Wind generator on surfaces
Wind generator on bar groups
Snow generator
Snow terrainparameters
Snowgenerator on frames
Snowgenerator on surfaces
Snowgenerator on bar groups
Seismic loads
Lineair dynamic loads
The (main) load groups
The (sub) load groups
Moving loads
Moving loads library
Allocate moving load to model
Summary of applied moving loads
Animation
Fire curve
Deleting or modifying loads
Copying and pasting loads
Right mouse button
Translation of loads
‘Results’ box
Displaying deformations
Displaying internal forces in beams and columns
Displaying internal forces in slabs and plates
Displaying reactions in support points
Displaying elastic stresses in beams and columns
Displaying elastic stresses in slabs and plates
Displaying reinforcement
Displaying cracking width
Displaying thermal results
Results along a cut line
Pallet for creating and managing drawing planes, levels and the ground level
Managing levels
Ground level
Drawing plane
Selection pallet of display mode
Pallet for grouping the bar elements
What is a group?
How to make a group?
What can you do with groups?
For buckling
For transformations
For loads
For sections
Pallet for defining the size of letters, symbols, loads and results
3 Libraries
Local or centrally managed
Material library
Mechanical properties
Thermal properties
Advanced properties
Section library
Rebar mat library
Operations with the libraries
Add new item
Remove Item
Adjust filter settings
Importing a library
Exporting a library
Updating a library
Reset a library to factory settings
4 Calculations
Finite element method
Subdivision of elements
Global elastic analysis
Tabpage 'Structural'
Tabpage 'Soil'
Tabpage 'Dynamic'
Elastic calculation
Modal analysis
Calculation of buckling lengths
Thermal analysis
Calculating ground slabs by iterative equilibrium
Dimensioning the foundation
Soil parameters
Cone penetration test
Menard pressuremeter test
5 Design
Reinforced concrete
Reinforcement calculation
Choosing a standard for concrete
Concrete and reinforcement settings
Reinforcement calculation
Calculation of reinforcements in beams and columns
Reinforcement calculation in slabs and plates
Reinforcement slabs
Reinforcement plates
Calculation of the punching shear reinforcements
Practical reinforcement
Basic
Advanced
Calculation cracked deflection
Cracked deflection
Cracked deflection over time
First stage: defining the moment of the load and the combination for cracking
Second stage: preparing deflections to calculate over time
Third stage: calculation of the deflection over time
Calculation of cracking width
Steel and timber verification
Calculating the buckling length
Defining lateral buckling supports
Supports to lateral buckling and automatic calculation of lateral buckling lengths
Modifying or removing lateral buckling supports
Steel and timber verification
Choosing a standard
Steel parameters
Timber parameters
Check resistance and stability
Verification of the resistance of cross-sections
Resistance according to the EN 1993-1-1
Resistance according to the EN 1993-1-3
Resistance according to the EN 1993-1-4
Resistance according to the EN 1995-1-1
Verification of the bar stability
Stability according to EN 1993-1-1
Stability according to EN 1993-1-3
Stability according to EN 1993-1-4
Stability according to EN 1993-1-5
Optimization
Optimization fire-resistant paints
Deformations in stainless steel
Connections
Modelling a connection
Selecting combinations
Calculating a connection
Saving a connection in the library
Assigning connection characteristics to a node
Parametric connections
Stiffness
Resistance
Interaction
Connection Library
Connections verification in Diamonds
6 Reporting
Design data
Creating a new calculation report
The ‘General’ tab
View of the model and selection of elements
Grid
Scale of the images
Title and table of contents
‘Geometry’ tab
‘Loads’ tab
‘Global results’ tab
‘Detailed results’ tab
Moving a calculation report
Modifying, copying and deleting a calculation report
Printing a calculation report
Defining a printer
Page setup
Printing a calculation report
Print preview
Saving a calculation report in a RTF file
7 User-defined parameters
Preference parameters
Saving projects parameters
Setting geometric tolerances of a model
Tolerance for the verification of a model
Setting tolerance for the group definition in order to determine the lateral-torsional buckling lengths
Move elements as physical entity
Drawing parameters
Units and decimals
8 Import and export
Importing DXF files
Importing from BIM Expert
Importing PowerPlate/ PowerFrame files
Importing Diamonds files
Exporting DXF files
Exporting to BIM Expert
Exporting bitmap files
Exporting to ConCrete Plus
Exporting to Strakon
Exporting tables of values

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Introduction

What does this manual consist of?

Preliminary information

Overview of shortcuts in Diamonds

Relative convention for axes of bars

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


What does this manual consist of?

In the first part of the reference manual we would like to provide all the answers to questions likely to arise while using the Diamonds program. We are interested, in particular, in the calculation methods used and in great theoretical principals. For a correct and complete interpretation of results, it is recommended to have a good expertise in calculation methods and related hypothesis. Diamonds is, above all, a calculation tool. Therefore, good understanding and ability to interpret calculation results is essential in order to efficiently use the program. Thus, this reference manual will also be very useful for experienced users.

Despite the effort put into creating this manual, you may perhaps find some of the features explained in an incomplete or confusing manner. We will greatly appreciate your feedback.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Preliminary information

Before going further, you need to be familiar with elementary commands of your MS Windows operating system and with the use of windows and icons, selected features, copy-cut-paste and using a mouse. Preview:

Icon | Graphic representation of a program or part of a program.
Clicking with a mouse | Pointing a given element or given area and clicking 1 time with the mouse button.
Selection | Clicking 1 time on an icon or element. You may also select several elements with the use of a grid: click the top left corner of a rectangle which is to comprise the chosen selection – hold the mouse button and drag it towards the opposite right corner, then release the mouse button. You may enlarge the selection by following the above procedure with pressed SHIFT key.
Double-clicking | Quickly click your mouse 2 times. This feature is used to start a program or a part of a program.
Copy-paste | Selecting an element and copying it to a different location in the program via Edit menu.
Dragging | Drag a given element by selecting it and moving the mouse while keeping the button pressed.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Overview of short cuts

A number of short cuts keys enable to work quicker and more efficiently in Diamonds. Below you will find a list of short cuts available for the most common features:

SHIFT

  • Select several elements
  • Helps to draw orthogonal lines

CTRL + click on an element

Select all the elements of the that Design Type (cfr. Design types

ALT + click in the surface of the plate or wall

Select edges with plate
ALT + click on a bar | Select all elements belonging to that group (cfr. Physical)
ALT + S | Save as

DEL

Delete elements or loads

ENTER

Draw a new line

SPACE

Deactivate intelligent cursor (cfr. Intelligent cursor)

ESC

  • Deactivate the drawing function
  • Close the dialogs [image], [image], [image], [image], [image], [image],

CTRL + A

Select all the elements

CTRL + C
  • Copy data from tables [image], [image], [image],
  • Copy a model window

CTRL + N

New file

CTRL + O

Open a file

CTRL + P

Print the window

CTRL + Q

Quit Diamonds
CTRL + R | Turn the measuring function on/ off

CTRL + S

Save a file

CTRL + W

Close file, but not Diamonds

CTRL + Z

Undo

SHIFT + CTRL + Z

Redo

SHIFT + CTRL + DEL
  • Delete a plate with the exception of the bounds
  • Delete a line with the exception of of the intersection with other lines

F1

Open Help on Diamonds

F2

Calculate reinforcement

F3

Steel and timber verification

F8

Export to BIM Expert

F9

Elastic analysis

F10

Maximize

F11

Minimize

F12

Show all

SCROLL

  • Push the wheel and move the mouse: drag (Pan)
  • Scroll: zoom in or out

SHIFT + SCROLL

Rotate (3D orbit)

In the geometry configuration:

A or a L or l | Draw new line [image] .
C or c | Opens the window for label and comment [image] .
D or d | Opens the window to divide a line [image] .
E or e | Opens the windows to extrude [image] .
I or i | Opens the windows to intersect lines [image] .
M or m | Opens the window to mirror [image] .
P or p | Opens the window to project [image] .
R or r | Opens the window to rotate [image] .
T or t | Opens the window to move/ copy [image] . Works both in the geometry and loads configuration.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Relative convention for axes of bars

All the bar elements are endowed with a system of local axes x’y'z' directed as fingers of the right hand. In this guide, axis x’ corresponds to the main axis of the bar whereas axes y’ and z’ correspond to two vertical axes defining the plan of a bar cross-section.

The direction of the axis x’ depends on the global coordinates of two endpoints of the bar. The axis x’ is always directed from the endpoint with the smallest x coordinate towards the endpoint with the biggest x coordinate. When the two endpoints have the same x coordinate, it is the point with the biggest y coordinate that is considered as the origin point. When a bar is parallel to the global axis Z, the axis x is directed from the point with the smallest z coordinate towards the one with the biggest z coordinate. In other words, this bar will have the same direction as the global Z axis. The local y’ axis is always situated horizontally and forms a 90° angle with the axis x’. The axis y’ of a vertical bar is always parallel to the global axis Z.

Taking into consideration that the reference mark is directed in the same way as fingers of the right hand, it is always possible to deduce the direction of the local axis z’ from directions of the axesx’ and y’.

When you assign a cross-section to a bar, the following conventions are applied to the axes and cross-sections:

  • From a general point of view:

    • y’-axis parallel to profile flanges
    • z’-axis perpendicular to profile flanges

  • For angles (L profiles):

    • y’-axis parallel to the shortest arm
    • z’-axis perpendicular to the shortest arm

In most cases, local axes y’ and z’ correspond respectively to strong (u) and weak (v) axes of inertia of the cross-section.

When it is not the case, the following notation is adopted:

  • u (strong) axis of inertia (because this one does not coincide with axis y’)
  • v (weak) axis of inertia (because this one does not coincide with axis z’)

Normal forces will always be accompanied by an index which explicitly makes a reference to one of the above mentioned axes. As far as the momentums (Mx, My and Mz) are concerned, they will be indexed to the axis to which they apply.

An index of shear forces (Vyand Vz) will indicate the direction in which the force applies.

Note: the majority of rules and specifications of Eurocodes (in particular Eurocode 3) focus on the axes of inertia of profile cross-sections. Even if in the majority of cases the formulas are expressed with the function y’ and z’, the profiles the local axes of which do not coincide with principal axes of inertia (e.g. in case of extrusions) the same formula may be expressed with the function u and v, except for cold profiles which are always expressed in relation to axes y’ and z’.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Working environment

The Diamonds working area consists of:

  • a model window where the calculation model and corresponding results are showed.
  • an icon toolbar in the top section of the model window including the following icons:

To open and save calculation projects, print the model window and manage calculation reports

To undo or redo an operation

To partly hide/ show the model and to configure the drawing grid

To define types

To run various analyses and optimization

To calculate steel connections

To manage model windows

To set configurations

To determine the view of design plan, to choose the scale and position of the design or to measure the distance between two points

To present data and results in a table and to view detailed results

  • an icon pallet which gives access to all the modelization and calculation features in Diamonds. There are three pallets:

    • Pallet for defining the geometry
    • Pallet for defining the loads
    • Pallet for defining the results

    Depending on the chosen configuration, one or more pallets will appear on the screen.

  • an icon toolbar on the right side of the model window, including a list of features for creating and managing design plans and levels, for selecting a presentation mode, for defining the size of fonts, symbols, loads and results, as well as for defining groups.

In this chapter, we will firstly discuss general principles for working with Diamonds. Then, we will examine more thoroughly the features of the toolbar and icon pallet.

General rules

Selection of elements

Selecting using the mouse

Selecting via "Selection" menu

Use of CTRL- and ALT-keys

Selecting additional elements

Intelligent cursor

Toolbar

Managing projects

Opening a new project

Saving a project

Opening a project

Using templates

Printing a model window and managing the calculation reports

Printing a model window

Copying and pasting a model window

Managing the calculation reports

Cancelling and reseting an operation

Partial hiding

Drawing grid

Design types

Analysis functions

Orientation of the model

Drawing plane

Zooming and panning

Measuring

Managing model windows

Configuration settings

What is a configuration?

Definition and modification of a configuration

Tables

Table 'Data'

Table ‘Results’

Table 'Equilibrium check'

Table 'Modal information'

Modal reaction

Detailed results on cross sections

Stresses

Thermal response

Detailed results

Steel connections

Log in and notifications

Icon palette

'Geometry' pallet

Selecting pointer

Label and comment

Drawing points

Drawing lines

Erasing points, lines and planes

Drawing structure elements

Searching slabs or plates

Dividing lines

Extruding

Parametric forms

Parametric structures

Displacing and copying

Rotating

Projection

Mirroring

Intersections

Verification of a model

Scale geometry

Modifying properties common for several elements

Properties of bars

Properties of slabs and plates

Characteristics of footings

Choosing a cross-section in the section library

Choice of materials

Rotation of cross-sections

Allocating supports

End conditions for bars and tie rods

Boundary conditions for plates

Eccentricity of bars

Rigid links

Buckling and lateral buckling settings

Fire protection

Lines and nodes modifications

Copying and pasting geometry properties

‘Loads’ pallet

Load groups

Load combinations

Combinations in time

Loads

Deleting or modifying loads

Copying and pasting loads

‘Results’ box

Displaying deformations

Displaying internal forces in beams and columns

Displaying internal forces in slabs and plates

Displaying reactions in support points

Displaying elastic stresses in beams and columns

Displaying elastic stresses in slabs and plates

Displaying reinforcement

Displaying cracking width

Displaying thermal results

Results along a cut line

Pallet for creating and managing drawing planes, levels and the ground level

Managing levels

Ground level

Drawing plane

Selection pallet of display mode

Pallet for grouping the bar elements

What is a group?

How to make a group?

What can you do with groups?

For buckling

For transformations

For loads

For sections

Pallet for defining the size of letters, symbols, loads and results

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


General rules

Selection of elements

Selecting using the mouse

Selecting via "Selection" menu

Selecting via "Selection" menu - predefined choises

Selecting using the "Selection" menu - Most loaded bars

Selecting using the "Selection" menu - Most loaded surfaces

Use of CTRL- and ALT-keys

Selecting additional elements

Intelligent cursor

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Selection of elements

Diamonds always operates according to the principle: make a selection first, next apply a feature to the selection.

This method is typical for well designed Windows programs. It offers many advantages, for example, better visual control of elements being modified and the possibility to apply a number of features to one and the same selected group, which saves you time. Diamonds offers various selection methods. They will be described in the chapters to follow.

Note: Diamonds shows the number of selected elements in the footer at right hand side. You see the number of selected points, lines (having no cross-section), bars (with cross-section) and plates.

Selecting using the mouse

Selecting via "Selection" menu

Selecting via "Selection" menu - predefined choises

Selecting using the "Selection" menu - Most loaded bars

Selecting using the "Selection" menu - Most loaded surfaces

Use of CTRL- and ALT-keys

Selecting additional elements

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Selecting with the use of a mouse

You can select elements in various windows with the use of a mouse.

To select an element, click on it with the left mouse button.

Another possibility is to select an element through a selecting grid. In order to do so,

  • you click the left corner of the area to the left of an element to be selected.
  • Holding the button, drag the mouse to the down right side of the area to the right of an element to be selected.
  • While moving the mouse, a selection grid in the form of a rectangle will appear.
  • When the selection grid includes all the elements to be selected, release the mouse button. All the elements within the grid have been selected.

If you draw the selection grid in an analogue way from the right to the left, all the elements, apart from those included in the grid, which are partially included in the new grid will now be selected. If you click an area that does not include any elements, all the selected elements will become unselected.

It's also possible to select elements with the same properties using the right mouse button. An example:

  • The selected support line in the model below has a spring constant of 300 000kN/m/m assigned to it.
  • To select all support lines with the same support conditions, do the following:
    • Select the source element of the property. In this case thus the relevant support line. But you can apply the same principle to points or surfaces as well.
    • Click with the right mouse button in the drawing area. Go to the menu Select identical (Bar) and choose the desired property. In this case Support.
    • Result: Diamonds will select all lines that have the same support condition as the source element.

Note: you can select based on the following properties:

  • For points: support, footing, label
  • For bars: support, boundary conditions, connections, cross-section, material, eccentricity, orientation, fire protection, label
  • For surfaces: support, boundary conditions, cross-section, material, label

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Selecting via "Selection" menu

Selecting via "Selection" menu - predefined choises

Selecting using the "Selection" menu - Most loaded bars

Selecting using the "Selection" menu - Most loaded surfaces

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Selecting via "Selection" menu - predefined choises

In order to select points, bars or plans on the basis of defined criteria, you may also rely on menu options. These are based on

  • the geometric properties (vertical, horizontal or inclined elements)
  • or based on the cross-section properties (e.g. profile cross-section).
  • or based on the material properties
  • or based on the point, line or surface number
  • or based on the presence/ absence of support conditions
  • or based on the members in a connection
  • or based on the extent to which a bar is loaded (see next section).

Below you will find an example of a selection according to the applied cross-section.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Selecting using the "Selection" menu - Most loaded bars

Another selection criterion consists in finding the ‘Most loaded bars...’. In this menu you can:

  • make and save selection criteria for bar elements.

  • select bar elements through selection criteria in the menu.

This criterion is only available from the moment an elastic analysis has been conducted on the model.

Create a new selection criteria

  • Go to Select > Most loaded bars > Selection parameters. The window below appears.

  • Enter a name for the selection criteria.
  • Choose the bar result to filter: a deformation, an internal force, a stress, a reinforcement or a design check.
  • Choose the combination criteria – an ULS / SLS Envelope or the current selected combination the results window.
  • Decide whether you want check the values of the whole bar or only at the bar ends.
  • You can set for one or both minimum and maximum value:
    • or a number of elements,
    • or a value,
    • or a percentage of the min/ max calculated value in the whole model.
  • Click [image].
Modify an existing selection criteria
  • Go to Select > Most loaded bars > Selection parameters.
  • Choose the selection set from the list.
  • Modify which result, the combination and min/ max value criteria.
  • Click [image].
Remove a selection criteria
  • Go to Select > Most loaded bars > Selection parameters.

  • Choose the selection set from the list.

    Note: the last selection in the list cannot be removed. There must always be one selection criteria present.

  • Click [image].

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Selecting using the "Selection" menu - Most loaded surfaces

Using this menu you can select walls and plates for which the theoretical reinforcement is insufficient ( = walls/ plates containing a skull).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Use of CTRL- and ALT-keys

All points can be selected by clicking on one point while holding the CTRL-key.

As we will see further in Design types, it is possible to attribute a ‘type’ to an element (e.g. beam, column, wall, etc.). If you hold ‘CTRL’-key when selecting an element of a given type, all the elements of the same type will automatically be selected.

Diamonds allows you as well to explore the idea of a ‘group’ in order to consider the fact that two or more elements correspond to the same physical entity and constitute, for example, the same beam. The use and purpose of such groups is explained in Pallet for grouping the bar elements. When a bar is divided in several pieces, each piece will be part of the same group which corresponds to the original bar. To select all the bars of the same group, simply select one bar while holding the ‘ALT’-key.

Because in Diamonds various group definitions are distinct, the function will only be available when you are in a representation in which groups are defined. Depending on the group definition that is represented, selecting with the 'ALT’-key can result in a different selection of bars.

The ‘ALT’-key also enables you to select the boards with a plate. Hold the ‘ALT’-key when you click on the plate to select it.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Selecting additional elements

If you apply the previous selection method, you will see that the elements previously selected are not selected after the new selection has been made. If you wish to select additional elements, in other words to maintain the existing selection and add new elements to it, hold the ‘SHIFT’-key while making a new selection. If the new selection contains already selected elements, they will be removed from the selection.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Intelligent cursor

In Diamonds, you can make use of an intelligent cursor. This is a cursor that detects when, for example, you come near to the middle of a bar. The intelligent cursor has been expanded with a SNAP-function to points and lines. The intelligent cursor is particularly useful when drawing a structure and when selecting elements. Thanks to the associated symbols, you can immediately see which element Diamonds will select or where it will snap to.

The 2nd and 3rd function of the intelligent cursor ( [image]) will be disabled when you press the SPACE bar. This is particularly useful when you want to select plates.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Toolbar

Managing projects

Opening a new project

Saving a project

Opening a project

Using templates

Printing a model window and managing the calculation reports

Printing a model window

Copying and pasting a model window

Managing the calculation reports

Cancelling and reseting an operation

Partial hiding

Drawing grid

Design types

Analysis functions

Orientation of the model

Drawing plane

Zooming and panning

Measuring

Managing model windows

Configuration settings

What is a configuration?

Definition and modification of a configuration

The General tab

The Geometry tab

The Mesh tab

The Loads tab

The Results tab

Tables

Table 'Data'

Table ‘Results’

Table 'Equilibrium check'

Table 'Modal information'

Modal reaction

Detailed results on cross sections

Stresses

Thermal response

Detailed results

Steel connections

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Managing projects

Opening a new project

Saving a project

Opening a project

Using templates

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Opening a new project

To open a new project, select ‘File ‘ – ‘New’ from the menu or click [image]. If you want to open a new project when another project is already open, it is strongly recommended to first save your work from the open project.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Saving a project

To save a project, select ‘File’ – ‘Save’ from the menu or click [image]. You can also use ‘File’ – ‘Save as’ from the menu.

The difference between ‘Save’ and ‘Save as’ is as follows:

  • if you have already saved the project, you can save it again under the same name through the ‘Save’ command. The ‘.bsf’ extension of the previously saved version will be modified to ‘.bs!’.
  • if you want to save the project under another name, choose the “Save as” option.

A Diamonds project always consists of 4 files with the same name, but with a different extension.

  • *.bsf contains the geometry and the loads. The file is the actual model. If there is one file you must not delete, then it is this one.
  • *.bs! is a copy of the *.bsf. This file can sometimes come to the rescue when the *.bsf file is damaged.
  • *.bsr contains the mesh.
  • *_bsr is a folder with results.

Remarks:

  • Remark: if you want to deliver a calculation model to us, it is sufficient to send the *.bsf file. Furthermore, you can zip this ( [image] on *.bsf files → ‘Copy to’ → ‘Compressed folder’) if this is too large. The size is then reduced by up to 95 times.

  • It is recommended to save the project regularly in order to prevent data loss resulting from a fault or other damage. Diamonds software allows automatic saving. This topic is further referred to in a further section of this manual (see Saving projects parameters).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Opening a project

To open an existing project in Diamonds, select ‘Open...’ in the ‘File’ menu or click the [image] icon in the icon bar. In the ‘File’ menu, you will also find last files opened in Diamonds.

For a backup file (with the .bs! extension), first select the exact type of the file at the bottom of the dialogue box. Then select the suitable file backup and click ‘Open’.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Using templates

A template is a file that serves as a starting point for a new project. When you open a template, the pre-formatted settings are loaded. For example: you could make a template with all Eurocode standars selected and one for all American standards selected.

The following parameters can(not) be saved in a template:

Parameters that will be saved in templates Parameters that will NOT be saved in templates
  • selected standards
  • a (part of) structure and applied loads
  • defined load groups and user defined load coefficients
  • adjustments in the level manager
  • adjustments in the ground level
  • grid settings
  • adjustments in the windows
  • orientation of the global coordinate system
  • size of fonts, symbols, loads and results
  • page settings [image] and reports
  • mesh [image], analyse settings [image], ... on the condition that a (random) structure first has been calculated using those settings. The (random) structure may (but should not) be removed before creating the *.bst.
  • units and decimals
  • language
  • adjustments in the configurations
  • the method for calculating the buckling lengths.
    Diamonds will always suggest 'displaceable nodes' since it is a conservative option.

How to create a template:

  1. Start Diamonds or create a new project.
  2. Set the parameters to the desired values.
  3. Go to File > Save as. Choose BuildSoft Template file *.bst as file type. The template is now created.

How to open a template

  1. Start Diamonds.
  2. Go to File > Open. Choose BuildSoft Template file *.bst as file type. The template can now be selected and opened.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Printing a model window and managing the calculation reports

Printing a model window

Copying and pasting a model window

Managing the calculation reports

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Printing a model window

You may print the content of the model window at any time. The image in the window will fit the sheet of paper while preserving the proportions. If the window will be enlarged to display a detail, only the detail will be printed.

To print the content of the model window, select ‘File’ – ‘Print Window’ from the menu, click [image] in the icon bar or use a combination of ‘CTRL+P’ keys.

‘Print Setup’ window (Printer configuration) of MS Windows will appear on the screen. This window may vary depending on the MS Windows version. You may select a printer you want to use and modify its settings by clicking ‘Properties...’.

Before printing, you may want to verify if the result meets your expectations by checking a print preview. To receive a print preview of the model window, select ‘File’ – ‘Print preview’ from the menu or click [image] in the toolbar.

The two first buttons [image] and [image] are used to print and set printing options. With the use the buttons [image] you can zoom in and out.

Buttons [image] enable you to navigate to the previous or following page respectively. The current page as well as the total number of pages are indicated in the bottom left corner. The [image] and [image] buttons enable you to view 1 or 2 pages simultaneously in one view.

To close the view before printing, simply click ‘ [image] ’.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Copying and pasting a model window

If you want to copy the whole window to, for example, Paint or Microsoft Word, select ‘Edit’ – ‘Print view’ from the menu. A quicker way to do it is to use short cuts ‘CTRL + C’ (Copy) or ‘CTRL + V’ (Cut).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Managing the calculation reports

Apart from printing the model window, it is possible to create and print calculation reports by clicking [image] in the toolbar.

You will find more information about this feature in Managing and printing reports.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Cancelling and resetting an operation

The ‘Undo’ button [image] allows you to cancel an incorrect move or undesired operation. If you want to cancel more operations, just click the button several times. You can cancel up to twenty subsequent moves. It is possible to configure this number in the ‘Options – Properties’ menu, see Saving projects parameters.

The Redo button [image] works in a similar way. However, it is not active until at least one operation has been cancelled.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Partial hiding

To improve readability and user-friendliness, it is possible to hide parts of the structure. When you hide parts of the structure, they become grey-tinted (toned down). The elements in grey cannot be selected.

To hide a part of the structure, first select this part. Then click [image] to hide the selected part. If you want to conduct an opposite operation, i.e. to show a selected part and hide the rest of the structure, click [image].

To show a complete structure, click [image].

If you want to invert the visible and invisible parts, select all the structure (in fact, only the visible parts will be selected), then click [image] and [image], one after another, to first show the whole structure and then hide the selected parts (grey-tinted).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Drawing grid

To faster the design, Diamonds gives you a possibility to set a drawing grid. When the grid is active, the cursor automatically snaps to points of the grid.

To configure the grid:

  • select ‘View – Grid settings…’ from the menu
  • or directly click [image] in the icon toolbar.
  • double-click the drawing field with the left mouse button (while no elements are selected)

You may choose between General grid and Variable grid.

In the upper half of the dialog box, specify spacing of the general grid. It can be configured in different ways along the three big axes. Then, decide if you want to activate the standard grid or to make it visible. Note that this grid is only showed in the projected views, and never in perspective view.

If you opt for a variable grid, use the bottom half of the dialogue box.

To execute a variable grid, click ‘New’. The dialogue box for creating a variable grid will appear on the screen.

First, you need to specify the grid’s name and colour. Next, you should determine a plan in which the new grid will be situated. This can be done in two ways:

  • Either fill out the coordinates for ‘Origin’, ‘Point on x’ axis’ and ‘Point on y’ axis’
  • Or, mark these coordinates directly in the model geometry using the mouse, by clicking the button . Start by clicking on the desired point of origin. Then an x'-axis will appear, following your cursor. Click on a second point to determine the direction of the x-axis. Once the x-axis is fixed, you can analogously define the y-axis by clicking on another point.
  • In the bottom tables, determine the distances between the axes according to the two directions, this can be done in two ways as well:
  • If the icon [image] is active, you will need to add point by point using the button [image]. The coordinates of these points can be entered manually enter or you can select them in the model geometry.
  • When you click once on [image], it changes in [image], now you can select multiple points in the model geometry without needing to click [image] each time. Press the ‘SHIFT’-key while selecting. When you select a bar, both points (end & beginning) are included in the list. You can specify either direction (x', y') at the same time by changing each [image] in [image], or you can select each direction separately.
  • You can remove point from the list by selecting the point and clicking
  • The axes are marked with a number or a letter in an increasing or alphabetic order. Mark a number or a letter which you want to start naming the axes with.
  • To display annotation of the axes, do not forget to check the ‘Display annotation’ box. It is also necessary to display the distances (measuring lines) between the axes. Finally you can opt to show grid lines or not.
  • Click ‘OK’ to save the settings of the grid.

The name of the grid will immediately appear in the initial window.

If the line is preceded by the [image] symbol, the variable grid will appear in the model window. If you do not want to display the grid any longer, click [image] to hide the grid. Next, indicate if the grid is to be active, in other words, if the cursor is to snap to the points of the grid while drawing.

You may determine as many variable grids as you like. They can all be visible and active simultaneously (together with the general grid). The general grid is always presented in the form of points whereas variable grids are in the form of lines.

If you want to modify a variable grid, first select the name of the grid and then click ‘Modify’. The ‘DEL’ button allows you to remove the selected grid from the list.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Design types

To maintain an overview of the project, it may be useful to classify the elements according to specified types. Diamonds allows you to define the types on your own and to assign them to specified bars or plates. It is also possible to assign types to columns, trusses, purlins, bracings, slabs, walls, etc.

The ‘Types’ give you an opportunity to select all bars or all plates of a given type in a single operation. In order to do it, simply select a bar or a plate of a given type while holding the ‘CTRL’-key. This way you can select all the elements of the same type as the element you clicked. Moreover, if necessary, you can temporarily hide the selected elements. In order to be able to operate on other elements…

Finally, the use of the ‘Types’ feature is equally useful for importing/exporting DFX files. When you export a DXF FILE (cf. Exporting DXF files), for each element type a different layer is generated. On the other hand, when you import a DXF file (cf. Importing DXF files), different layers are converted into ‘element types’ so that afterwards you can easily select all the lines or bars that belong to the same layer in CAD software. Therefore, it is easy to assign, for example, a cross-section to them.

To determine a ‘Type’, click [image] in the icon bar or select ‘Edit – Types’ from the menu.

You can determine a ‘Type’ or modify its settings at any time. To assign a ‘Type’ to a number of elements, it is necessary to select them beforehand. If a ‘Type’ had already been assigned, it would be bright yellow.

The above dialogue window lists all types that have already been defined in Diamonds, and whether they are being showed or not.

  • Each project includes a certain number of standard ‘Types’: beams, columns, slabs, walls, etc. Bars without a cross section belong to the type 'No specific type'. From the moment you assign a cross section to the various construction elements, they will be automatically assigned on the build-in types.

    You may of course confine yourself to the use of built-in ‘Types’ but you may as well complement them with your own ‘Types’ by pressing [image]. At the bottom of the list, a blank space will appear where you can determine the visibility, name and colour of your new ‘Type’.

    If you click on [image], this window will remain open while you can continue working. If you click on [image], the changes will be saved and the window will close.

    You can delete custom ‘Types’ at any time using the button [image].

  • Each ‘Type’ is preceded by an eye symbol ( [image] which may be inactive ( [image]). Only those elements that are preceded by an active eye symbol will be visible in the modelling environment. According to the chosen configuration settings, other types will be light grey and transparent or simply invisible (cf. Definition and modification of a configuration). Note that you may make all types visible or invisible within a single operation by clicking the eye symbol in the title bar.
  • In order to increase readability of your model, you can assign a colour of a specific display and selections to each ‘Type’. Therefore, all the elements of the same ‘Type’ will appear under the same colour, whether they have been selected (second colour) or not (first colour).

  • You can save custom types by using the icon [image]. If the option is active (missing ???), this type will be available for each (new) file whether there are elements of this type or not. If the option is not active ( [image]), this type will only be available in the current file, if there are elements of this type. If there are no elements of this type, the type will be removed after closing the file.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Analysis functions

This toolbar allows you to conduct various analyses. Calculation methods are presented in the further part of this manual. They are listed in the table below:

Generate the mesh

Global elastic analysis
Modal analysis

Calculation of buckling lengths

Thermal response calculation

Calculation of reinforcements

Assigning practical reinforcement

Calculation of cracking

Calculation of deformation in time

Steel and timber verification
Calculation of the deformation in stainless steel

Optimization of steel cross-sections

Optimization of fire-resistant paints

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Orientation of the model

The model can be viewed at any time in a perspective or projected view.

View from the above | View from the front | View from the back
View from the left | View from the right | View 3D

A selected view applies to all the configurations in the same window. In other words, while passing from one configuration screen to another (‘Geometry’, ‘Loads’, ‘Results’) the model is always presented in the same view (perspective).

To modify the presentation, use one of the following three methods:

  • click [image] in the icon toolbar
  • select ‘View – View’ from the menu
  • click [image] in the bottom corner of the model window.

If you choose perspective view, you can define the position with the use of scroll bars at the bottom and on the right of the model window. Moreover, in case of a perspective view, you have a choice between a true perspective and a parallel perspective (orthogonal). Open the dialogue box below through ‘View – Perspective...’ from the menu.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Drawing plane

If you opt for a projected view (view 2D), activate a surface parallel to a system of general axes, passing through the point with coordinates (X,Y,Z). You can define those coordinates through [image] from the icon toolbar. More information about this feature can be found in section Pallet for creating and managing drawing planes, levels and the ground level.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Zooming and panning

In order to improve readability and user-friendliness, Diamonds offers zoom in (maximizing an image) and zoom out (minimizing an image) features. They are represented by [image] and [image] in the toolbar respectively. To zoom in, first click [image] (hold the key), next draw a selection grid in the model window. The part of the design included in the selection grid is now enlarged in the window. To reduce the size of the design, click [image]. Remember, however, that no selection grid can be drawn in case of the perspective view. Zooming will always be performed towards the central point of the model window.

Another interesting feature concerns panning the model. You may move the whole drawing within the window with the use of a mouse. Activate pan feature by clicking [image]. If you click in the model window with the left mouse button and hold it, the drawing will move along with the mouse within the window.

To maximally enlarge the drawing in the active window when all the visible elements are included in the window, click [image].

These features may as well be activated in the ‘Screen’ menu by selecting one of the first four commands of the menu or by using the following short cut buttons:

  • F10: Maximize
  • F11: Minimize
  • F12: Show all

Finally, there exists an even quicker method to zoom (in or out) or to drag a model. Just use your mouse scroll wheel.

  • If you scroll the wheel upwards, Diamonds shows a large plane of the drawing (drawing is enlarged).
  • If, on the other hand, you scroll the wheel downwards, Diamonds widens the general view of the drawing (the drawing is smaller).
  • If you move the mouse while pressing the scroll wheel, the design will follow the movement of your mouse (pan).

If you use the ‘Zoom’ feature in real time, the fixed point will depend on the position of your mouse on the drawing.

Apart from the ‘Drag’ function, the scrolling wheel of your mouse allows to rotate the model to view it from a desired position and angle. Just press and hold SHIFT key and the scroll wheel simultaneously before you start moving your mouse on the drawing. The cursor will change in [image]. Horizontal movement (to the left or to the right) makes the model rotate around the vertical axis, whereas vertical movement (up or down) makes the model rotate around the horizontal axis. This function works only in a perspective (3D) view.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Measuring

The ‘Measure’ feature, also accessible through an icon representing a little ruler [image], allows you to measure a distance between two points. Click the icon to activate the feature and draw a line between two points. At the bottom of the screen, you can see the coordinates of the starting point, displacements in x, y and z, as well as the distance between the two points.

You can use the ‘Measure’ feature several time after each other. To disable, click ESC on your keyboard or click [image] once again. The ‘Measure’ feature is available in all configurations.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Managing model windows

A model window is a part of worksheet in which a calculation model and corresponding results are presented.

Operations that can be conducted in a window depend on the set configuration. A detailed explanation of the term ‘configuration’ can be found in Configuration settings. It is important to remember that a particular configuration is not connected with a defined window. In other words, you can apply a number of configurations to one window and the same configuration can be used in a number of windows.

Users may confine themselves to a single window application or may choose to use several windows. Multiple windows may be useful if you want to display the calculation model simultaneously in a number of configurations. The worksheet can therefore consist of two model windows, one to capture geometry and one to display the results. Note that you can apply a different perspective to each of the windows.

The windows defined in the Diamonds program are accessible in a drop-down menu [image] of the toolbar. You may use this menu to move between different model windows.

You may add a new window to the list at any time by clicking [image]. If you want to modify the name of an existing window, click [image] and then insert the new name:

The following icon - [image], allows you to display several windows on the screen in a cascading view. All the windows will then be staggered.

You also have a possibility to delete model windows from the list. Select the window you want to delete and click [image].

All these functions can also be called from the menu "Window" by selecting one of the first three commands in this menu.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Configuration settings

What is a configuration?

Definition and modification of a configuration

The General tab

The Geometry tab

The Mesh tab

The Loads tab

The Results tab

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


What is a configuration?

A structure definition, application of loads, and representation of results are always conducted in a suitable environment. This type of environment is known under the term ‘configuration’. Each configuration is equipped with a pallet of buttons assigned to one of the three features mentioned above. Note that one configuration may comprise various features. Therefore, it is possible to include geometry as well as loads in a single configuration window.

A configuration includes all the settings related to the representation of the model, loads and results, and also the mesh.

Choose a configuration by selecting ‘View’ in the contextual menu of the toolbar.

The users can define an unlimited number of configurations. It is also possible to leave an existing configuration at any time. More details on activation and modifying such a configuration can be found further in this manual.

In a standard version, Diamonds offers four configurations or environments. Each of them supports one single specific operation. Because of the importance of this configuration, each configuration is assigned a name. On the other hand, to facilitate moving between configurations, the icon bar of the menu includes a button for each configuration.

‘Geometry’ configuration – for elaboration of model’s geometry

‘Loads’ configuration – for applying loads to a model

‘Mesh’ configuration – for verifying the mesh

‘Results’ configuration – for representation of calculation results

Note that when you select another configuration, you will stay active within the same window. In other words, the choice of configuration does not depend on the selected window.

It is possible to modify the settings related to the representation of these four configurations. A number of features can be assigned to each configuration. It is, however, impossible to disable a feature for which it was designed. In other words, in the ‘Loads’ configuration window, it is not possible, for example, to delete the loads pallets.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Definition and modification of a configuration

To create a new configuration or modify an existing one:

  • click the option ‘Configuration window’ in the ‘Show’ menu
  • or click [image] in the icon bar

  • or click in the drawing field with the right mouse button (while no elements are selected)

The name of an active configuration will be shown in the drop-down menu on the top left side. All the settings presented in this dialogue box refer to this configuration. Select another existing configuration from a drop-down menu. Note that the name of a configuration will appear for the second time in the next line. As long as no modification has been conducted, you cannot modify this name.

As a rule, once a setting is modified, you create a new configuration. The name of an active configuration disappears and the new name ‘User Configuration’ is displayed. A field next to ‘Configuration name’ will be highlighted. You have the following possibilities to choose from:

  • you can immediately click ‘OK’. A temporary configuration named ‘User Configuration’ will be created. This configuration is maintained until you choose another one.
  • you can choose a new name for this configuration and create a new.
  • you can also save the current configuration with the same name and replace previous settings with the new ones.

If you choose alternative two or three, you need also to click [image]. The new configuration or a modified configuration will immediately become active. If you adapt existing configuration, you will be asked to confirm.

To delete existing configuration, select the configuration and click [image]. For safety reasons, you will be asked if the configuration should be deleted. Click ‘No’ if you want to keep the configuration. Note that you can use this function only for the configuration that you have defined on your own. In other words, it is not possible to delete any of the three default configurations.

Let’s examine in details the way a configuration is developed and the settings before they are defined.

In terms of the configuration’s structure, the dialogue box contains three, four or five tabs.

The ‘General’, ‘Geometry’ and ‘Mesh’ tabs are independent of the chosen function. It relates to a series of settings that can be specified in order to model the structure, apply loads and for representation of results.

The ‘Loads’ and ‘Results’ tabs appear only if the configuration permits application of loads or representation of results.

The General tab

The Geometry tab

The Mesh tab

The Loads tab

The Results tab

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


The General tab

In the ‘General’ tab, first indicate the function which is to be performed by the configuration. Only when a given function is checked, a corresponding pallet is displayed on the configuration screen. By selecting ‘Loads’ and ‘Results’, you will also display two optional tabs.

After having set the function of configuration, you need to indicate operations with a priority. This option makes sense only if the configuration is to fulfill more than one function. In a configuration where the geometry and loads may, for example, be both set, you will need to double-click a box or a button in different dialogue boxes, depending on the selected priority.

Next, you need to indicate a type of representation (see Pallet for creating and managing drawing planes, levels and the ground level). Each time you call a desired configuration while designing a model or an analysis of results, the model is presented according to a chosen type of representation.

Wireframe model

Transparent plane model

Non-transparent plane model

Black and white solid model

Colour solid model
Colour solid model with black borders

Note that there is also the ‘Representation’ toolbar on the right side of the Diamonds worksheet. It enables you to quickly change the representation during modelling. Do not forget that this toolbar operates in an autonomous way. No modification of the toolbar will therefore be saved as a configuration setting.

For each configuration, you can indicate whether the global coordinate system and support are to be represented. Moreover, you can decide if you want to draw the hidden greyed parts or not.

The colour of the screen’s background is the last element on the list of general settings. You can choose between black or white background.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


The Geometry tab

The ‘Geometry’ tab includes all the visualization settings. Here, you define, in particular, data which will be shown for structural elements.

First, define whether the points should be displayed or not. If so, they are represented by a small square. Furthermore, you can sow the node number of each node. In case you have assigned connections with the PowerConnect module, you can also ask to display the name of this connection.

As for bars, you may display their axis, numeration, cross-section names, length, section orientation, local coordinates, end releases, material, and border lines of the whole cross-section. Moreover, you may display buckling lengths and the distances between the lateral torsional buckling supports. Finally you can also opt to draw the lateral torsional buckling supports.

As for plates, first you need to determine the degree of transparency if you use the transparent plane model. Next, you may choose to show plates' numbers, thickness, surface, local coordinate systems for inner forces and reinforcement, the end releases, the material, volumetric representation, practical reinforcement and load bearing of orthotropic slabs.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


The Mesh tab

In the ‘Mesh’ tab, you save all the settings related to the presentation of mesh.

First, indicate if the nodes, lines and free edges of the mesh should be displayed. It is possible to attribute an individual colour to each of them. Next, you may decide to display numbers for nodes, lines and triangles of the mesh.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


The Loads tab

An additional tab appears in the configurations. It allows you to define loads. It is possible to draw loads only if ‘Loads’ option in the ‘General’ tab has been selected.

In this tab, you can determine the size of various load types. The default value is 20 pixels.

You can also define the colour of the loads. An active load is a load defined in the active load group. Inactive loads, on the other hand, are loads not included in the calculation.

Hidden loads are not taken into consideration. You can set a load group hidden in the dialogue box where the load factors and combination factors are determined.

When the check box 'Show resulting vector' is unchecked, you'll see the components of the loads separately. When it is checked, you'll see the resulting vector

When the check box 'Show Mass' is checked and you've defined a dynamic or seismic load group, the mass taken into account during a model analysis will be shown in that load group.

When the check box 'Show self-weight' is checked and you've defined a dynamic or seismic load group, the mass taken into account during a model analysis will be shown in that load group.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


The Results tab

In configurations where calculation results may also be required, an additional tab – ‘Results’ tab will appear. The results can only be required if the ‘Results’ option in the ‘General’ tab has been selected.

This window recaptures all the settings related to the way results are presented. We distinguish 3 sub-tabs: the first allows you to define settings for the presentation of bars, slabs and reactions. It also enables you to choose which information is to appear in the graph.

The second sub-tab allows you to set the results scale by default. And finally, the third one allows you to set specific scales for some results.

The third sub-tab is only available when you select the field under the second sub-tab stating that you want to use specific scales.

  • ‘Representation’ sub-tab

    Here you define the maximum magnitude of the graphs related to the undeformed element. Another parameter has been designed for the results of a bar, slab or plate. Additionally, in case of reaction forces, the parameter defines the size of maximum reaction. Note that the forces and moments can be handled independently. Moreover, you can choose to visualize the reaction in colour or in black.

    Furthermore, you can select a box stating that the results on bars will be shown together with their values. Here, you may also choose either to visualize only the maximum values, or to visualize the values in bars’ endpoints as well. As for the representation of slabs and plates, you are offered a choice between:

    • a 3D colour model, possibly with iso-lines
    • the presentation with iso- contours

    In both cases, the graphs are drawn in gradient colours. You can opt that the value associated with an iso-lines should be displayed.

    As for the elements made of reinforced concrete, in case of representation of reinforcement, you may choose to take into account the minimal reinforcements and/or practical reinforcements. To receive detailed results, it is also possible to represent the reinforcements on the graph. In order to do it, indicate the dimensions of the grid along the x’ and z’ axes (see Detailed results).

  • ‘Standard scale’ sub-tab

    For each result type, there is a corresponding graphic representation with a specific scale. In the ‘Standard scale’ sub-tab, you may indicate which scale you wish to use systematically. By default, Diamonds develops a standard scale so that the extreme values correspond to the maximum absolute values of the most positive or the most negative values of deformations or inner forces. Therefore, it is the same value which appears as an upper and lower bound of the scale values. The advantage of it is that very big colour pallets are always available. As for disadvantages, some of the results only use the lower part. It is one of the reasons why we give you the possibility to configure your own scales according to the observed results.

    As you can see in the illustration above, you may:

    • either opt for a scale with positive and negative limits
    • or choose a scale with absolute values.

    Moreover, in each case, you may freely change the extreme values of the colour pallet. In the first case, it means four possibilities. In the second case, only two. The displayed diagrams and scales adjust automatically to the selected scale. Therefore, you may conduct a number of tests to find a scale that bests suits your needs.

    Even after you have chosen a standard scale, Diamonds always allows you to set various and specific scales in order to display some results. Just select the ‘Exceptions to the default scale’ option on the bottom left side of the window. If you select this option, the third sub-tab, ‘Manual scale’ will become available.

    The possibility to activate or deactivate this option in the second sub-tab has an advantage. You may decide to display all the results according to the standard scale at any time.

  • ‘Manual scale’ sub-tab

    We are going to describe how to set a standard scale with the use of the second sub-tab and how to apply all the results by default. In case of some of the results it may sometimes be interesting to use a different scale: either if you want to use another type of scale, or if you want to customize upper and lower limits. The latter option may, for example be useful when you want to highlight the minimum and/or maximum value of limits. All the results exceeding a maximum or minimum limit will be the same colour.

    On the top of the page, there is a number of buttons related to the families which are attached to this sub-tab. For each family of results, you have a drop-down menu through which you can indicate specific results that you wish to examine.

    If you want to set a more appropriate scale for one of the specific results, start by selecting this result. Next, set the scale you want to use during its graphic representation. Moreover, to the left of the colour scale, you can uncheck the two numerical fields so as to be able to set your own upper and lower limits.

    You may, for example, choose to represent the upper reinforcement along the dark blue axis x’ every time when the theoretical quantity of required reinforcements is lower than the quantity of practical reinforcements (524mm²/m).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Tables

All the project data and results may be requested in a table by clicking one of these buttons in the tool bar.

Table 'Data'

Table ‘Results’

Table 'Equilibrium check'

Table 'Modal information'

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Table 'Data'

The contents of this table [image] may vary depending on the configuration. In principle, only the data related to the active configuration is displayed. In other words, the geometric data is not displayed in case of a configuration of loads. Similarly, a table does not contain any loads data if the active configuration only provides the drawing of the model. On the other hand, in case of the ‘Results’ configuration screen, geometric and loads data are recaptured.

Given the above information, the ‘Data’ window contains the maximum of six tables. Obviously, if there are no available data for a category, it will not appear on the list. On the other hand, the table only includes the information on the visible parts of the structure. If you want to display data concerning a single element or a number of given elements, first select those elements and then click [image].

Loads are always presented in a group of loads. Display loads for another group of loads with the use of a drop-down menu which is displayed in the top left corner of this dialogue box.

Using the pull down list with configurations, you can easily switch between different data tables.

By clicking [image] indicate information that you want to include in the table. The following dialogue box will appear:

Each feature is related to one column. To delete a given feature from the table, just uncheck a corresponding box.

You can include this data in a calculation report [image]. You may also print it directly by clicking [image] at the bottom of the dialogue box. Optionally, you may first click [image] to see a print preview. If you want to convert this data into a RTF file, click [image] .

Finally, you can modify the following data in this table:

  • the coordinates and limits of nodes in this window.
  • the size of the loads on points, bars and plates.

Select the relevant cell and click on it with the left mouse button. Write the new value in the cell that you can now edit, and click 'Apply modifications' to apply the modification(s) to the current model.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Table ‘Results’

The ‘Results’ window includes calculation results in a table [image].

The content of this table depends on the selected elements, the chosen result, the selected load group or combination and the chosen options with [image].

  • The results can be requested for each group and combination of loads, thus, for contoured values of combinations of loads at the level of extreme limit state designs and limit state designs of service. To show results for another combination, open the drop-down menu in the top left corner of the dialogue box.

  • The button [image] allows you to set certain columns of the table visible/ invisible and allows you to indicate which results you want to see.

    • The label of an element and the mesh coordinates can be added to the table as an extra column. The option Mean reaction in line supports results in an extra row in the table.

    • For bars you can specify which position you want to see the results: extreme values, all mesh nodes, the bar end values ​​or in the common point.

      Assume this structure:

      Extreme values All mesh nodes

      Only the minimum and maximum value of the selected bars are shown in the table.

      This option is not compatible with showing the mesh coordinates.

      The values belonging to each mesh node of the selected bars are shown in the table.
      End values bar

      Common point
      Only the values at the ends of the selected bars are shown in the table.

      Only the values in the common point of the selected bars are shown in the table.

      It is only possible to request this result for bars that only have one point in common.
    • .

You can included these results in a calculation report [image], print them directly [image] or convert the data to and RTF [image]. The last two cases, we advise to ask a print preview first using [image].

Use the button [image] to copy the content of the table. With the pull down list [image] you can indicate if you want:

  • to copy only the results for the current combination
  • to copy the results for all the combinations
  • to copy the results for all combinations within the current set
    If for example you're looking at the results for ULS FC 4 and you choose this option, all ULS results will be copied.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Table 'Equilibrium check'

The button [image] in the icon bar has both the equilibrium check and the global buckling factor, for each load combination:

  • The equilibrium check contains for each load combination an overview of the applied horizontal a vertical loads and the consequential horizontal and vertical reaction forces.
  • The global buckling factor [image] is the factor by which the loads have to be multiplied in order to provoke global buckling of the structure.
    • If the global buckling factor [image] is less than ‘1’, the loading is more than the critical loading, and therefore the structure will fail (collapse) as a whole. Combinations for which this is the case, are shown in red.
    • If the global buckling factor [image] is less than ‘10’, the structure is said to be 'sway' and a second order calculation is required.
    • If the global buckling factor [image] is larger or equal to ‘10’ or '-', the structure is said to be 'non-sway' and a first order calculation is sufficient.
    • If no convergence was found during the calculation of the global buckling factor [image], a '*' is shown. Because we can't make any conclusions, these combinations will also be shown in red.

Notes:

  • The global buckling factor [image] is only available after a second order calculation.
  • The global buckling factor [image] is independent of the standard and is not to be confused with buckling check of a single element.
  • The minimal buckling factor is given at the bottom of the window.
  • Use the button [image] to copy the contents of this table.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Table 'Modal information'

The button [image] in the icon bar contains the following modal information:

  • the angular velocity ω [rad/s]
  • the frequency f[Hz]
  • the period T [s]
  • the modal mass M
  • the modal stiffness K
  • the modal damping D
  • the critical damping Dc
  • the dampingratio ξ [%]
  • the effective modal mass according to the global X-axis
  • the effective modal mass according to the global Y- axis
  • the effective modal mass according to the global Z- axis

Use the button [image] to copy the content of the table.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Modal reaction

The button [image] in the icon bar contains the respons of each eigen mode to the dynamic load.

  • In the first pull down menu, you choose the dynamic load case for which you would like to see the response of the structure.
  • If this dynamic load case has sub-load cases, you can select the appropriate sub-load case in the second pull down menu.
  • In the third pull down menu you choose the eigen modes to be displayed. You can also show the responses of all eigen modes in 1 graph.
  • When you select the option ‘Global scale’, the amplitude of the eigen mode will be rescaled with respect to the maximum amplitude. If you uncheck this, the response of eigen mode will be displayed as large as possible. Example:
Respons of all eigen modes together The amplitude of the green eigen mode is very small compared to the red eigen mode. Repons of the green and red eigen mode. | Respons of the green eigen mode | Respons of the green eigen mode

This window helps you to

  • Determine which eigen mode reacts a lot or not to a certain dynamic loading.
  • Decide whether a quasi-static correction is justified or not. If the eigen frequency of the mode is much larger than the frequency of the imposed loading, the mode will react in a ‘quasi statical’ way – the amplitude has the same shape of the defined loading. In that case, you can use the quasi-static correction.

The response’s time frame is identical to the period you have filled out in [image].

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Detailed results on cross sections

A detailed representation of the stresses/ temperature in a cross section as a function of time can be obtained:

  • either by double clicking the bar while looking at the relevant results
  • either by selecting the bar and clicking on the icon [image] in the toolbar (while looking ath the relevant results)

Stresses

Thermal response

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Stresses

You will see following window:

  • Choose on the left top for which load group or load combination you would like to see the stresses.
  • With the slider on top of the window you can set the section for which you would like to see a detail of the stresses. By clicking on the distance below the slider, you can enter a position of your choice. Press u to play an animation. Use n to stop the animation. With the buttons - and Ê you can decelerate or accelerate the animation.

  • Results field with scale

    • In the results field the selected profile is graphically represented together with its principal axes of inertia. When a cross section is double symmetric, these axes will coincide with the local axes.

    • On the principal axes you’ll see red points. These are the points for which the stress results (N+My and N+Mz) are presented in the global results window of Diamonds. The position of these points is determined as the intersection of the principal axes with the cross section’s bounding box.

      When you come near these red points with the cursor, Diamonds will snap to them.

    • Move the mouse over the section to see the stresses at the desired place. Enter ‘x’ and ‘y’ coordinates to show the stresses at a point of your choice. The stresses you find in this window are based on N+My+Mz
    • Compression is negative, tension is positive.
  • With the button [image] you make a print screen of the section with the temperature scale.
  • With the button [image] you make a print preview of the section with the temperature scale.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Thermal response

You'll see the following window:

  • Move the slider to see the temperature after x minutes. Press u to play an animation. Use n to stop the animation. With the buttons - and Ê you can decelerate or accelerate the animation.
  • Move the mouse over the section to see the temperature in function of the time on a certain position. Enter ‘x’ and ‘y’ coordinates to show the temperature at a point of your choice.
  • On the right top side you see the temperature variation in function of time.
  • On the right bottom side, you see the temperature gradient and the global temperature change resulting in the same thermal deformations as the calculated fire effect at a given time. This is particular interesting when you want to model the fire load as a thermal load.
  • With the button [image] you make a print screen of the section with the temperature scale.
  • With the button [image] you make a print preview of the section with the temperature scale.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Detailed results

After the analysis, you may request detailed results for each bar or plate in a graph. In order to do this, select the bar or plate and then click [image] in the icon toolbar.

For line elements - general

In the case of bars, graphs of different variables are drawn one under another for a given button.

  • In the top left corner, select a group or a combination of loads for which you want to obtain detailed results.

  • Specify the variable for which a graph should be displayed.

    By default, the detailed results are reproduced according to the active parameters of the ‘Results’ pallet.

  • Under the graphs you will find an outline of a bar indicating a number of nodes and the bar’s length.

    It is possible to request a detailed result of multiple selected bars on the condition that they are co linear.

  • Drag the slider to the desired position to see the results in that particular place. You may also fill in a distance in the slider, the slider will then jump to this position.
  • The determining combination (minimum and maximum combination) for envelop values can be shown or hidden using the buttons [image] and [image].
  • Using the pull-down list you can easily switch between configurations. With [image] you can change the configuration settings.

The following rules apply to each of the graphs:

  • The values in the mesh points are deducted from finite element calculation. Average results are determined by linear interpolation.
  • Extreme values with a positive or negative sign as well as units are marked to the right from each graph.

For line elements (so beams, columns and cut lines)- relative deformation

Relative deflections can be shown for bars (having a cross-sections) or cut lines in a plate:

  • Select one or more bars/ cutlines (elements must be in-line) and click on [image].
  • Select the deflection result [image].

  • Thick the checkbox [image] .

The relative deflection is calculated using the distance between red points on the total deflection line.

  • Show the mesh points using the check box [image]. Multiple black points appear in the total deflection line
  • Existing supports or auto-recognized fixed points (such as a wall or a column) become red points by default.
  • Red points can be turned into black (non-fixed) points, by clicking them and visa versa.

Below the total deflection, you see the linear and relative deformation.

  • The linear deformation is the chord that connects the deformations at the red fixed points.
  • The relative deformation equals the total deformation minus the linear deformation.

Since the span (= the length between the red points) is known to Diamonds, the relative deformation is indicated as L/xxx below it.

Remarks:

  • For beams, δy deflections in the global results window correspond with local δz' results in the detailed window.

    For cutlines, δy deflections in the global results window correspond with global δy results in the detailed window.

  • In case of deflections according to the local y-axis δy', Diamonds will split them accordingly.
  • Thicking the option [image] will display the angular rotations, only for beams.
  • A print or print preview can be made with [image] and [image]. The relative deflections cannot be included in the general reporting.

For surface elements - general

As for slabs or plates, results may be shown in the detailed results window. On the left, you will find all the icons of the ‘Results’ pallet which can be applied to plates. You can only press the buttons for which results are available. Apart from the choice of a given dimension, you need to select a load group or -combination in the contextual menu. By default, the detailed results are represented according to the active parameters of the ‘Results’ pallet. Using the pull-down list you can easily switch between configurations. With [image] you can change the configuration settings.

Note that you may ask for a close-up of a number of selected elements if they are in a same plane. It is possible to enlarge (zoom) or move (pan) the drawing with the help of your mouse wheel.

Once you place your mouse somewhere within the perimeter of the plate, the values of the results of the same family of the chosen variable at that point, are displayed at the bottom.

In case of envelop values, both the minimum and maximum results are shown.

For préslabs, plates bearing in one or two direction, the optimal hopt and minimal plate thickness hmin are also given.

  • hopt is calculated using a steel strain of 10‰ and a compressive strain in concrete of 3,5‰
  • hmin is calculated using a steel strain corresponding to the point where the steel has just reached the yielding strength and a compressive strain in concrete of 3,5‰

For reinforcement in plates, you may see three possible results:

  • Ainf,UGT (or Asup,UGT): the required reinforcement to comply ULS
  • Ainf,TOT (or Asup,TOT): the required reinforcement to comply ULS and SLS, but also the minimum reinforcement and the practical reinforcement.
  • Ainf (or Asup): in case Ainf,UGT= Ainf,TOT (or Asup,UGT=Asup,TOT)

The relative coordinates of the point for which you are requesting the results are also displayed. The origin of the relative axis system is always located in the lower left corner of the selected plate or plates.

You can also specify coordinates for x and y, so that you have the requested results directly at the desired location. The sliders can be moved to the desired position with the mouse, so that you immediately see the desired results at that specific location. You can also enter a distance under the sliders, the slider will jump to this distance.

In addition, Diamonds snaps to points that are located in the plate in a detailed result. To do this, select the plate and the desired point (or points) in the ‘Results’ configuration and then go to the ‘Detail results’ window. The selected point (or points) is now included in the detailed results.

We would like to point out the fact that all the results, including the deformations and reactions (both for beams and slabs), are always presented according to the local coordinate system. Therefore, the results presented in your ‘Results’ configuration may differ (in this case the results are always represented in relation to global coordinate systems), especially in the case of inclined elements.

Both in case of bars and plates, you can print the close-up of the graph by clicking [image] at the bottom of the dialogue box. Optionally, you may rotate the representation of the plate by 90° by clicking [image].

The determining combination (minimum and maximum combination) for envelop values can be shown or hidden using the buttons [image] and [image].

We would like to draw your attention to the following practical application. When the relative results on reinforcements are reproduced in the form of a grid (see Definition and modification of a configuration) , you receive the following representation:

It concerns, in particular, the representation of sub-reinforcement. A basic mat ‘B 6-100’ is selected. It corresponds to practical reinforcement of 283mm²/m in both directions. As for the representation in the form of a grid, Diamonds shows required reinforcement (in mm²), which should be placed at a distance equal to the raster unit. For the two directions, the maximum cross-section is reproduced in red. The first value corresponds to the reinforcement already present (hence the practical reinforcement). The second value shows the lacking reinforcement. All the places where additional reinforcements are necessary (the second value >0) are displayed in blue.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Steel connections

Diamonds includes PowerConnect software, which allows you to dimension steel connections. Below you will find a brief description of the icons. They will be described more detailed in paragraph Connections.

Design of steel connections with PowerConnect

Opening the library of steel connections

Verifying steel connections

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Log in and notifications

If you work with central libraries (Local or central libraries) or when you want to exchange files on the network, the log is required to identify yourself from the other users. If you do not use these features, the log in is not important.

The login is set by an administrator (see Installation Guide).

To sign out by clicking the arrow next to your username and choose ‘Log out’.

If adjustments are made to the central libraries, you'll get a notification about this with [image] (Local or central libraries).

Also when you've received a model from BIM Expert, you'll get a notification about this with [image] (see Importing from BIM Expert).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Icon palette

Each configuration is provided with at least one icon pallet. One icon pallet includes a set of buttons that will help you conduct one of the following operations:

  • setting the geometry and prerequisites
  • applying loads
  • verifying the (detailed) results with the help of graphs

We are talking about ‘Geometry’, ‘Loads’, and ‘Results’ pallets respectively. We are going to walk you through all the features below.

'Geometry' pallet

Selecting pointer

Label and comment

Drawing points

Drawing lines

Erasing points, lines and planes

Drawing structure elements

Searching slabs or plates

Dividing lines

Extruding

Parametric forms

Parametric structures

Displacing and copying

Rotating

Projection

Mirroring

Intersections

Verification of a model

Scale geometry

Modifying properties common for several elements

Properties of bars

Dimensions

Section properties

Materials, covers (concrete) and the method of manufacturing

Local axis of bars

Derived Sections

Properties of slabs and plates

Properties of cross-sections

Stiffness matrix

Materials and covers of slabs

Local axis of slabs

Characteristics of footings

Choosing a cross-section in the section library

Choice of materials

Rotation of cross-sections

Allocating supports

Support points and support lines

Surface support

End conditions for bars and tie rods

Tie rod(s)

Displacement rigidity at bar ends

Defining a rigidity diagram

Haunches

Boundary conditions for plates

Eccentricity of bars

Eccentricity of a beam related to a slab

Eccentricity between bars

Physical model

Rigid links

Buckling and lateral buckling settings

Buckling length of an individual bar

Lateral buckling lengths

Settings for steel verification (lateral buckling)

Fire protection

Lines and nodes modifications

Copying and pasting geometry properties

‘Loads’ pallet

Load groups

Choosing a standard

Choosing the consequence class and design lifetime

Choosing a service category

Defining or cancelling load groups

Defining incompatible load groups

Defining linked load groups

Defining sub load groups

Load combinations

Combinations in time

Loads

Scale loads

Point loads at nodes

Moments at nodes

Point loads at bars

Moments at bars

Uniformly distributed linear loads and trapezium loads

Distributed torsion

Force on surface

Surface load generator on bars

Temperature loads

Wind generator

Snow generator

Seismic loads

Lineair dynamic loads

Moving loads

Fire curve

Deleting or modifying loads

Copying and pasting loads

Right mouse button

Translation of loads

‘Results’ box

Displaying deformations

Displaying internal forces in beams and columns

Displaying internal forces in slabs and plates

Displaying reactions in support points

Displaying elastic stresses in beams and columns

Displaying elastic stresses in slabs and plates

Displaying reinforcement

Displaying cracking width

Displaying thermal results

Results along a cut line

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


'Geometry' pallet

Selecting pointer

Label and comment

Drawing points

Drawing lines

Erasing points, lines and planes

Drawing structure elements

Searching slabs or plates

Dividing lines

Extruding

Parametric forms

Parametric structures

Displacing and copying

Rotating

Projection

Mirroring

Intersections

Verification of a model

Scale geometry

Modifying properties common for several elements

Properties of bars

Dimensions

Section properties

General tab

Elastic tab

Plastic tab

Effective tab

Design tab

Materials, covers (concrete) and the method of manufacturing

Local axis of bars

Derived Sections

Properties of slabs and plates

Properties of cross-sections

Stiffness matrix

Materials and covers of slabs

Local axis of slabs

Characteristics of footings

Choosing a cross-section in the section library

Choice of materials

Rotation of cross-sections

Allocating supports

Support points and support lines

Surface support

End conditions for bars and tie rods

Tie rod(s)

Displacement rigidity at bar ends

Defining a rigidity diagram

Haunches

Boundary conditions for plates

Eccentricity of bars

Eccentricity of a beam related to a slab

Eccentricity between bars

Physical model

Rigid links

Buckling and lateral buckling settings

Buckling length of an individual bar

Lateral buckling lengths

Settings for steel verification (lateral buckling)

Fire protection

Lines and nodes modifications

Copying and pasting geometry properties

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Selecting pointer

This button [image] allows you to terminate the current function (e.g. to draw lines or points). Therefore, the cursor resumes its initial appearance. When this feature is active you can select elements in the model window by using your mouse.

Note: You may also deactivate the current function with the help of ESC-button on your keyboard.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Label and comment

With the icon [image] you can assign a Label and Comment to points, lines and surfaces.

‘Label’ can for example be used the assign a personal number to the elements. While ‘Comment’ can be used to mention points of attention.

Both ‘Label’ and ‘Comment’ can be visualized on the screen ( [image] > tab page ‘Geometry’), shown and edited in the Data table [image] and printed using the Report Manager [image].

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Drawing points

The [image] button allows you to add points to your model. Points that appear in the model can serve as construction points (e.g. the centre of a circle) or points to which loads or support points can be assigned.

There are two ways of inserting a point.

  • Either you draw a point with the use of a mouse,
  • or you define it by inserting its coordinates.

In the first case, navigate with your mouse towards the location where you want to draw the point. Next, click the left mouse button. You may rely on the coordinates that appear at the bottom of the information bar and that adjust to the movement of the mouse. Obviously in this case, you may only draw points in the 2D view. In the second case, with the use of your keyboard write the coordinates of the point in the required field provided for that purpose at the bottom of the model window. Next, press ENTER.

The coordinates are to be separated by ‘;’. Depending on the current view, fill in two coordinates (2D view) or three coordinates (3D view).

To deactivate the drawing feature press [image] or ESC on your keyboard.

Note: In addition to mesh points, Diamonds always allows you to connect to existing points in the model, even if they are shown in the hidden mode. Thus, in the view from the top, it is also possible to connect to the points situated on the underlying levels.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Drawing lines

The [image] button allows you to draw lines. These lines represent bars or edges of a plate. A cross-section may afterwards be assigned.

There are two ways to define a line:

  • Either using a mouse, you draw the starting point and the end point of the line (by clicking the left mouse button in the starting position and ending position). In order to do this, you may rely on the coordinates that appear at the bottom of the information bar and by adjusting the movement of the mouse. Once the end point of the line is set, you may start a new line by immediately indicating the next point (the starting point of the new line is then equal to the end point of the previous line). You may also draw two new points after having pressed the right mouse button (if the line is not connected with the previous one). In the view 2D, you may therefore draw lines in any part of the model window. In the view 3D, you can draw only between the existing lines or points.

  • You can also insert the coordinates of the two points in the field at the bottom of the model window. Use ENTER after inserting coordinates of each point. Once the coordinates of the second point are inserted and confirmed (with ENTER), you can deactivate the drawing feature with ESC or immediately write the coordinates of an end point of the next line.

    The coordinates of a point are separated by “;”. Depending on the current view, write two coordinates (2D view) or three coordinates (3D view). In addition to inserting absolute coordinates, it is also possible to set with ‘@’ the end point of a bar using relative coordinates.

In both cases, deactivate the drawing feature with the help of [image] or by pressing ESC on your keyboard.

Note: Below you will find some hints for drawing lines with your mouse.

  • In addition to mesh points, Diamonds always allows you to connect existing points in the model, even if they are hidden. Thus, in the view from the top, it is also possible to connect to the points situated on the underlying levels.
  • You can easily draw orthogonal lines by holding the ‘SHIFT’-key while navigating.
  • If you want the distances to be shown next to the cursor when you draw, select the 'Options – Preferences …’ command and check an appropriate box in the ‘Drawing’ tab. (see also Drawing parameters).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Erasing points, lines and planes

You can delete a structural element or a part of the construction at any time. In all cases, you need to select the elements to be deleted. Next, you may choose:

  • either to click [image] in the ‘Geometry’ pallet,
  • or use the DEL or SUPRR-key on your keyboard

The cross-sections (footings, beams, plates) assigned to points, lines or planes will be deleted together with them.

Notes:

  • When you delete a plate edge, Diamonds will ask if the adjacent plate may also be deleted.

    Unless a cross-section was assigned to this edge. Then only the cross-section will be deleted and the line and plate will remain.

    When you delete a plate edge that's part of a least two plates, Diamonds will also allow the plates to be merged.

    • Only select the edge(s) of the surfaces you would like to merge.

    • Click [image] or DEL.

    • A dialogue box asks you what you want to do with the selection. Choose Merge.

    • Result:

  • If you want to delete a cross-section of an isolated bar but keep the line to which the cross-section was assigned, use [image] and modify the form of the cross-section as described in Section properties.
  • When you delete a plate, the edges of the plate will always be deleted, unless beams have been assigned to these lines. If you do not want to delete the edges of the plate together with the latter, use the combination of keys CTRL+ SHIFT + DEL. In an analogue way, you can delete the cross-section of the plate with [image] (see Properties of slabs and plates).
  • If you delete a plate entirely included in another plate, the latter will not be erased but modified into an opening. Since all the openings are automatically assigned to the same type (i.e. ‘Openings’), you can easily hide it as described in Design types. This method has the following advantage. You do not have to worry about these openings when selecting underlying elements.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Drawing structure elements

When applying hierarchical structures (so using the Level Manager), Diamonds offers a quick method to draw columns, beams and walls.

In the 'Geometry' pallet one button corresponds to each of the above mentioned elements.

  • to draw columns
  • to draw beams
  • to draw walls
  • to draw footings

Drawing structural elements is conducted in an analogue way as drawing a point or line in the model window with one exception that a cross-section is immediately assigned to the point or line. It is worth adding that:

  • The beams drawn on the edges of plates will always be positioned so that their upper surface is aligned with the upper surface of the plate. It implies that the beam and the plate will work together. However, you can eliminate this eccentricity with the help of [image] (see Eccentricity of a beam related to a slab). Important: this rule does not apply to isolated beams. In such case, the neutral fibre always coincides with the plane of active horizontal projection (e=0).
  • The user always positions the head of a column and draws the upper edge of the walls. The generated elements are always situated below the drawn points and lines. The height of the generated elements depends on the height of the level. Note that you may also model the walls whose upper edges are inclined. As for the lower edges, they will need to be horizontal.

Diamonds updates the list of all the cross-sections already set in the project for all structural elements. Once the button for drawing a column, a beam or a wall is active, you can select a desired cross-section in the drop-down menu. If no structural elements have been set, Diamonds sets a standard element for you. Next, the elements that are not a part of the calculation project will be automatically deleted from the list.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Searching slabs or plates

Before you will be able to assign slabs or plates, it is necessary to select a set of lines that form a closed contour. Next, click [image]. Then, Diamonds defines a default 20cm thick concrete slab or plate between the lines. If several contours are possible, Diamonds assigns a slab or plate to each contour. The only condition is that all the selected lines are situated within the same plane.

Note:When the selected lines do not constitute a closed contour, the software encircles the place where the lines do not join but are relatively near each other. You can also easily detect a certain number of modelling errors and correct them.

In the case described above, just merge the points to be able to generate a slab.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Dividing lines

Start by selecting the lines you want to divide. Once the lines are selected, you can divide them with the help of [image]. The following dialogue box will show:

By default, Diamonds will divide a line into 2 equal segments. You can divide the line into more parts, by filling the required number in the box 'Number of segments’. By unchecking the option "Equal segments", you can specify the length of the parts.

The length of one segment is determined automatically as the current overall length must be maintained (L3 [m] = L [m] - L1 [m] - L2 [m]). This segment has a grey background. You can assign this to a different segment by right-clicking and selecting [image]. The 'fixed' length shifts to another segment. You can also click on another cell with the mouse and click [image].

The length L1[m] always starts from the begin node.

By checking the option ‘Show endpoints bar’, the node number of the begin- and endpoint of the bar will be shown in the table.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Extruding

Extrusion consists in drawing a line in a given direction starting from a given point. Select the points from which you want to extrude and then click [image].

In the dialogue window that will be displayed, you have a choice between:

  • Distance: you determine the global coordinates of the vector extrusion. All the points are extruded over the same distance.
  • To a plane: all the points are extended up to a reference plane. The reference plane is always a plane perpendicular to one of the global axes.

In case of ‘distance’ and ‘to plane’ options, the procedure to generate multiple columns at once is different:

Note: You may also define the extrusion vector or the reference plane (1 point) graphically in the ‘Geometry’ configuration (while the dialogue window is open).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Parametric forms

Diamonds allows you to easily generate arcs, circles, ellipses and rectangles. Start by selecting one or more points and then click [image].

  • If you select a single point, a dialogue box for creating an arc or a circle will open, with its centre at the selected point.

    A circle or an angle will always be drawn in a plane parallel to a plane XZ, XY or ZY. Next to the plane, there is also a radius, a start angle and an end angle as well as the number of segments in which the arc or circle will be divided. The positive angles are measured in the way shown in the illustration. Note that the arcs or circles are always formed by straight lines.

  • If you select two points, you are asked to choose.

    Either the two points constitute the centre of two circles or two arcs, parallel to the plane XZ, XY or ZY. Therefore, you open the same dialogue box as above.

    Or, Diamonds constructs a rectangle or a parallelepiped, where the two points constitute the two points diagonally opposite.

    Either the two points form the bounding box of an ellipse, parallel to the XZ, XY or ZY plane. This dialog box opens:

    The ellipse is always drawn in a plane parallel to the XZ, XY or ZY plane. Note the number of segments of the ellipse below. An ellipse is always approximated by straight segments.
  • When three points are selected, you need to make a choice as well.
    • Either the three selected points constitute the centre of a circle or an arc, parallel to the plane XZ, XY or ZY.
    • Or, Diamonds constructs a circle or an arc passing through the three selected points. Next, you set the number of segments of each part of the arc between two points.

  • If you select more than 3 points, a new dialogue box will open to generate an arc or a circle whose centers coincide with the selected points.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Parametric structures

Diamonds contains a wizard with common structures such as a porch, a continuous beam, etc., for which you only need to enter a limited number of parameters to generate the structure easily.

To access this wizard, click the icon [image].

You can generate the following structures:

Continuous beam

Porch

Truss

Roof

Frame

Porch
Barrel, silo or vessel

Select the desired structure, and confirm by clicking ‘OK’. Fill out the required parameters. The required parameters are analogous for each structure:

  • Parameters for spans
  • Parameters for supports
  • Parameters for cross section choice
  • Insertion point

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Displacing and copying

To displace a structure or a part of it, or to copy it a given number of times, first select the elements you want to apply the transfer to and then click [image].

If you want to displace the selected elements, N should be equal to 0. Next, specify the distances according to the global coordinate system along which the selection should be displaced. You can choose to rescale the physical elements (see Physical).

To copy a structure, determine how many copies you want (N). Next, specify the distances according to the global coordinate system along which the selection should be copied.

This distance is repeated as many times as there are copies. An additional option allows you to connect each copy with the previous one:

  • either by adding a line between the initial points and the copied one,
  • or by adding a plane between the initial line and the copied one,

Note: The values of the displacement vector can also be inserted graphically by indicating the distance on your own in ‘Configuration – Geometry with the use of a mouse (while keeping the dialogue window open).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Rotating

The ‘rotate’ feature is run in almost the same way as ‘displacing and copying’ feature. After selecting the elements to rotate, click [image]. In the dialogue box that will open, you need to indicate the plane in which rotation has to take place (therefore, the axis around which the rotation takes place is perpendicular), the number of rotated copies, the angle at which they are to rotate, the point (indicated by the number of the point or by global coordinates) which the axis of rotation has to go through. During each rotation, it may also be possible to perform movement along the axis of rotation.

An additional option allows you to connect the points and bars rotated by the lines or planes.

You can choose to rescale the physical elements (see Physical).

Global loads which have already been applied to the source structure keep their meaning and direction with accordance to the global coordinate system. However, the loads that have been defined locally will also be mirrored.

Note: The centre and the angle of rotation may be introduced graphically in ‘Configuration - Geometry’ with the use of a mouse (while keeping the dialogue window open). Specifically, it is sufficient to indicate 3 points: the first corresponds to the centre of rotation, the other two define the angle α.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Projection

In order to project the structure, you select the relevant elements and click on the button [image].

In the window that appears, you indicate on which plane you would like to project. For example, in the screen above all selected points will be projected on the plane X=0m.

The option below the projection window have the following meaning:

  • ‘Keep original structure’: the selection being projected will remain in the model.
  • ‘Create connecting lines’: Diamonds will draw the connecting lines between the original and the projected structure.
  • ‘Create connecting surfaces’: Diamonds will generate the connecting surfaces between the original and the projected structure.

This function is very useful to straighten inclined walls (e.g. after import of a dxf-file).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Mirroring

Start by selecting the structure you want to reflect and then click [image]. Depending on the orientation, fill out the coordinates of 2 or 3 points forming a line or plane of symmetry.

At the bottom left, also indicate if the source should be saved.

Global loads which have already been applied to the source structure keep their meaning and direction with accordance to the global coordinate system. However, the loads that have been defined locally will also be mirrored.

Note: The coordinates of the two points defining an axis of symmetry or of the three points defining a plane of symmetry may also be introduced graphically. For an axis of symmetry, simply draw it with your mouse. For a plane, simply click 3 points which define it (while keeping the dialogue window open).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Intersections

The button [image] allows you to make intersections. You have the choose:

  • to find the intersection between 2 line (first option)

  • to find the intersection between a number of selected elements and a reference plane (second option).

    The plane of intersection is always perpendicular to one of the global axes. Note that you can apply this function to bars and surfaces.

  • to retain the intersection point between 2 lines.

    In a DXF file, a point support or the position of a column is generally indicated by a cross. When you import the DXF file into Diamonds, the intention is that only a single point remains to indicate the position of the column. With this function, this is now child’s play.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Verification of a model

Errors appearing in the calculation model because of imprecision’s of alterations to the drawing in the ‘Geometry’ or errors imported in a DXF from a CAD model, can always be repaired with the use of .

This feature allows particularly:

  • to merge distinct points, closer to each other than a given tolerance.
  • to round the point coordinates to the specified tolerance
  • to set the points on a line which are too close. This way the live is divided.
  • to remove plates for which not all the points lie in the same plane

When clicking on the button [image], you'll see this window:

With the new structure verification you can choose whether or not the first two checks (merging points and rounding the coordinates) should be performed by (un)checking the corresponding check boxes. The used geometric tolerance can be indicated in this window. This has the same value as the geometric tolerance with ‘Options -> Preferences -> tab 'Drawing’ (see Setting geometric tolerances of a model).

Note: with a model verification two or more points are joined together, but you never in advance if punt A will be merged with point B or visa versa!

Hereby parts of the structure that were straight, are now inclined. A thorough inspection of geometry and loads is highly recommended.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Scale geometry

Select the entire structure and click on [image]. Enter the desired scale factor and the coordinates of the reference point. You can also indicate the reference point on the screen. Diamonds will then automatically enter the coordinates.

Notes:

  • The scale function does not affect the dimensions of the cross-sections, only the length (for line-elements) and the length & width (for surface-elements).
  • The scale function does not affect the value of the applied loads. If you want to scale the loads, use the button [image] in the Loads configuration [image] .

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Modifying properties common for several elements

Undoubtedly, you regularly face the need or desire to modify one or more properties of a set of elements simultaneously. When the properties of selected elements are identical, this poses no problem. However, when some of the properties of a number of elements of the selection are different, some confusion may arise following the modification of one or more properties.

Take the following situation for example:

Imagine that you model a cylindrical tank using a form generator in Diamonds. By default, the form generator sets the direction of the sides so that the local axis y’ (perpendicular to the surface elements) is always directed outward.

However, the direction of the local axis x’ of each side will always be based on the global axis X. Taking into consideration the fact that the local x’y’z’ coordinate system is always oriented along ‘fingers of the right hand’, it will be reversed for a half of generated surface elements by 180° in relation to the other half. From that moment, all properties of a set of surface elements are not common any longer because at least the direction is different.

To modify thickness of all the surface elements simultaneously, select them and open the properties dialogue window related to slabs.

The user can directly modify only a limited number of properties. Fields that cannot be directly modified are in grey. They are accompanied by an icon with a padlock [image]. Only after you unlock this padlock ( [image]) will you be able to actually modify the value of a property.

When you confirm your choice with ‘OK’, you will assign the new value to the entire selection.

The properties which have not been explicitly released by the user (and whose fields stay grey from then on) will not be modified after confirming with ‘OK’.

In the case of the example described above, the dialogue window looks as follows:

The icon with a small padlock at the bottom right indicates that the direction of local axes x’y’z’is not identical for all the selected elements.

If you do not change anything and keep the padlock locked, you may modify thickness of elements, their covers and/ or the material used without changing their local axes.

Specifying a (new) common direction and confirming your choice with ‘OK’ is only possible if you unlock the padlock. This way you will assign a new unique direction for all the selected surface elements.

The principle described above concerning wall elements with different directions of their local coordinates, can of course be applied every time it is possible to simultaneously modify features or properties of several elements of the same nature (slabs, beams, …). This principle may be applied globally to all the icons from the ‘Geometry’ pallet.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Properties of bars

To assign a cross section (based on a form type) to a bar or to modify the properties of an existing beam or column, select one or more bars and click [image]. The following window will appear on the screen:

We divide the properties of bars into categories:

  • Dimensions
  • Section properties
  • Material properties and derived characteristic values (concrete covers, method of steel fabrication, fibre direction of timber)
  • Local axes

Each category can be opened and closed to keep the window clear and fit on smaller (tablet) screens.

Dimensions

Section properties

General tab

Elastic tab

Plastic tab

Effective tab

Design tab

Materials, covers (concrete) and the method of manufacturing

Local axis of bars

Derived Sections

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Dimensions

The first frame refers to properties of the cross-section of the bar, in particular to its profile corresponding to its form and dimensions.

The field in the upper left part allows you to assign a name to each cross-section of a bar and add these names to a drop-down menu.

If you have already predefined a number of cross-sections and you want to assign the same properties and dimensions to one or more selected bars, simply open the drop-down menu (small arrow pointing down to the right of the ‘name’ field) and select the cross-section of which you want to copy the properties. As soon as you select a cross-section from the list, its properties and features are automatically completed in the table and applied to the selected bar(s).

Other bar properties (like the material and the local orientation) are not directly related to their cross-sections. Therefore, they are not associated with assigning a cross-section using the drop-down menu. You need to configure these properties independently from the properties of cross-sections of bars. On the other hand, the covers and the method of steel fabrication are related to the cross-sections although their properties can only be defined after having selected the material.

In the drop-down menu [image], choose the form of the desired cross-section:

The icon [image] ( [image] > [image]) erases the cross-section(s) without erasing the bars.

It is also possible to select a steel cross-section from the section library. Click [image] (see Choosing a cross-section in the section library). All the properties of the cross-section are filled in automatically as well.

For default shapes, you can choose between a constant or a variable section. When you choose a variable section, you must specify cross-sectional dimensions at the beginning of the bar (section 1) and at the end of the bar (section 2). Depending on the chosen profile, one or two dimensions for section 2 should be completed.

The option ‘values related to physical member’ ensures that the dimensions of section 1 and 2 refer to the endpoints of the physical group, and not to the individual sub-beams (see Physical).

Notes:

  • Diamonds automatically determines the properties of a variable section, you can not change them.
  • Variable sections are not applicable to user-defined profiles (section Utility, see below) and cold formed sections.

If you want to set a cross-section that does not appear in the list, you can generate it with the help of Section Utility (generator of cross-sections). The generator of cross-sections is a utility that allows you to set any kind of cross-section and/ or profiles composed of one or more materials. To launch Section Utility, select [image] from the list of shapes and click on [image]. Using the drawing features in Section Utility or using the ‘Import a DXF’ feature in Section Utility any possible shape can be made. It is worth mentioning that the above method can also be activated from the dialogue box where the library of cross-sections is defined (see Section library ). A user also has the possibility to easily add sections which he defined on his own to his Diamonds library of cross-sections.

You will need to indicate the dimensions according to the form of the cross-section. The required dimensions are always presented in a standard drawing of the cross-section. Once all the dimensions are inserted, the effective cross-section may be displayed indicating geometric axes (y’ and z’). In the case when the geometric axes do not correspond to the main axes of inertia (α ≠ 0°), the latter (u and v) will also be drawn.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Section properties

In this part of the dialogue you will find all section properties of the defined cross-section.

  • If the cross-section is based on a default form [image], all the properties will be calculated automatically, provided that the "Automatic calculation" tick box is checked. If the tick box is unchecked, you can assign a different value to each cross-section property.
  • If you choose a steel cross-section from the library [image], the 'Calculate automatically' option will be unchecked. I.e. that the properties you see are taken from profile books. If you check the 'Automatic calculation' option, formulas are used to calculate the properties. This can lead to small deviations.

We distinguish 5 possible categories of characteristics that are each displayed in a separate tab. Depending on the material assigned, some tabs and / or properties may not be accessible. We will go through the different categories below.

General tab

Elastic tab

Plastic tab

Effective tab

Design tab

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


General tab

This tab contains general features of the cross-section.

  • Specific weight and gross surface area
  • COGy, COGz the coordinates of the centre of gravity (COG)

  • SCy, SCz the coordinates of the shear centre (SC) .

    This is default in relation to the coordinate system whose origin is situated in the lower left corner of the cross-section (this coordinate system can be found on the sketch of the cross-section when you select 'Axes' in the top right part).

    You can also opt to show the coordinates in relation to the centre of gravity.

  • The parameters [image] and [image] are used when calculating the shear deformation. The indices ‘u’ and ‘v’ refer to the principal axis of inertia of the cross section.
    (Source for the calculation: R. Van Impe, Berekening van Bouwkundige Constructies I, §5.1.2).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Elastic tab

In this tab you will find all the elastic properties of the cross-section. The first 2 columns concern all the properties related to bending around the axis y’ or the axis z’ of the cross-section. If the local axes y’ and z’ do not correspond to the principal axes of inertia (α ≠ 0°), the relative features at the strong axis (u) or at the weak axis (v) will also be displayed.

You will find the meaning of the used notations below.

  • Sy, Sz the static moment of the cross-section according to axes Y and Z
  • Iy', Iz' the moment of inertia of the cross-section according to axes y’ and z’
  • iy',iz' the radius of inertia or radius of gyration of the cross-section in the directions y’ and z’
  • Iyz the product of inertia of the cross-section according to axes y’ and z’
  • Wel,y',t the elastic moment of resistance according to bending around the axis y’, at the level of the top fibre of the cross-section
  • Wel,y',b the elastic moment of resistance according to bending around the axis y’, at the level of the bottom fibre of the cross-section
  • Wel,z',l the elastic moment of resistance according to bending around the axis z’, at the level of the extreme left fibre
  • Wel,z',r the elastic moment of resistance according to bending around the axis z’, at the level of the extreme right fibre
  • It the torsion constant
  • Iw the warping constant
  • Twm the torsion module
  • α the angle between the axes of principal inertia and the local axes y’ and z’ of the cross-section
  • Iu,Iv the moment of inertia of the cross-section according to the principal inertia
  • Wel,u,t the elastic moment of resistance according to bending around the strong axis of inertia u, at the level of fibre with the biggest coordinate v
  • Wel,u,b the elastic moment of resistance according to bending around the strong axis of inertia u, at the level of fibre with the smallest coordinate v (top fibre)
  • Wel,v,t the elastic moment of resistance according to bending around the strong axis of inertia v, at the level of fibre with the biggest coordinate u
  • Wel,v,b the elastic moment of resistance according to bending around the weak axis of inertia v, at the level of fibre with the smallest coordinate u (bottom fibre)

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Plastic tab

This tab includes all the features essential to calculate the plastic moment of resistance and plastic shear resistance.

You will find the meaning of the used notations below.

  • Wpl,y the plastic moment of resistance for bending around the axis y’
  • Wpl,z the plastic moment of resistance for bending around the axis z’
  • Wpl,u the plastic moment of resistance for bending around the strong axis of inertia u
  • Wpl,v the plastic moment of resistance for bending around the weak axis of inertia v
  • Avz, Avy the shear surface in the directions z’ and y’

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Effective tab

This tab is only displayed when it concerns a steel profile.

  • eNy, eNz the displacement of the centre of gravity of a reduced cross-section (if the cross-section is only subject to uniform compression).

    The displacement causes an additional bending moment around the axis y’, whereas the eccentricity eNz generates an additional bending moment around the axis z’. The sign of this eccentricity is important because the additional moment will be applied only if it causes an adverse effect (therefore, if ΔM has the same sign as MEd). A positive eccentricity means that the neutral line was displaced along the positive local axis of the cross-section. The eccentricities eNy and eNz of double symmetric profiles are always equal zero.

  • Aeff the effective area of the cross-section when the cross-section is loaded with compression only
  • Weff,y',t the effective moment of resistance of the cross-section in case of bending around the y’-axis, at the top fiber
  • Weff,y',b the effective moment of resistance of the cross-section in case of bending around the y’-axis, at the bottom fiber
  • Weff,z',l the effective moment of resistance of the cross-section in case of bending around the z’-axis, at the left fiber
  • Weff,z',r the effective moment of resistance of the cross-section in case of bending around the z’-axis, at the right fiber

Practical:

  • The effective properties are calculated automatically during the steel-check for these shapes:
  • For Joris Ide, MRP, Brausa and Sadef sections, the effective properties are loaded from the library.
  • For random sections ( [image] > [image]) the user must impose the effective properties with the button 'Imposed sections classes'.
  • For all other sections, the user must impose the effective properties by replacing 'Automatic' with the correct value. If not, an error message will be shown during the steel-check.

Notes:

  • If the local axes y’ and z’ do not correspond to the principal axes of inertia, you need to replace the notations y’ and z’ with u and v.

  • Although you can define here a different effective moment of resistance for the top and the bottom (the left and right side) of the cross-section, it will always be the smallest value that will be used in the steel and timber verification.

    In the presence of an asymmetrical section whose features are calculated automatically, you will always find the same value for the same reason.

    More specifically, this approach means that it is possible to obtain a conservative (= safe) result if the cross-section is subject to a compression and bending (N+M).

  • For sections with variable dimensions, the user must impose the effective properties for the smallest and largest section.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Design tab

This tab is only displayed when it concerns a steel profile.

  • αy, αz the imperfection factors for buckling around the y'- and z'-axis.
  • αLT the imperfection factor for lateral torsional buckling
  • tmax the maximum plate thickness for the determination of the yielding strength

  • My, Mz,N the cross-section class when the profile is subject to a compressive force (N), to a bending moment around its weak axis (My) or to a bending moment around its strong axis (Mz)

    • For section from the library [image] and section bases on a default shape ( [image] > [image]) the section class is determined automatically during the steelcheck.

    • For random sections (Section Utility [image]) the user must impose the section classes.

      If the section is of class 4, he should also impose the effective properties.

    • you can determine a different cross-section class for N, My and Mz separately. For combinations of normal force and bending moments N+My and N+Mz:

      • the class associated with calculating the resistance to normal force is determined using the class for N
      • the class associated with calculating the resistance to a bending moment is determined using corresponding the class for M (so My or Mz).

  • Eurocode 3 divides the verification of steel sections in two parts:

    • EN 1993-1-1 for section with thickness t ≥ 3mm
    • EN 1993-1-3 for cold formed sections with thickness t < 3mm.

    If the option 'Use design code for cold formed thin-walled section t < 3mm’ (= EN 1993-1-3) is checked, the following properties will also be required:

    • Vz,Rd the design resistance to shear in the z’-direction
    • Vy,Rd the design resistance to shear in the y’-direction
    • fya the mean yielding strength

  • And finally you can also opt to apply the additional rules for purlins (EN 1993-1-3 §10).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Materials, covers (concrete) and the method of manufacturing

In the second sub-frame you can specify the chosen material. The drop-down list consists of all the materials present in the library of materials. If the defined profile is a standard section included in the section library, the standard steel will be specified by default (see Material library).

For steel cross-sections, it is possible to indicate the fabrication mode (laminated, welded or cold formed). This information is sometimes needed for the steel verification.

For the cross-sections in reinforced concrete, an additional button, [image] will appear on the screen. This button opens a new dialogue box in which you specify gross reinforcement cover and the reinforcement pattern.

  • Gross reinforcement cover is the distance between the reinforcement centre of gravity and the edge of the cross-section of concrete.

    You can specify different covers for upper, lower, left and right sides of the reinforcement. These covers are used to calculate the useful height of the cross-section.

  • To determine the reinforcement pattern in concrete columns and beams, you have three options in terms of placement: ‘all sides, ‘top and bottom’, ‘left and right’.
    The figures below illustrate where exactly these reinforcement zones are located for different cross-section shapes:

  • In terms of distribution, you have also 4 options: ‘optimized’, ‘identical’, ‘proportional’ and 'imposed'. The meaning of the first 3 is explained on support.buildsoft.eu. With 'imposed' you define the distributions. Upper (z'>0), lower (z'<0), left (y'<0), right (y'>0) refer to the local coordinate system of the bar.

You can combine any placement with any distribution, although in some cases this will lead to less economic quantities.

For rectangular variable timber sections, an additional button [image] is shown. Here, you can specify the angle between the fibre direction and the axis of the bar. You can choose between:

The timber fibre direction is parallel to the axis of the bar.

The timber fibre direction is parallel to the upper side of section

The timber fibre direction is parallel to the lower side of section

Based on the fibre direction set, Diamonds will calculate the angle between the fibre direction and the x’-axis. This angle will be taking into consideration when calculation the resistance and stability according to §6.2.4 of EN 1995-1-1.

For all other variable timber sections, the fibre direction is set parallel to the axis of the bar.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Local axis of bars

In the last sub-frame you can modify the orientation of cross-sections.

The local axis x’ is always located in the prolongation of the bar and thus it cannot be modified. However, it is possible to rotate the cross-section around this axis.

By using the buttons [image] and [image], you can switch the assigned section at the beginning and end node. These buttons are only visible for variable sections.

You may mirror the cross-section, in which case your local coordinate system oriented along the fingers of the right hand becomes a coordinate system orientated along the fingers of the left hand (or vice-versa).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Derived Sections

In this window [image] you define the properties of a profile (= source profile). However, you can extend this profile further by adding fire protectors [image]. This is how you obtain a derived section.

If you then make adjustments to the source profile (eg making the profile higher), these adjustments are not automatically implemented on the derived sections! You will see the following message:

Click the message away and adjust the derived sections in [image].

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Properties of slabs and plates

You may open the dialogue window with plate properties in two different ways:

  • either double-click one plate/ slab in the ‘Geometry’ configuration,
  • or click [image] after having selected one or more slabs.

In both cases, the dialogue box shown below, appears on the screen:

Similarly to bars, we divide the properties of slabs into 3 categories, each corresponding to a sub-frame of the window on the screen (cf. 3 paragraphs below).

  • Properties of cross-sections of slabs
  • The stiffness matrix
  • Properties of used materials (characteristic values, gross concrete covers, etc.)
  • Local axes of slabs

At the bottom of the dialogue box, you can see which level the selected element belongs to. This is important if, at the same time, you use the ‘Level Manager’ tool. In fact, an element that belongs to a given level will appear on the screen only if the entire level is visible. Moreover, an element can only be selected in the view above if it belongs to an active level.

With the buttons [image] and [image] you can export and import the plate properties respectively. This way you can easily reuse self-defined plate types. Keep in mind that the material and any reinforcement cover are not imported / exported.

Properties of cross-sections

Stiffness matrix

Materials and covers of slabs

Local axis of slabs

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Cross section properties

In the upper part of this dialogue box you may define the properties of cross-sections of slabs, i.e. a section or a type of a slab, as well as its various dimensions. You may also assign a name to each defined slab. Simply indicate the name in the drop-down menu in the top of the window.

If you want to assign the properties (section, thickness, orthotropy, etc.) of another previously defined slab, use the small arrow on the right of the drop-down menu to specify the name of the slab whose features you want to use. They will automatically be copied into various fields of properties.

Note: The remaining features, such as the material (or a type of concrete) the gross covers, orientation of local axes, etc. are not a part of the properties of cross-sections of slabs. Therefore, they are not copied when you retrieve the features of a slab to attribute them to another one. That is why, you need to systematically specify them manually.

In Diamonds, you can choose between various types of slabs. Every plate defined using [image] is a priori isotropic and therefore, the properties are identical in all directions. Orthotropic slabs are slabs which have a different profile in two perpendicular directions, thus have different rigidity in these two directions. You can always change the plate type using the pull down menu. You have the choice between:

Isotropic slabs – slabs which have the same properties in all the directions.
Pre-slab floors – floors composed of pre-slabs (which bear in one direction) on which an isotropic concrete layer is cast.
Slabs positioned in a single direction – slabs without any rigidity in the direction perpendicular to the main direction.
Ribbed floors with ribs in one direction – floor elements with ribs in the longitudinal direction
Ribbed floors with ribs in two directions – floor elements with ribs in two directions
Unfilled multicellular slabs – unfilled floors/ slabs whose slots go in one main direction.
Unfilled floors/ slabs– floors whose slots are placed according to a rectangular grid.

Hollow core slab - floor build up from hollow core slabs (which bear in one direction) on which an isotropic concrete layer is cast.
Diaphragm - plate without any bending stiffness
Arbitrary plate defined based on the stiffness matrix
Opening

In terms of selected type, you need to specify a certain number of dimensions. On the right, a detailed drawing illustrates the requested dimensions as well as the other parameters necessary to define the matrix of the system.

As for an orthotropic slab, we can distinguish the primary and secondary span directions. The primary or main span direction always corresponds to the local axis x' of the plate. As far as a horizontal slab is concerned, the local axis x’ is, by default, always parallel to the global axis X. If you need to use another span direction, you need to modify the local coordinate system by double-clicking the plate (see Local axis of slabs).

When no cross-section needs to be assigned to a selected surface, choose the last option [image]. This way, you will set an opening in the selected contour or perimeter.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Stiffness matrix

Diamonds is a Finite Element Method (FEM) based software program. The FEM chops the structure in a finite number of elements, which will then be logically linked to each other. There are a number of requirements to these links, depending on the type of element (beam, column, plate, wall, … ). In any case, it is required that the nodes of the elements displace together.

This method allows to approximate the behavior of a complex structure by solving a matrix equation. The matrix equation expresses the relation between the elements in the structure. In case of a linear static analysis, the matrix equation writes as follows:

The matrix equation contains a stiffness matrix [K], a matrix with node displacements [U] and a matrix with node loads [Q].

The stiffness matrix [K] will condition the behavior of the elements (beam, column, plate, wall, … ). Without going further into detail on the derivation, we assume that the stiffness matrix [K] for a slab or plate looks as follows:

The factors with ‘L’ describe the behavior for membrane action (= normal forces, the factor with ‘D’ describe the behavior for bending. The factors for shear are not mentioned here. The table below gives an overview of these factors for a number of plate types:

For plates bearing in one direction the torsional rigidity [image] is a function of the width-thickness ratio (= b/e) of the strips from which the plate is constructed. Therefore, the torsional rigidity of plate bearing in one direction is expressed as a percentage t of the torsional stiffness of an isotropic plate.

The table below calculates the torsional rigidity [image] of a plate bearing in one direction and the torsional factor for different ratio's of b/e.

From the table above we can conclude that for a plate bearing in one direction with strips of thickness 20cm and width 60 cm b/t=60/20=3, about [image] 80% of the torsional stiffness of an isotropic plate is reached. In this case, you should fill in 80% in the window with the plate properties.

More information about FEM and stiffness matrices can be found in:

  • O.C.Zienkiewicz, The Finite Element Method, McGraw-Hill book Company, 1977
  • J. Blauwendraad, Plates and FEM, Surprises and pitfalls, ISBN 978-90-481-3595-0

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Materials and covers of slabs

The next field allows you to select a material. The drop-down list consists of all the materials present in the library of materials.

In the case of a slab or a plate made of reinforced concrete, you also need to indicate the gross cover of the upper reinforcement and the lower reinforcement in the two orthogonal directions.

Gross cover of reinforcement is understood as the distance between the reinforcements centre of gravity and the upper or lower edge of the cross-section.

Click [image] to open the following dialogue box.

Primary span direction (x’) | Secondary span direction(z’)
 | ---
Diamonds doesn’t support the reinforcement calculation for this plate type.
Diamonds doesn’t support the reinforcement calculation for this plate type.
Diamonds doesn’t support the reinforcement calculation for this plate type.

The position of the longitudinal reinforcement will be determined from the gross over. The calculation of reinforcements can only be conducted if the concrete covers are coherent with the type of selected plate.

For example: gross cover of the lower reinforcement in the secondary direction (direction z) of a floor made of pre-slabs has to be greater than the thickness of pre-slabs themselves.

Reinforcements calculations are not possible for hollow core slabs, diaphragms and arbitrary plates. The reinforcement in hollow core slabs can be calculated with ConCrete HCS.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Local axis of slabs

In the last field, you may define the direction of the local coordinate system of slabs. This setting is important because the representation of the results (in particular the direction of orthogonal reinforcement) will depend on the chosen local coordinate system. By default, the local axis x' will always be situated in the plane parallel to the horizontal plane XZ.

It is sometimes practical to orientate the normal (local axis y’) of all the plates and walls in the same direction, especially for the introduction of loads and interpretation of results. We are thinking about e.g. a cylindrical tank. In this case, we would like the orientation of the normal to be radial outwards in every part of the wall. This is why, the feature allows us to rotate the local axis y’ of each plate by 180°. The axis x' maintains its direction.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Characteristics of footings

Diamonds offers the possibility of defining footings to a node in the model (see Drawing structure elements). Diamonds automatically generates isotropic slabs of reduced size so that you do not have to draw contours on your own. Moreover, you can place it simultaneously under various columns or supports. Do not forget to specify a support below the footings!

You can open the dialogue window related to the footings in two following ways:

  • Double-click on the footing and click [image] in the dialogue window that opens.
  • Or select one or more footings and click [image] in the ‘Geometry’ pallet.

In both cases, the following window will appear on the screen:

In the upper part of the window, you indicate various dimensions of the footing, namely its length, width, thickness and the number of divisions for the mesh. Every division results in 4 mesh- triangles.

10x10 | 5x5 | 5x8

It is possible to assign a name to each footing. Its name is then shown in the drop-down menu in the upper part of the window. This menu also allows you to easily assign the features of one already defined footing to another element. The dimensions are then completed automatically.

Note: The material, gross covers and orientation of the local coordinate system are not part of the cross-section of the footing features. Therefore, these values cannot be assigned from one footing to another.

In the central part of the window, you indicate the quality of concrete and gross covers. See Materials and covers of slabs for more information.

In the lower part, you determine the orientation of the local coordinate system. By default, the local axis x’ is always parallel to the global axis X.

Note that it is possible to load a footing in the eccentric way when the base of the column and the centre of gravity of the footing do not coincide.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Choosing a cross-section in the section library

Diamonds comes with a section library including normalized steel cross-sections. In the previous paragraph, we have already seen how to assign a cross-section to selected lines. However, there is a more direct way to attribute steel profiles.

After having selected the lines, click [image]. The following dialogue box will appear on the screen:

In the first column, select the group of which you want to select a section from.

The second column displays all the sections included in the group. The assigned steel quality is the default material which can be indicated in the Material Library.

Note: it is possible that only those sections that are checked in the section library are shown (see Section library ).

The third column shows the dimensions of the profile together with a scaled visual representation.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Choice of materials

Diamonds includes a material library. A material is defined a priori in the definition of the cross-section or the properties of plates. It is always possible to refer to or modify a material of the selected bars with the help of the following button [image].

In the first column you can choose (optionally) the group from which you want to select a material. This is a filter.

In the second column all materials that belong to this group are then presented. To change the material, select the desired new material from the list and click 'OK'.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Rotation of cross-sections

When you assign cross-sections to the lines, the latter receive a standard orientation at the same time. You can modify this orientation for the selected bars by clicking [image].

For asymmetrical profiles, it is sometimes necessary to mirror the cross-section. The local right-handed coordinate system is then modified into a left-handed coordinate system.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Allocating supports

Diamonds has a 3D calculation heart, each node having six degrees of freedom: 3 displacements and 3 rotations. When assigning supports, you may limit one or more of the 6 degrees of freedom.

We can distinguish 3 forms of supports:

  • support points
  • support lines
  • surface supports.

Each tab corresponds to one of the three support systems. Depending on the chosen type of element (a point, line or plate), the tabs appear or not.

The relations with the outside world (with the use of supports) are always assigned in the ‘Geometry’ configuration. First select the elements in question, then click [image] to invoke the dialogue box of support points.

Support points and support lines

Surface support

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Support points and support lines

The tabs that allow you to assign support points and support lines are very similar. That is why we will examine them together.

Top half of the window

With the buttons in the upper left of the window you can quickly allocate typical support points or support lines.

Top right is the graphic representation of the restricted degree of freedom [image] . The orientation of this figure changes with the orientation of the overall coordinate system [image]. If you had selected several points, the point with the lowest point number is displayed in the figure.

In the middle of this window, the agreed degree of freedom is maintained.

Middle half of window

Here you can immediately restrict the various degrees of freedom. For each degree of freedom, you can, via the expanding menu:

  • retain the degree of freedom concerned. You can also make use of the check box.
  • enter a displacement or rotational spring (depending on whether the degree of freedom is a displacement or a rotation) using a value.
  • enter a support point function (see Defining a rigidity diagram).

You can also indicate for each translatory spring that it cannot absorb any negative (tensile) or positive (compression) reaction. In the vertical direction (moving according to the overall y-axis), this means, for example, that an upwards or downwards displacement of the structure is not hindered at that point or that line.

Bottom half

Finally, you can set the orientation of the support point, should it turn out that the restricted degrees of freedom do not correspond with the actual situation, for example a diagonal beam whereby the end point in the extension of the beam can move freely.

For points you can enter the angles α and β:

  • the angle α will rotate the support point in the YX plane. A positive angle is equivalent with a counter-clockwise rotation.
  • the angle β will rotate in the XZ plane. A positive angle is equivalent with a clockwise rotation.

Lines on the other hand are characterised by a local coordinate system. Support lines can thus be rotated in a simple way according to the local coordinate system of the bar. To give a rotation to a supporting line, you tick the option ‘Restraint defined relative to line orientation’. Next you enter the angle α through which the supporting point must be rotated.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Surface support

If the selected element is a plane, you are asked to indicate a support for this plane.

Top half

In the top half of this window, you see the graphic representation of the restricted degree of freedom. The orientation of this figure follows the orientation of the overall coordinate system .

Middle half

In the middle half of this window, you indicate which displacements are blocked.

Here you can immediately restrict the various degrees of freedom. For each degree of freedom, you can, via the expanding menu:

  • retain the degree of freedom concerned. You can also make use of the check box.
  • enter a displacement or rotational spring (depending on whether the degree of freedom is a displacement or a rotation) using a value.

  • enter a support point function (see Defining a rigidity diagram).

    Here as well, Diamonds offers the possibility to define non-linear support points (compression or tension only). For example, you can indicate that a foundation slab on solid ground cannot take any tension in the direction y (a displacement in the global positive direction y can be freely conducted). Remark: non-linear supports need more calculation-time.

  • enter the soil layers to be used (see below).

Bottom half

Finally you can define the condition relative to the orientation of the plate.

Use of soil-layers

For foundation slabs Diamonds provides an iterative method of calculating the soil spring constant in the global direction y. This method takes into account the real properties of the soil and iteratively searches balance between the deformation of the plate and the soil to determine the correct elastic rigidity which should be taken into account in each mesh point. This calculation method is based on two fundamental laws of soil mechanics:

  • Boussinesq or Frölich laws for the calculation of stresses in a given point at a given depth, and
  • Terzaghi’s principle (or equivalent) to calculate the compressions.

Despite the intensive nature of these calculations, the results are much more exact and much closer to reality. If you want to use this method, you need to have the soil profile. If the profile is already entirely defined in the project, just indicate it in the drop-down menu. If the profile does not exist yet, configure the layers of soil with the use of the icon [image]. A new dialogue box will open.

This dialogue box allows you to view and/ or modify all the soil layer profiles already defined. Select the name of a profile from the drop-down menu to view its data.

Use [image] and [image] to configure or delete a new soil layer profile. If you want, you can modify the name of the profile in the drop-down menu.

For each soil layer profile, you need to answer the following questions:

  • On the basis of which tests have are the soil parameters obtained? We support two soil tests:

    Static penetrometer

    Ménard

    In both cases, you need to set the thickness of the layer as well as the mass of the dry γdry and humid γhumid soil. In case of the CPT test (first figure), also define the compressibility constant C and the recompressibility constant A of the layer in question, the overconsolidation ratio OCR and the drainage ratio CC.

    In the other case, you have access to the modulus of elasticity E and the coefficient of the soil structure α. The meaning of these parameters is explained in Soil parameters.

  • What is the groundwater level in relation the ground level? In fact, a soil layer profile includes all the soil layers starting from the ground level, regardless of the level of the foundation slab. Logically, you will always see a positive number here. If the groundwater level is situated above the foundation slab level, you also need to take the uplifting pressures of the water into account. That is why it is necessary to define these water uplift pressures in the group of additional loads in the ‘Loads’ configuration.

Next, indicate various soil layers of the profile. Click [image] and [image] to add a soil layer or to delete it. If you want to add layers, start with the layer situated just below the ground level. This allows you to, in case of an excavation, to take possible ground stress into account.

When you work with foundation slabs at various levels, you need to maintain the same reference plane to define the soil layers.

When several soil layer profiles are included in the project, define them all in relation to the same ground level. The ground level is defined in the dimensioning window which appears at the launch of elastic calculation (see Calculating ground slabs by iterative equilibrium).

All the soil layers as well as their properties are recorded in a table. You can adjust the values directly in the table.

The soil layer in the last row of the table is supposed to continue to infinite depth.

The results of a survey are often presented in a file (like a spreadsheet). You can import this file directly in by clicking [image].

Example:

The first row contains the column headings: thickness, C, γdry and γhumid, with the corresponding units between brackets. Below, all the soil layers are filled in, for each soil layer a new row is started. The four columns are separated by tabs.

On the other hand, it is possible to export the defined soil layers to open them again in a different project by using the [image] button.

More information concerning the calculation method can be found inCalculating ground slabs by iterative equilibrium.

Note also that the iterative calculation method can be applied to calculate the settlement of foundation beams. The soil spring constant is then reduced to a support line.

Finally, note that Diamonds is a finite element software where the support lines and resilient layers are always adjusted to the discrete support points. The intervals between support points depend on the density of the mesh. In principle, a support point corresponds to each mesh point.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


End conditions for bars and tie rods

A node between two bars corresponds to a connection or a method of attachment endowed with determined characteristics. The characteristics relate to the way various forces (shear, moment, …) at the bar end(s) are transferred to the rest of the structure.

Moreover, this chapter includes a description of haunches. Haunches will appear in the calculation of stresses, steel verification and the distribution of the internal forces.

All these boundary conditions imposed on the bars ends are included in a single dialogue box, which you open, with the [image] button.

The first column refers to the beginning node of the bar, whereas the second column refers to the end node of the bar. The beginning node is the point with the smallest coordinate x or, if it is identical for the two points, the point with the smallest coordinate y. If the coordinate x and the coordinate y are identical, the point with the smallest coordinate z is the beginning node. Since the above criterion also serves to determine the orientation of the bar, you may always deduct the beginning node and the end node from a bar in the direction of the local axis x'.

Use the buttons on top of this window to quickly define tie rods and hinges. The corresponding moments are set fixed or free in the fields below.

The top and the bottom of the profile are indicated by the notations z’>0 and z’<0 respectively. These notations refer to the local coordinate system of the selected bar.

Tie rod(s)

Displacement rigidity at bar ends

Defining a rigidity diagram

Haunches

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Tie rod(s)

If you select a tie rod, no moment is transferred to the endpoints of the bar. The tie rod cannot be charged with any load likely to cause bending of the bar. The proper weight of the brace will be adjusted to the punctual forces on each endpoint of the bar. Apart from the bending moments, the brace cannot resume compressive forces. In other words, if the tie rod is compressed under a given load combination, it will be removed from the structure and the calculation will be resumed. Moreover, no superposition can be applied, so the calculation time may quickly rise for bigger models with numerous tie rods.

Note:A tie rod defined in Diamonds presents a linear behaviour. When the dead load is eliminated, the action line of tension force is always situated in the prolongation of the brace itself. Therefore, the non-linear behaviour of a cord cannot be simulated this way.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Displacement rigidity at bar ends

If you do not select a tie rod, you may eliminate any transfer of force to the bar ends by checking ‘Free’ in a corresponding drop-down menu. If no moment transfer around a given axis is possible, we are talking about a hinge. A sliding joint, on the other hand, prevents the transfer of longitudinal (N) or transverse (V) forces. The x’, y’ and z’ indices refer to the local axes of the bars.

In the case of semi-rigid connections, the transfer of forces is only conducted partially. Moreover, the rigidity can depend on the scale and direction of the acting force. Diamonds provides a solution for all the possible cases.

  • Rigidity is independent of scale and sign of the inner force. In this case, just click "Value" in the drop-down menu and insert the final rigidity of rotation and/or transfer.
  • Rigidity is constant but it is different for a positive and negative forces.
  • Rigidity varies according to the scale of the force.

While in the first case a linear calculation is sufficient, in other cases, a global analysis will be performed iteratively.

The way to define a variable rigidity is explained in the next paragraph (Defining a rigidity diagram).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Defining a rigidity diagram

A rigidity diagram presents the angular deformation or displacement according to the applied moment (normal force or shear force) or reaction force. For each bar end and for each force, Diamonds allows you to define a different function which determines the rigidity according to the scale and direction of the acting (reaction) force.

To assign a rigidity diagram to a bar end:

  • Select the option ‘Function’ next to the force from the drop-down menu.
  • If you have already defined a rigidity diagram in the model and you have assigned it to a bar end, you can make a new selection here. In the other case, use [image] to create a new function.
  • In the dialogue box that appears, click [image].
  • Name the function.

  • Choose between a constant rigidity, though dependent on the sign, and the variable rigidity according to the importance and sign of the force.

    In the first case, you may decide, for both signs that the transfer will be conducted fully, partially or will not be conducted at all. The following rigidity diagram corresponds, for example, to a situation when unlike a positive force (tension), a negative normal force (compression) can be transferred.

    For example, this boundary condition can be assigned to the upper end of the column when it can produce a positive reaction only.

    If you have a rigidity diagram where the rotation or transfer rigidity vary according to the scale of the acting force, use the second option and define the number of points for which you know the value of the angular deformation or of the displacement.

    Below, you will find an example of a rigidity diagram possible for an arbitrary connection.

    Rigidity diagram of a fixed moment connection on a bar end

    Rigidity diagram of a deep foundation that can't bear tension and only 100kN compression

    The diagram shows that the rotation rigidity M/φ is constant as long as the applied moment is less than 45,4kNm. Once the moment is exceeded, the rigidity varies according to M. If the moment exceeds 68,2kNm, a plastic hinge is formed because an additional moment produces an angular deformation infinitely large.

    Note that the rigidity diagram will fill automatically when you assign a connection to a node from PowerConnect (see Assigning connection characteristics to a node).

    The rigidity diagram should lay in the 1st and 3rd quadrant because in the formula F=k∙x the spring constant k cannot take on a negative value. If the function does not have a valid range, a red message will appear below this window.

  • You can save a defined support function in an extern TXT-file using the button [image]. An existing function (TXT format) can be loaded via [image].

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Haunches

Finally, the last option allows you to apply a lower or upper haunch to each bar end. A haunch is characterized by length and height. The length has to be equal for both upper and lower haunch. However, their height may be different.

By applying a haunch, you locally increase the profile’s resistance and rigidity. In particular, the tensions calculated by Diamonds will decrease because of the increased profile height. The steel verification also takes into consideration the variable cross-section. The haunch also influences the distribution of moments because the variable rigidity is also included in the global rigidity matrix.

Moreover, the haunch will be taken into account when the node is detailed in PowerConnect. And conversely, these dimensions will be fulfilled when a knee joint is added to the connection in PowerConnect.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Boundary conditions for plates

A priori, all the plates are assumed to be continuous. You may eliminate the flexural rigidity in elongation and transversally between plates, by defining a hinge line. In order to do this, select one or more plates and click [image].

  • In the upper part, you may eliminate the moment transfer along all edges, and with specific option for vertical walls.
  • The lower part allows you to define the boundary conditions on the chosen edges of all kinds of plates.
The lower half 'Defined by user'

In case a single plate is shown, you will find the representation of the plate on the bottom of this dialogue window.

The edges to which a boundary condition has already been assigned will be displayed in blue (edges on the left of the illustration above). Selected edges will be displayed in red (edge on the right of the illustration above). Selected edges to which a boundary condition has already been assigned are red inside and blue outside (edge in the middle of the illustration).

The drop-down menu gives you the choice between assigning boundary conditions:

  • to all the edges of the selected plate
  • only to the selected edges of the selected plate.
    • Select with your mouse the edge to which you want to adapt the rigidity. Note that you can select multiple edges at the same time with the use of the ‘SHIFT’-key. That way you can assign the same boundary conditions to several edges at the same time.
    • However, you may also select in advance several edges when you select a plate.
  • to all horizontal edges of the selected plate
  • to all vertical edges of the selected plate. This option will only generate a selection in the case of vertical walls.

To cancel the selection, click once outside the plate perimeter.

The upper half 'No moment transfer along all edges'

If ‘No moment transfer along all edges' is selected, the plate will not be able to transfer any bending moment out of the plane of the plate along any edge.

If ‘No in-plane moment' is selected, the plate will not be able to transfer any bending moment in of the plane of the plate along any edge.

The additional options ‘no arch effect’ and 'at top edge: no tension' only make sense for vertical (masonry) walls:

  • The option 'at top border: no tension' ensures that the floor resting on these masonry walls cannot pull on the walls at the top edge. However, this does not exclude tension in the wall itself!

    This option will always result in an iterative calculation and the calculation time will therefore be longer.

  • The option ‘no arch effect’ also provides that shearing is eliminated along the lower edge of the wall. This is particularly important when there is a beam under the wall. Because of the elimination of shearing, the wall and the beam do not work any longer together as an assembly resistant to shearing.

    Models, of which some elements include this option, will always be calculated iteratively. Therefore, the superposition principle is no longer valid for putting together the results of combinations of loads and the calculation time will be longer.

    Remember that ‘no arch effect’ does not result in a correct behaviour of the masonry because, in principle, we can expect a dispersion of 45°. But this method will always have a safe result because a maximum load is transferred to underlying elements. Models consisting only of masonry walls including only this option will not be calculated iteratively. This, of course, will save time.

    Since transversal forces along the edges are not eliminated, the element can also transfer possible horizontal loads (e.g. the wind) along its edges.

Overview of the icons and their meaning:

no out-of-plane moment | no in-plane moment | no tension at top border | no arch effect
þ |  |  |
þ | þ |  |
þ |  |  |
þ |  |  | þ
þ |  | þ | þ
þ | þ | þ |
þ | þ |  | þ
þ | þ | þ | þ

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Eccentricity of bars

Eccentricity of a beam related to a slab

Eccentricity between bars

Physical model

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Eccentricity of a beam related to a slab

While assigning beams to the edges of a plate (and therefore NOT in the case of applying the ‘Drawing beams’ feature with the use of [image]), simple support is always assumed. Therefore, in the model axes of beams coincide with the midplane of the plate. Eccentricity between the beam and the plate is equal to zero. More specifically it means that the rigidity of the plate is locally increased with the rigidity of the beam.

In practice, we often make the beam and the plate work together, for example, by casting the two elements at the same time or by providing a connecting reinforcement between the beam and the plate in order to mobilize the shear forces. This produces a greater rigidity of the assembly and reduces deflections of the plate and the beam.

The rigidity of the compound cross-section is not easy to calculate given the fact that we do not know straight away the working width of the plate. It should be possible to locally increase the rigidity of the plate with the rigidity of the beam by applying the Steiner’s theorem. But then, the rigidity of the compound cross-section is overestimated the rigidity is recalculated according the mid-plane of the plate.

Another solution consists in moving the axis of the beam and connecting the beam and the plate by means of several ‘rigid link’ elements. These links do not have specific physical features (cross-section or material) but they define a relation between two connected points. The relative position of these two points is assumed to remain unchanged at any time. More information about these rigid links can be found in Rigid links. In principal, this method is closer to reality since both rigidities are now combined in a correct way, given the shift of the line of gravity. Therefore, Diamonds opts for the application of this principle when eccentricity is assigned to a beam.

Eccentricity can be assigned to a beam using [image].

In the window above, you can set a different eccentricity in accordance with the two local axes (y’ and z’) of the bar. Therefore, you will need to adjust the eccentricity in the direction y’ or z’ depending on the orientation of the beam/ column. These are the available options:

  • Align the beams (columns) on one of the edges of the plate (wall). This will be done automatically, if, for example, you draw the beams with the use of ‘Drawing beams’ feature ( [image]). But there is one condition: the beams need to be drawn inside or along the circumference of the plate. If you, then, modify the thickness of the plate, the eccentricity of the beams will be modified automatically.
  • You can also set a custom eccentricity. The eccentricity here is the distance between the neutral fibers of the beam or the plate.

In addition, it is possible to define a different eccentricity at the starting point and at the ending point of the bar. For example, it may be desirable or necessary to set a different eccentricity for beams of various heights.

You can link the eccentricity to a physical element (see What can you do with groups?).

Remove all eccentricities with [image].

A beam with an eccentricity will be drawn as follows:

The reference line of the beam, like the one you have drawn, is drawn with a broken line. The real (displaced) axis of the beam is drawn with a solid line, and the rigid links added between the two lines are drawn with a dash line. You will see that it is impossible to separately select different elements of this object (i.e. the rigid links, the axis and the reference line of the beam).

Finally, in the last two tabs you can still decide how to define the connection between the beam (‘Connection to the beam’) and the plate (‘Connection to plate or system axis’), i.e. what are the boundary conditions that should be assigned to the endpoints of the rigid links to simulate a proper joint. Depending on the layout of your model, you need to assign boundary conditions to the beginning and/or the end of the rigid link. However, you should never assign the same degrees of liberty to the two endpoints. Otherwise, the system could degenerate into a mechanism.

In case the beam and the plate cooperate for 100%, you should not separate the degrees of liberty. If you eliminate the transfer of moments and shear forces at the length of the beam, in fact you set a simple support once again. A small test clearly shows that the following models produce identical results (My'):

No eccentricity There is eccentricity but with boundary conditions

Note: In contrast to the classic approach (cf. Steiner’s theorem), in the case when the eccentricity is assigned and no degree of liberty is separated, not only the moments (which will be strongly reduced in some cases) but also non-negligible normal forces will occur in the beam. The proposed reinforcement may at first seem surprising because you will also obtain lateral reinforcement. However, if you look closer, the result is logical, taking into consideration that the beam will mainly be load bearing in tension or compression. Such method requires a different approach towards reinforcement!

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Eccentricity between bars

Diamonds also allows you to define eccentricity between bars. Therefore, a rigid link is assumed in each common node. The properties of a rigid link are described in section Rigid links.

The following situation is an example of the practical case where the above feature proves to be very useful. Let’s assume an industrial building where a number of purlins need to be installed on the trusses. These purlins are assumed to extend to trusses without inducing moments in the latter. In other words, as intended, they transfer the vertical reaction forces on the trusses.

Thanks to the [image] feature, you may quickly assign those characteristics to purlins:

Here, the eccentricity is selected the way that the bottom of purlins coincides with the top of trusses. A rigid node is now provided on each node. It cannot transfer any moment to its end point.

The result is the following change of the moments for purlins. In reality, these purlins behave, therefore, as a continuous beam over several support points.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Physical model

Diamonds offers the possibility to define physical eccentricities (this is only important for the BIM-link with modelling software such as Tekla Structures).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Rigid links

In a structural analysis model, elements (bars and plates) are schematically represented by the lines and planes to which constructive features are assigned. To assure the transfer of forces between these elements, it is necessary that these elements are interconnected. In most cases, the transfer of forces is done through the common nodes between constructive elements. However, if these elements show a great eccentricity against each other, it is recommended to proceed differently. Moreover, the eccentric constructive elements do not have common nodes, but are interconnected with the help of rigid links situated between neighboring nodes. Rigid links do not have specific physical characteristics (like a cross-section or a material) but they define a relation between the two related points whose mutual position is assumed unchanged at any time.

To define rigid links, proceed as follows:

  • draw a line segment between 2 points that should be interconnected by a rigid link
  • select the line segment (or different line segments) and assign the features of a rigid link with the help of this icon [image]. Note that this icon does not invoke a new dialogue box because no additional parameter is required to define a rigid relation. In other words, just click the icon once to automatically assign the chosen features to the selected line segments.

If you use a volumetric representation for the drawn elements (bars and plates), note that rigid links are drawn in the form of cylindrical bars. It does not mean that a cross-section and/or material properties are assigned to these rigid links. It relates to purely symbolic representation to clearly visualize the rigid links. Note that a proper type is automatically assigned to these links so that you can easily select or hide them later.

To delete the rigid links, just delete a corresponding line segment. To replace the links with physical elements (bars), just assign a cross-section and material to the corresponding line segments.

As it was already mentioned above, the rigid links do not have specific physical features but they define a relation between two connected points whose respective position is assumed unchanged at any time. Therefore, all inner forces (shear force, torsion moment, normal force, shearing) are transferred from one point to another, obviously taking into consideration the eccentricity between the connected points (in other words, the length of the rigid link).

However, it is also possible to define deviating boundary conditions at the bar ends of the rigid links, the same way as for physical elements (see the illustration below). In particular, it is possible to eliminate the transfer of moments, so only normal and shear force can be transferred from one point to another.

Continuous purlins located above a series of parallel trusses are a typical example since the purlins only transfer the “reaction force” vertical to the support structure. More information about modification of boundary conditions at bar ends can be found in section Displacement rigidity at bar ends.

Note: In the example above, the axial lines of rafters and purlins have been designed eccentric from the very beginning. If at a later stage, you modify the dimensions of rafters and/or purlins and you want to take them into consideration in the calculation model, it is necessary to move several axial lines to take into account the modified eccentricity. However, it is possible not to do it by using eccentric beams with the help of this icon [image]. Therefore, you may draw the centred axial lines for the rafters and purlins. The rigid links are automatically assumed at the common nodes while assigning eccentricity to purlins. More information can be found in the section Eccentricity between bars.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Buckling and lateral buckling settings

When you want to check the stability of a construction element, you need to take the correct buckling and lateral buckling length into account.

  • The buckling lengths are important for bars loaded with axial compression.
  • The lateral torsional buckling ('LTB' for short) is imported for bars loaded with a bending moment.

The buckling (upper part), lateral buckling lengths and advanced LT parameters (lower part of the screen) of one or more bars can be verified or modified in the dialogue box below which will open using the button [image] in the ‘Geometry’ pallet.

The buckling lengths can

  • either be calculated by Diamonds (see Calculation of buckling lengths)
  • either be imposed by the user using the screen above.

The LTB-lengths are calculated by Diamonds as the length between the LTB-supports see Defining lateral buckling supports ).

The option '2nd order effects using e2 + accidental eccentricity: 20mm' applies to concrete bars. More information on buildsoftsupport.com.

Buckling length of an individual bar

Lateral buckling lengths

Settings for steel verification (lateral buckling)

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Buckling length of an individual bar

If, at the moment of opening the dialogue box, you have already conducted the calculation of the buckling lengths, you will find the calculated values in the upper fields of the dialogue window. Otherwise, the real lengths will appear in these boxes. Two values are taken into account:

  • one for the buckling about the strong axis (y’ or u)
  • one for the buckling about the weak axis (z’ or v).

The buckling lengths are defined in absolute value or percentage of the effective length of the analysed bar or group of bars. Make your choice in the drop-down menu on the right from the buckling length definition field. The length of a bar corresponds to its physical length. The length of a group of bars corresponds to the sum of lengths of the bars forming the group.

If you do not want to verify buckling for one or two axes, because, for example the bar is restrained sideways along its full length, just uncheck the corresponding box(es). During the steel and timber verification Diamonds will notify that there is no risk of buckling around the corresponding principal axes of inertia.

For concrete sections the option 'verify buckling for additional eccentricity' is visible. EN 1992-1-1 § 5.1.4 poses that for concrete, second order effects should be taken into account:

  • Or by performing a complete second order analysis (F9 in Diamonds + ‘second order analysis’
  • Or by using a simplified method. Diamonds uses the nominal curvature method (EN 1992-1-1 §5.8.8). By checking this option, you apply this simplified method.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Lateral buckling lengths

The lateral buckling lengths for the selected bar(s) appear in the second part of the dialogue window.

By definition, it is the length for which the beam or an element is not laterally supported. Any support to the lateral buckling will prevent the compressed flange from buckling.Depending on the sign of the bending moment (My'), it will either be the upper or lower flange. That is why, Diamonds allows you to define lateral buckling supports to both flanges: superiorly (z’>0) and inferiorly (z’<0).

The calculation of lateral buckling length can only be conducted if you define the positions of lateral supports in advance. In the cases where bars used as lateral support are designed in the model, the definition is relatively quick. On the other hand, when these bars do not constitute an integral part of the analysed model, it is necessary to subdivide each element subjected to bending in a number of sub-elements.

To avoid having to subdivide these bars, you may just indicate the number of lateral buckling supports using this tool [image]. When the option [image] is checked, Diamonds will place the supports at equal distances between the endpoints. If you uncheck this option [image], you can manually edit the distances by entering a value in the input field.

You can also move the support by clicking the support once. Now you can slide the support to the right distance.

If the button [image] is visible, you enter distances in absolute values. Clicking on this button [image], will change the button into [image]. You can now enter distances in relative values (percentages).

You can modify the definition of a LTB support at bar ends, by simply clicking with your left mouse button on the support. You can now choose between an automatic, free or fixed support.

Finally, if you do not want to verify lateral buckling, because, for example, the bar is laterally supported at its total length, uncheck the box(es). During the steel and timber verification Diamonds will notify that there is no risk of lateral buckling.

If you’re not satisfied with the definition of lateral buckling supports, you can always edit the definition. See Modifying or removing lateral buckling supports

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Settings for steel verification (lateral buckling)

By default, Diamonds assigns values (taking safety into account) to a number of parameters. However, the user can modify them if he wants to. These parameters can be found in the second sub-tab:

First you can edit the parameters to determine the elastic lateral buckling moment Mcr:

  • Or you determine the factors kz and kw as well as the coefficient C1, so that Diamonds can calculate the elastic lateral buckling moment Mcr.
  • Or you determine the elastic lateral buckling moment Mcr

The factors kz and kw take the effect of several types of boundary conditions into account.

  • kz equals 0.5, 0.7 or 1 when the lateral buckling (rotation about the weak axis (axis z’) of the profile) is prevented to respectively two support points, only one support point and no support points.
  • kw takes into account that warping of the cross-sections is prevented or not at the end points.
    • kw = 0,5 if warping is prevented at both ends.
    • kw = 1, if the two ends are free to warp but the rotation about the longitudinal axis is prevented. This value is recommended unless special provisions are taken.

A priori, both factors equal 1 but you may opt for a more favourable boundary condition through the options from the drop-down menu. In case of doubt, it is better to leave both values to 1, which corresponds to:

  • resistance to lateral displacement, freedom to rotate in the plane (kz)
  • blockage against pivoting around the longitudinal axis, freedom of warping (kw)

The coefficient C1 takes the moment distribution into consideration. Diamonds is likely to determine this coefficient for a number of forms. Otherwise, the value equals 1 by default. In practical terms, it means that Mcr is then calculated assuming that a maximum moment applies at the entire length of the element. If you have a tool or software that allows you to calculate the exact value of C1, you may ‘impose’ this value using the drop-down menu provided for that purpose. Given that the formula to calculate Mcr, in theory, can only be used for cross-sections symmetrical to their weak axis, you have the possibility to manually introduce the theoretical value of the elastic lateral buckling moment.

Note that the defined values will be used for all the combinations of loads (even if, in theory, they may vary).

Note: Since the standard NEN EN 1993-1-1 describes an other methodology for determining the elastic lateral buckling moment thanes those used by all other national annexes, it is not possible to modify the above parameters when this standard is selected.

Finally, you can specify the method for determination of buckling curves. You can choose between:

  • The general method EN 1993-1-1 §6.3.2.2
  • The equivalent method EN 1993-1-1 §6.3.2.3.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Fire protection

Select a bar and click on [image] to define the fire protection. You can choose between:

  • An unprotected section

  • A protected section according to common standard cases. Select the desired case by clicking on it.

  • A protected section for which you define the protection yourself.

    • Click [image]. A window opens allowing you to make multiple versions of one section in Section Utility.
    • Add a section with [image] , remove a section with [image] and use [image] to edit a user defined profile in Section Utility.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Lines and nodes modifications

Finally, let’s discuss a feature which no button in the ‘Geometry’ pallet corresponds to but which belongs to the ‘Geometry’ configuration, namely requesting information about nodes and bars.

If you double-click a node, a dialogue box in which you may modify the coordinates will appear on the screen.

Remember that you may also modify the coordinates of nodes in the ‘Data’ window which will display when you click [image] in the icon bar.

If a footing is assigned to the node, you will find it’s name beneath the coordinates of the node. By clicking [image], you can change the properties of the footing. Note that you can also define a footing this way.

At the bottom, you can also see which level the selected node belongs to. This assignment is important if, at the same time, you use the concept of ‘Level Manager’. In fact, a node that belongs to a given level will be displayed on the screen only if all the level is visible. Moreover, a node can be selected for the above only if it belongs to an active level.

By double-clicking the bar, you can modify the length, orientation and other properties of the cross-section.

In the upper field, you can see the bar as displayed in the model window, with indication of numbers of the end nodes.

The length, slope and angle of horizontal projection between the bar and the global axis x are adapted so that the closest point near which we double-clicked will stay fixed, whereas the other end point of the line will shift. The length can be created either as a real length or as a length projected onto the horizontal plane.

Below, you will find the name of the profile assigned to this line. This button [image] gives you a direct access to the dialogue box that includes all cross-section properties (see Properties of bars).

You can view and modify the material, covers (concrete) and the fabrication mode (steel) of the used cross-sections.

In addition, you can modify the orientation of your local axes so the cross-section is rotated around the longitudinal axis of the bar. You can switch the assigned section 1 or 2 at the beginning and end node only for variable sections) using the buttons [image]. If you want to mirror the local axis y’ (strong axis) of the bar, just click [image].

Similarly to nodes, we also indicate here which level the selected bar is part of. Rules identical to those described for nodes and plates should be applied.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Copying and pasting geometry properties

If you want to copy-past the section properties, the material, the supports and the design type of an element (beam, column, plate, footing, ...) on another element, follow these steps:

  • Select the object of which you would like to copy the properties.
  • Click once on the right mouse button and select
  • Than select the objects on which you would like to paste one or multiple properties.
  • Click once on the right mouse button and select the properties you would like to paste.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


‘Loads’ pallet

Each ‘Loads’ configuration includes a ‘Loads’ pallet on the right side of the model window. This pallet is composed of the following:

  • The first three buttons [image] allow you to define all the load groups with safety factors and combination coefficients, load combinations and the combinations for the calculation of cracked deflection in time.
  • Below, in the drop-down menu you may select load cases you want to handle or examine in a ‘Loads’ configuration. Depending on the selected load group, Diamonds will only unfold the list of buttons that are relevant with respect to the selected load group. Doing so, Diamonds is not overloaded with buttons that you do not need.
  • If you want to delete loads, use this button [image] . All the loads located on the selected elements will therefore be removed from other groups of active loads. The button for translating loads [image], i.e. moving or copying the loads, is located next to this button [image].
  • The next three rows of buttons allow you to create the loads (point loads, moments, loads distributed on nodes, bars and surfaces).
  • With the two buttons below the menu 'Temperature', you can define temperature loads on lines and surfaces. We distinguish global temperature loads and temperature gradients. Note that the buttons at the top will be highlighted once the selected element will be highlighted in the model window.
  • With the buttons below the menu 'Wind', you can define wind loads on frames, surfaces an bar groups.
  • With the buttons below the menu 'Snow', you can define snow loads on frames, surfaces an bar groups.
  • With the buttons below the menu 'Seismic', you can define a seismic load on the structure.
  • With the buttons below the menu 'Dynamic', you can define dynamic loads on the structure.
  • With the buttons below the menu 'Moving', you can define dynamic loads on the structure.

The features of all the buttons are described in the next paragraphs.

Load groups

Choosing a standard

Choosing the consequence class and design lifetime

Choosing a service category

Defining or cancelling load groups

Defining incompatible load groups

Defining linked load groups

Defining sub load groups

Load combinations

Combinations in time

Loads

Scale loads

Point loads at nodes

Moments at nodes

Point loads at bars

Moments at bars

Uniformly distributed linear loads and trapezium loads

Distributed torsion

Force on surface

Surface load generator on bars

Temperature loads

Temperature loads on bars

Temperature loads on surfaces

Wind generator

Wind terrainparameters

Wind generator on frames

Wind generator on canopy roofs

Wind generator on surfaces

Wind generator on bar groups

Snow generator

Snow terrainparameters

Snowgenerator on frames

Snowgenerator on surfaces

Snowgenerator on bar groups

Seismic loads

Lineair dynamic loads

The (main) load groups

The (sub) load groups

Moving loads

Moving loads library

Allocate moving load to model

Summary of applied moving loads

Animation

Fire curve

Deleting or modifying loads

Copying and pasting loads

Right mouse button

Translation of loads

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Load groups

This dialogue box [image] offers the possibilities to quickly and efficiently define load groups. In the next paragraphs we'll look at the different possibilities.

Choosing a standard

Choosing the consequence class and design lifetime

Choosing a service category

Defining or cancelling load groups

Defining incompatible load groups

Defining linked load groups

Defining sub load groups

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Choosing a standard

First of all, using the drop-down menu at the top, you can indicate which standard you would like to use. This choice is important because, on one hand, the safety coefficients and load factors may be different, and, on the other hand, the composition of combinations of loads may also be different for each standard:

  • EN 1990 (European standard)
  • NEN 6702 (old standard in the Netherlands)
  • CTE (Spanish standard)
  • AISC 07-10 (LRFD) (American standard)
  • NEN 8700 (standard used in the Netherlands for remodel or disapproval)
  • NSR-10 (Colombian standard)
  • SI 412 (Israelian standard)
  • CM 66 (old French standard)
  • SIA 260 (Swiss standard)

Because the values recommended by Eurocode for a series of coefficients can deviate at a national level, you may select a corresponding national annex (the "NAD") in addition to EN 1990 (--). An explanation:

  • “BE” for Belgium
  • “DE” for Germany
  • “DK” for Denmark
  • "FR" for France
  • "GB" for Great Britain
  • "LT" for Lithuania
  • “LU” for Luxemburg
  • “NL” for the Netherlands
  • “NO” for Norway
  • "PL" for Poland
  • "SE" for Sweden

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Choosing the consequence class and design lifetime

According to this annex, you will also be asked on the basis of which consequence class (e.g. in Belgium) or at what project life span (e.g. in the Netherlands) the safety factors should be deducted. These safety factors are related to economic and/ or social purpose of the structure. A higher consequence class or longer project life will obviously lead to an elevated safety factor.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Choosing a service category

For the design of timber (you'll need the lisence 'Timber design' for this), you can specify the climate class at the top.

The climate class takes the humidity rate into account. Together with the load duration and timber type it determines the modification factor kmod..

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Defining or cancelling load groups

When a standard is chosen, you may start to set different load groups.

The number of load groups that can be defined is unlimited. Each row of the table corresponds to one load group.

  • You create a new load group at the end of this table, by clicking [image].
  • To create a load group between two existing load groups, click [image].
  • The button [image] allows you to delete selected load groups from the list.

You may type in the name of each load group or you can select it from the drop-down menu containing a list of load groups provided by the standard. If you choose a load group from the drop down menu, the safety coefficients and the combination factors fill automatically according to the selected standard. You may always modify these values manually in the fields provided for this purpose.

The more load groups you use, the more combinations you will need to prepare and the longer the calculations will take. The box which is situated next to the name of the load group allows you to state whether you want to integrate this load group in the calculation, or not. If the box is checked [image], the group will be integrated in the calculation, otherwise it will not [image]. If loads are introduced in a load group that will not be taken into consideration when calculating, the loads will be displayed dimmed (gray) in the ‘loads’ - configuration. Otherwise, the last group in the various pull-down menus are hidden.

Let’s discuss the different factors and properties that can be assigned to a load group.

Safety factors γUGT-, γUGT+, γBGT- and γBGT+

The first two factors γUGT- and γUGT+ are safety coefficients for the ultimate limit state: the first one if the load has an unfavourable effect, the second one if the load has a favourable effect. In general, the Eurocode provides that the least favourable coefficient equals 1.35 for dead loads and the most favourable one equals 1.00; as for life loads, these coefficients equal 1.50 and 0.00 respectively. The next two coefficients γBGT- and γBGT+ are safety coefficients corresponding to the service limit state. In general, the Eurocode provides that the least favourable coefficient equals 1.00 for dead loads and the most favourable one also equals 1.00; as for life loads, these coefficients equal 1.00 and 0.00 respectively.

Combination factors ψ0, ψ1 and ψ2

  • ψ0 is a combination coefficient which takes into account the fact that it is unlikely that multiple independent variable loads reach their maximum value at the same time.
  • ψ1is a combination coefficient, which plays a role in the repeated occurrence of life loads. For buildings in general, ψ1 will be taken equal to the value that can be exceeded during approximately 1% of the reference time.
  • ψ2is a combination coefficient, which also plays a role in the repeated occurrence of life loads, but now the value for ψ2 will be taken equal to the value that can be exceeded during at least 50% of the reference time.

Correlation coefficient φ

The modal parameters of a structure (eigenmodes and - frequencies) are calculated based on the stiffness and mass distribution within the structure.

  • The stiffness of the structure only depends on the geometry of the structure itself.
  • But for the mass distribution, masses are related to the vertical loads (point loads, line loads, surface loads) (0,981kN -> 100kg) using the correlation coefficient φ (and also multiplied by the combination factor Ψ2 for what EN 1990-1-1 is concerned).

Diamonds will set the correlation coefficient to 1 for all load groups, except for temperature loads an dynamic loads (set to 0). For standard in which no Ψ2 is mentioned, the correlation coefficient of only the self weight and the dead loads is set to 1.

Reduction factor ξ (only for EN 1990)

In the next column, set the value of ξ. This reaction factor occurs when the fundamental combinations are generated in accordance with formulas 6.10a and 6.10b. The formula 6.10b provides a reduction of dead loads according to the factor ξ and the combination factors provided by the National Application Documents (NAD). The recommended value at the European level is ξ = 0,85.

Combination for cracked calculations and parameter t0

In the next column, note the moment (in days) when loads of a given load group will be applied after concrete is cast, as well as the load group used to determine cracking of the cross-section, which you set in the drop-down menu on the right. These parameters are only used to calculate the cracked deflection in time. More information on these columns can be found in Cracked deflection over time.

'Load' and 'Action'

The final two columns ‘Load’ and ‘Action’ indicate the character of the load groups. In the window above:

  • ‘Self-weight’ is a normal [image] static [image] load.
  • ‘Dead loads’ is a normal [image] static [image] load.
  • ‘Life load A’ is a normal [image] static [image] load.
  • ‘Life load B’ is a normal [image] dynamic [image] load.
  • ‘Snow (H<=1000m)’ a static [image] snow [image] load.
  • ‘Wind’ a static [image] wind [image] load.
  • ‘Temperature’ a static [image] temperature [image] load .
  • ‘Seismic’ a dynamic [image] seismic [image] load.
  • 'Crane loads' a moving [image] static [image] load.
  • 'Fire' a static [image] fire [image] load.

For ‘Life loads’ you can choose between a static or a dynamic load. You switch between both by click on the icon in the column ‘Action’. A seismic load groups always has a dynamic character.

For wind, snow, temperature, seismic and crane loads the column ‘Load’ is filled in for you.

Modifying factor kmod

This factor takes into consideration the humidity rate (according to the climate class which you may select at the top of the dialogue box) and the load duration. With the material factor, kmod reduces the characteristics of timber’s resistance. The modification factor should be defined differently for each load group. The kmod used in the end, depends on the composition of the intended combination. In particular, the modification factor will always be provided by the load group that includes the most transient loads (i.e. those for which kmod is the highest), provided, of course, that this load group constitutes a part of the considered combination. Remember that this column appears only if your license allows timber dimensioning.

Load type (only for ASCE 7-10)

When defining combinations according to the American standard ASCE 7-10, you have to choose the load type in this column. Then Diamonds knows which safety factors he should use. Diamonds contains these types of loads:

  • Dead load [D]
  • Live load [L<]: ≤ 100psf
  • Live load [L>]: > 100psf
  • Roof live load [Lr]
  • Snow load [S]
  • Wind load [W]
  • Wind load [Wa]: wind for service limit state
  • Earth, groundwater, bulk materials with a permanent character [H-]
  • Earth, groundwater, bulk materials with a variable character [H~]
  • Rain load [R]
  • Fluid [F]

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Defining incompatible load groups

You can ban the simultaneous presence of several load groups in a combination, by configuring ‘incompatible load groups’. When load groups are indicated as incompatible, Diamonds will never generate combinations in which these load groups appear at the same time.

  • Use the button [image] to make the selected load groups (using CTRL key) mutual incompatible.

  • Use the button [image] to open the dialogue window with all incompatible loads per load group.

  • Use the button [image] to delete all incompatibilities for all load groups.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Defining linked load groups

Diamonds can link load groups that have the same favourable or unfavourable effect on the structure. This will reduce the number of load combinations, since the case where one load group works (un)favourable will be eliminated by Diamonds.

  • Use the button [image] to make the selected load groups (using CTRL key) mutual incompatible.

  • Use the button [image] to open the dialogue window with all incompatible loads per load group.

  • Use the button [image] to delete all incompatibilities for all load groups.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Sub load cases

Sub load cases is a tool or feature to group loads that have the same origin, like wind or snow.

The sub load cases can be activated by checking the box ‘Several load cases per group' on the right side.

In the table you'll see three additional columns.

  • Define the number of sub load cases in the column #.

    Note: it is not possible to add sub load cases for Self weight.

  • Diamonds gives the newly added sub load a default name in the column 'Name load case', but you're free to change it.

  • The column Type contains the icon [image], which changes to [image] when you click on it and visa versa.

    • The icon [image] stands for ‘always together'. The logical 'AND'.

      All the sub load cases in the load group are expected to always apply simultaneously.

      A practical example of this scenario would be a dead load of a floor whose components (coating, insulation, finishing, …) are defined using sub load cases.

    • The icon [image] stands for ‘always separate'. The logical 'OR'.

      All the sub load cases in the load group are expected to never act simultaneously.

      A practical example of this scenario would be wind loads acting in different directions.

Delete sub load cases
  • Deduct the number of sub load cases in the column #.
  • When the column # contains the number '1' for all load groups, you will be able to disable the option ‘Several load cases per group’. The three columns will disappear .

By using the CTRL-key, you can merge existing load groups to a series of sub load groups. To do so, select the first load group, hold the CTRL-key while you select the other load groups. When you have all groups selected, click on the button ‘Combine loadcases’.

Note that this feature allows you to limit considerably the number of load groups. Moreover, when viewing the results, you have access to overall results of the groups without displaying the results of sub groups, and the envelope curves are generated automatically. However, if you want to view individual results of various load groups (e.g. of wind), you need to define them as full load groups, and not as sub load groups, remembering to make them mutually incompatible.

Sub load groups can be ungrouped by selecting the relevant load group and clicking on the button [image].

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Load combinations

Once all loads are created in different load groups, you just need to generate combinations. Combinations of loads will be generated automatically on the basis of safety and combination factors shown in the dialogue box where you can configure the load groups. To automatically generate the combinations or to configure them on your own, click [image] in the ‘Loads’ pallet.

At the beginning, the table does not contain any combination. Click [image] so that Diamonds automatically generates the combinations.

In the drop-down menu in the upper right side, according to the standard, and possibly to the national application document, which was initially chosen to set the safety coefficients as well as the combination factors (see Defining or cancelling load groups), you need to indicate on the basis of which equation you want to generate the fundamental combinations in ULS. You can either opt for a classical but conservative solution by selecting the line ‘Eq. 6.10’, or you may want to use the equations ‘Eq. 6.10a and 6.10b’. The equation 6.10a also takes into account a fraction ψ0 of the predominant variable load. The equation 6.10b, reduces dead loads of a factor ξ. Obviously, the second option (‘Eq. 6.10a and 6.10b’) generates more combinations but often leads to more economical solutions.

For the European countries where the national application documentation does not provide these two cases, the most appropriate equation is applied automatically.

Next, indicate which load combinations should be generated. We distinguish classic combinations of loads according to

  • the ultimate limit state

    • ULS FC for the fundamental combinations
    • ULS SC for seismic combinations
    • ULS FI for fire combinations

  • the combinations in the service limit state

    • SLS RC for rare combinations
    • SLS FC for frequent combinations
    • SLS QP for combinations quasi-permanent

Use the drop-down menu to browse through all the combinations by limit state. This way you keep overview of all the combinations that are generated in the project. Using the pull down menu (top left) you can view the load combinations in each limit state.

If you want to create a combination on your own, click [image]. Instead of having Diamonds determine the load factors (γ) and combination of factors (ψ), you need to set them on your own.

In this window, insert a name of a new combination and indicate the combination type. Then, in the table, for each load group indicate the ψ-factor as well as the load factor (γ). The ψ- factor is the combination coefficient for the load case. The factor γ is the safety factor to be applied to loads in this load case.

To delete a combination, select it from the list and click [image]. If you want to delete several combinations at once, use the CTRL- or SHIFT-key on your keyboard while making the selection.

  • With the CTRL-key, you select two combinations in which Diamonds also selects intermediate combinations.
  • With the SHIFT-key, you can select them one by one.

The selected combinations are marked in light blue.

Select with SHIFT | Select with CTRL

If you want to modify a given combination, select it from the list and click [image]. Then, the above dialogue box will open. If you generate the combinations automatically, they will be added to the existing ones. Therefore, in may cases it is useful to start by clicking [image].

Finally, we mention that the button [image], allows you to save a certain set of combinations for later use in another project. To open previously saved set, click the button [image].

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Combinations in time

To limit the damages at partition walls, a limitation on the additional deflection is generally imposed. In this situation, we are interested not only in the total maximum deflection, but also in deflection at specific times.

To open the dialog for load combinations in time, click [image]. You can either automatically generate the combinations with the use of this button [image], or you can create the combinations manually using this button [image]. In the first case, all the combinations appear immediately in the table with corresponding factors.

In the first column, you will find the name of the combination. The deflection just before the application of a new load is characterized by a minus sign. A composition with a plus sign indicates a deflection just after the load application. ENTER the moment of load application in the load group definition window (Load groups).

Then, for each load group, the coefficients Ci and Cc(t) are expressed by a combination. The first coefficient corresponds to the part of immediate deformation. Obviously, in case of the dead load, Ci will always equal 1. As for other loads, Ci can be equal to ψ2 (the quasi-permanent part of the variable load), or to 1. The second coefficient Cc(t) represents the part of deformation which occurs through creep of the concrete. This coefficient varies between 0, the moment when the load is applied, and 1 for infinity in the case of a dead load, and ψ2 for infinity in the case of a variable load.

Both the combination name and all the factors can be modified at any time in the lower part of the window. In fact, the fields are editable if you select a column ad hoc. The new name or the new coefficients are immediately adapted in the table.

To delete a combination, select it from the list and then click [image]. If you want to delete all the combinations, use this button [image].

Remember, that the biggest advantage of the method is the possibility to determine a given deformation difference at any time. It is precisely this difference that has to be controlled while dimensioning slabs, more than the total deformation. To determine a deformation difference between two moments specified in the table on the left, first click [image] and then select the two appropriate lines. At the bottom of the list, Diamonds immediately generates a combination of times corresponding to the difference between the two.

More information concerning the used method can be found in Cracked deflection over time.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Loads

Before displaying different load types, let’s start by learning how to delete or modify loads. If you want to delete all the loads at one or more bars, and/or at one or more nodes in the case of an active load, first select the bars and nodes and then click [image]. However, if you do not want to delete all the loads at a given bar or node, but only some of them, double-click the bar or node. A list of all the loads of the element double-clicked in the considered load case will then be displayed. You can modify the values of the list (see also Table 'Data')

Scale loads

Point loads at nodes

Moments at nodes

Point loads at bars

Moments at bars

Uniformly distributed linear loads and trapezium loads

Distributed torsion

Force on surface

Surface load generator on bars

Temperature loads

Temperature loads on bars

Temperature loads on surfaces

Wind generator

Wind terrainparameters

Wind generator on frames

Wind generator on canopy roofs

Wind generator on surfaces

Wind generator on bar groups

Snow generator

Snow terrainparameters

Snowgenerator on frames

Snowgenerator on surfaces

Snowgenerator on bar groups

Seismic loads

Lineair dynamic loads

The (main) load groups

The (sub) load groups

Moving loads

Moving loads library

Allocate moving load to model

Summary of applied moving loads

Animation

Fire curve

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Scale loads

To multiply the loads with a certain factor:

  • Select the elements on which you want to scale the loads.
  • Click on [image].
  • Indicate which loads (point, line and/ or surface) should be scaled.
  • Enter the scale factor.
  • Indicate if you want to scale only the loads in the current load group or for all load groups.
  • Hit 'OK'.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Point loads at nodes

Start by selecting the nodes in the model window, and then click [image] to display the following dialogue box:

In the first tab, you can specify the three components of the point load according to the global coordinate system. Note that the representation of the components rotates with the coordinate system. The use of colours makes the direction of load visible. Each colour refers to an axis of the global coordinate system displayed in the bottom right of the model window. The small arrows of point loads indicate the direction (positive) of the load. Such visual method of creating loads simplifies their introduction.

You can also enter angled point loads. To do this go to the second tab ‘Angle’.

This tab allows you to place a point load at an angle with the XZ plane α and an angle with the X-axis β. Moreover, you can choose whether a global or local coordinate system is desired. Below you can define the value of the point load.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Moments at nodes

Once you have selected the nodes, click [image].

In the above window you can specify the three moment components according to the global coordinate system. Just like in the case of point loads, the drawing of nodes rotates with the global coordinate system. The display in colours shows around which axis the moment has been applied. The direction of the small arrows always indicates a positive direction of the load.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Point loads at bars

To introduce a point load at one or more bars selected according to the global axes, click [image].

In the first tab, you can specify the three components of the point load according to the global (first column with icons) or local (second column with icons) coordinate system. Note that the representation of the global components rotates with this coordinate system. The use of colours makes the direction of the load visible. Each colour refers to an axis of the global coordinate system displayed in the bottom right of the model window. The small arrows of the point loads indicate a direction (positive) of the load. This visual method of creating loads simplifies their introduction.

Moreover, the fields below allow you to specify the distance of the application of those loads with respect to bar ends at which they are applied. By default, the beginning of the bar corresponds to an end with the smallest coordinate ‘x’. When two ends have the same coordinate ‘x’, it is the point with the smallest coordinate ‘y’ that will be chosen as the beginning. When both coordinate ‘x’ and ‘y’ are identical, it is the smallest coordinate ‘z’ which determines the beginning.

Taking into consideration the fact that the same criteria are applied to set the orientation of the bar, the beginning and the end of a bar can also be deducted from the orientation of its local axes.

When the button [image] is active, you specify an absolute distance. By clicking once on the button [image], it changes to [image]. Now you can enter a relative distance using a percentage. 0% corresponds to the beginning of the beam, with 25% of L/4 from the beginning point, 50%, with L/2 from the start point (= the middle of the line), etc.

In the second tab ‘Angle’ you can again define a point load at an angle according to the global or local coordinate system.

This tab allows you to place a point load at an angle with the XZ plane α and an angle with the X-axis β. Moreover, you can choose whether a global or local coordinate system is desired. Below you can define the value of the point load. Again you can choose to enter the distance from begin as an absolute [image] or a relative distance [image].

Finally, you can specify whether this load should be linked to a physical member (see For loads).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Moments at bars

To specify a moment at one or more selected bars according to the global axes, click [image].

These loads can be applied either according to the global coordinate system of the structure (first column with icons), or according to the local coordinate system of the bar (second column with icons). The global axes are independent of the bar and therefore also of its direction. The local axes are attached to the bar and change when the bar position is modified. Each colour refers to an axis of the global coordinate system in the bottom right of the model window. The small arrows of moments indicate the direction (positive) of the load. Such visual method of creating loads simplifies their introduction.

Moreover, the fields below allow you to precise the distance of application of those loads with respect to bar ends at which they are applied. By default, the bar beginning corresponds to the end with the smallest coordinate ‘x’. When the two ends have the same coordinate ‘x’, it is the point with the smallest coordinate ‘y’ that will be chosen as the beginning. When coordinates ‘x’ and ‘y’ are identical, it’s the smallest ‘z’ which determines the beginning.

When the button [image] is active, you specify an absolute distance. By clicking once on the button [image], it changes to [image]. Now you can enter a relative distance using a percentage. 0% corresponds to the beginning of the beam, with 25% of L/4 from the beginning point, 50%, with L/2 from the start point (= the middle of the line), etc.

Finally, you can specify whether this load should be linked to a physical member (see For loads).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Uniformly distributed linear loads and trapezium loads

To apply uniform or trapezium loads at one or more selected bars, click [image].

These loads can be applied either according to the global coordinate system of the structure (first column with icons), or according to the local coordinate system of the bar (second column with icons). The global axes are independent of the bar and therefore also of its direction. The local axes are attached to the bar and change when the bar position is modified. The use of colours makes the direction of the overall load visible. Each colour refers to an axis of the global coordinate system displayed in the bottom right of the model window. The arrows indicate the direction of a positive load.

For loads according to the global coordinate system, you need to indicate whether the value is a real value per meter of bar length ( [image]) or a projected value per meter of the horizontal length ( [image]). If you select the second option, the value per meter of the bar length will be inversely proportional to the bar inclination.

If you modify the value from the first field (start), the same value will automatically appear in the second one (end value). You can therefore obtain a uniform load. If you also modify the value in the second field, the value from the first field will stay the same and you will obtain a trapezium load.

Moreover, the other two fields allow you to specify the distances of application of these loads with respect to bar ends at which they were applied. If you have only one bar selected, Diamonds will show you the total length of the bar. By default, the bar beginning corresponds to the end with the smallest coordinate ‘x’. When the two ends have the same coordinate ‘x’, it is the point with the smallest coordinate ‘y’ that will be chosen as the beginning. When coordinates ‘x’ and ‘y’ are identical, it’s the smallest ‘z’ which determines the beginning.

Once the desired direction is indicated, you can specify the beginning and the end for the distributed load. When the button [image] is active, you specify an absolute distance. By clicking once on the button [image], it changes to [image]. Now you can enter a relative distance using a percentage. 0% corresponds to the beginning of the beam, with 25% of L/4 from the beginning point, 50%, with L/2 from the start point (= the middle of the line), etc.

Finally, you can specify whether this load should be linked to a physical member (see For loads).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Distributed torsion

To apply a distributed torsion at one or more selected bars, click [image].

Such load will always be defined locally.

In this window you can specify the values of the bar beginning and end of the torsion load. If you modify the value from the first field, the same value will automatically appear in the second one. You can therefore obtain a uniform load. If you also modify the value in the second field, the value from the first field will stay the same and you will obtain a trapezium load.

Moreover, the other two fields allow you to specify the distances of application of these loads with respect to bar ends at which they were applied. When the button [image] is active, you specify an absolute distance. By clicking once on the button [image], it changes to [image]. Now you can enter a relative distance using a percentage. 0% corresponds to the beginning of the beam, with 25% of L/4 from the beginning point, 50%, with L/2 from the start point (= the middle of the line), etc.

If you have only one bar selected, Diamonds will show you the total length of the bar. By default, the bar beginning corresponds to the end with the smallest coordinate ‘x’. When the two ends have the same coordinate ‘x’, it is the point with the smallest coordinate ‘y’ that will be chosen as the beginning. When coordinates ‘x’ and ‘y’ are identical, it’s the smallest ‘z’ which determines the beginning. Given that the criteria above are also used when determining the orientation of a bar, you can derive the begin- and end node from the direction of the local x 'axis.

Finally, you can specify whether this load should be linked to a physical member (see For loads).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Force on surface

To apply a force on surface at one or more plates, click [image].

A force on surface can be applied either according to the global coordinate system of the structure (first three icons), or according to the local coordinate system of the surface (the last icon). In the latter case, it always refers to a load perpendicular to a selected plate.

The use of colours makes the direction of the overall load visible. Each colour refers to an axis of the global coordinate system displayed in the bottom right of the model window. The small arrows indicate the direction of a positive load.

If you opt for a force on surface according to the global coordinate system, you also need to specify if the created value is a value per m² of the surface ( [image]) or per m² of the horizontal surface (projected) ( [image]).

Apart from the direction, you also need to specify the size of the distributed load. We distinguish 3 scenarios:

  • In the case of a uniform load, it is enough to indicate a single value.
  • If you want to apply a load linearly varying depending on the depth, you need to specify a value of the load for two specific levels. This possibility is particularly interesting for defining water and soil pressures. If you apply this type of loads simultaneously in different surfaces, do not forget to coherently orientate in advance the local axes (all inwards or outwards).

  • Finally, as for non-uniform forces on surface, the value of the force should be defined for three independent points. Additionally to the surface, select three distinct points belonging to the surface. The coordinates of these three points are automatically filled out in the given fields. Very often, it is a great saving of time. If not, Diamonds fills in the coordinates of 3 unitary vectors.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Surface load generator on bars

The surface generator is a calculation modulus that allows you to translate a force on surface into a distributed force on the support bars.

In the ‘Loads’ configuration, select all the bars that must support the load and click [image] in the corresponding pallet. Note that this feature is accessible when at least two bars are selected and when they are situated in the same plane.

Using the above figure, you can verify if the transfer of load was correctly translated. In particular, Diamonds finds all the possible surfaces to be defined that are situated between the selected bars and on which the force on surface is assumed to act. If the selected bars do not form a closed surface, the program itself imposes the boundaries which are shown in red. It is assumed that only the selected bars that are drawn in back in the figure, support the load.

In the next part of the dialogue box, define the importance and direction of the force on surface. First, you may choose to apply the load either perpendicularly to the plane (of the selected bars) or along one of the global axes. The use of colours helps visualize the direction of the overall load. Each colour refers to an axis of the global coordinate system at the bottom right of the model window. The small arrows indicate the direction of a positive load. If you choose a force on surface load along the global coordinate system, you also need to specify whether the inserted value is a value per m² of the surface ( [image]) or per m² of the horizontal surface (projected) ( [image]).

At the bottom of the window, we define parameters related to the way the surface load is converted into a line load. The procedure is briefly explained below.

The ‘dummy’ surfaces will be divided into several triangles. This process is called triangulation and its fineness can be determined by the user with the help of a scroll bar. The number of triangles and, therefore, the fineness of the triangulation, increases gradually as you move the scroll bar to the left. Obviously, the finer the mesh, the bigger precision it offers but it requires a longer calculation time. If you want, you can visualize the triangulation by checking the corresponding box.

Next, we determine the centre of gravity for each element as well as the load P on those triangles.

Then, if we divide the surrounding bars (to which the load will be diverted) into several small bars whose nodes are numerated from 1 to j, and if we calculate the distance di between each of these points and the centre of gravity of a triangle, it is possible to calculate for each point of the bar, which part (Fi) of the load P will be diverted to this specific point using the following formula.

What ensues from it is that the major part of the load is diverted to the points which are the closest situated points to the triangle in question.

Once the procedure has been applied to all triangles, we can evaluate the total load for each point. The last stage consists of converting loads on discrete points into a distributed load on the bar. More precisely, each bar is divided into several sections for which the constant load is assumed. It is introduced by the user. The value 1 corresponds to a constant load for the entire bar.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Temperature loads

Diamonds allows you to take into account additional stresses caused by temperature variation. Thermal expansion or contraction are calculated with the use of the thermal expansion coefficient. The coefficient depends on the material and is saved in the material library (see Material library).

In the case of global variation of temperature, the entire cross-section is subject to regular heating (+) or cooling (-). On the other hand, the temperature gradients cause irregular heating or cooling, and thus cause additional moments if the cross-section cannot freely rotate.

Temperature loads on bars

Temperature loads on surfaces

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


On bars

To assign a temperature change or gradient to one or more selected bars, click on the icon [image] in the ‘Load’ pallet:

following a global change of temperature (N)

following a temperature gradient according to the local axis z' (My')

following a temperature gradient according to the local axis y' (Mz')

The forces between brackets indicate the inner forces that will be created if the deformation is hindered. The image on the right clearly indicate how many degrees each sides warms up or cools down.

A global modification of the temperature is characterized by two small arrows in the prolongation of the bar.

If the arrows are pointing at each other (→←), there is a drop in temperature (the bar will shrink). If the arrows are pointing away from each other (←→), there is a temperature increase (the bar will expand).

A temperature gradient is characterized by two small arrows (↑ ↑ or ↓ ↓)perpendicular to local bar axis for which the temperature gradient is applied. Diamonds interprets a temperature gradient of, for example, 50°C as: the one side of the beam warms up 25°C, the other side cools down 25°C. In other words, at half height the temperature remains constant.

The arrowhead always points in the direction of the warm side.

Visit our support website for examples: http://buildsoftsupport.com/knowledge-base/how-to-define-a-temperature-load/

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


On surfaces

To assign a temperature change or gradient to one or more selected surfaces, click on the icon [image] in the ‘Load’ pallet:

following a global change of temperature

following a temperature gradient according to the local axis y'

In all cases, you should note only one value. The image on the right clearly indicate how many degrees each sides warms up or cools down.

The graphical conventions are the same as above. A global temperature modification is represented by this symbol ( [image] or [image]) in the scheme of the plate for respectively a temperature decrease and increase. A temperature gradient is characterized by an arrow perpendicular to the surface (↑ or ↓).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Wind generator

The wind generator is applicable on frames, surface and bar groups. The method is analogous for all:

  • define the height of the ground level (see Ground level)
  • define the general wind parameters [image] (see General wind parameters: standard and terrain parameters)
  • generate the wind loads
    • on a frame [image] (see Wind generator on frames)
    • on surfaces [image] (see Wind generator on surfaces)
    • on bar groups [image] (see Wind generator on bar groups)

Remarks:

  • The generation of wind loads has no meaning when the height of the ground level was not set correctly!
  • Wind loads are always generated on the physical groups. When you define the physical groups correctly (see How to make a group?), this will allow you to change the lengths of the internal sub bars, without having to redefine the wind loads again.
  • We insist on the fact that the built-in wind generator is designed for buildings. It is in no way suitable for billboards, bridges, etc.

Wind terrainparameters

Wind generator on frames

Wind generator on canopy roofs

Wind generator on surfaces

Wind generator on bar groups

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


General wind parameters: standard and terrain parameters

Choose the wind standard an the terrain parameters using the button [image]:

Standard

First select the standard and national annex according to which you would like to generate the wind loads. These standards are available:

  • EN 1991-1-4 + national annexes (European standard)
  • ENV 1991-2-4 (old European standard)
  • SE-AE (Spanish standard)
  • NEN 6702 (old standard used in the Netherlands)
  • ASCE 7-10 (American standard)
  • SI 414 (Israeli standard)
  • NSR-10 (Colombian standard)
  • SIA 261 (Swiss standard)

The following explanation refers to EN 1991-1-4.

Structure parameters

Note here:

  • if you wish to take the correlation between the wind on the façades into account or not. Then the wind of the façades will be multiplied by a factor 0,85. This reduction is not allowed in every national annex and therefore only available in the relevant national annex.
  • the value of the structural factor cscd.It takes into account effects due to non-simultaneity of the extreme thrust on the entire surface cs as well as the risk of vibrations due to turbulence cd

Direction and season factor

Observe the wind direction factor cdir and the season factor cseason which will be multiplied by the basic reference wind velocity vb,0.

'Windvelocity'

Note here:

  • the air density (mostly 1,25kg/m³)
  • the probability factor cprob that takes the design life time of the structure into account. When the design life time is <50 years, the probability factor will be <1. You can set the design life time the in window with the load groups (see Choosing the consequence class and design lifetime).
  • either you define the basic reference wind velocity vb,0 [m/s] so that Diamonds can calculate the extreme wind pressure qp(z) using the other parameters (like cdir, cseason, the terrain type, the slope, ...). You can also let Diamonds calculate the basic reference wind velocity for you by selecting the correct country and wind area via the pull down-menu/ the button [image].
  • either you define the reference wind pressure qbso that Diamonds can calculate the extreme wind pressure qp(z) using the other parameters (like cdir, cseason, the terrain type, the slope, ...).

Terrain type

Determine the terrain type (0 to IV). Click on the button [image] to consult the meaning of each category.

Slope

If the building is situated on a slope, it is possible to take it into account with the help of the orographic coefficient c0(z). You can either insert the incline percentage and the s-factor, or you can have it calculated by Diamonds. Click on the button and the following window will pop up:

If the building is situated in the proximity of a plateau, the first option is applied. If the building is situated on a hill, the second option prevails. All dimensions can be correctly inserted with the help of a detailed drawing.

Remarks:

  • The standard and terrain parameters can be asked in the report manager (see Tab page 'Loads')
  • Adjusting the standard or the terrain parameters causes previously generated wind loads to be removed!

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Wind generator on frames

Select the frame on which you wish to generate wind, both the buttons [image] and [image] become active. The selected frame should lay in a 2D plane. Click on the button [image] for wind on a frame.

You’ll see the screen below (according to EN 1991-1-4):

We go through the features of this window:

  • The upper part presents the structure with the end points taken into consideration, framed in blue and red. By default, Diamonds will search for a free point in the lowest left corner and the point in the most upper right corner as beginning and end points respectively. However, if a support was defined in a point, this point will be a priority at the level searching of the defined contour ends. The visual example below allows you to understand it better:

    In the first case, no support was defined while in the second case, supports were defined at the bottom of the two columns. However, the starting point, i.e. the one numbered ‘1’ can be modified manually by clicking with the left mouse button on a potential end (with a small white square). Similarly, the second end can be modified in the same way but with the use of the right mouse button. However, you need to respect the fact that point ‘1’ is always to the left of point ‘2’.

    When the perimeter of the structure is defined, you have to note the total depth of the construction which, as well as the position of the selected frame with regards to the exterior wall and the distance from the preceding and subsequent frames. The figure on the right shows you, in a top view, the position of the frame in comparison to the front and back of the building. The preceding and subsequent frames are also shown but with the use of a dotted line. The coordinate system in the top left clearly defines the orientation of the building.

    Therefore, the wind load that interacts with the selected frame takes into account the distances between the subsequent frames as well as their distance towards the exterior wall. This way, we can correctly calculate the exterior pressure coefficient cpe which varies according to the depth of the construction.

    Select the option [image] if you want to generate wind loads on a canopy roof (see Wind generator on canopy roofs

  • Then you select in the different sub-tabs which wind load should be generated and in which load group they should be placed. Note that you can generate 24 different wind loads. How do we obtain 24 cases of wind?

    • first we distinguish four wind directions

      • wind from right to left
      • wind from left to right
      • wind from front to back
      • wind from back to front
    • secondly the standard makes a distinction between an upward and a download wind load. The external pressure coefficients cpewill be different in both cases.
      • with wind from right to left we thus obtain 4 cases
      • with wind from left to right we thus obtain 4 cases
      • with wind from front to back we thus obtain 2 cases
      • with wind from back to front we thus obtain 2 cases
    • Finally you can define an alternative internal pressure coefficient cpi. Doubling the number of cases for wind 24.

    For basic roofs (duo pitch roof, single pitch roof, flat roof) you don't need all 24 cases of wind! For combinations of the basic roofs you do need all 24 cases. Example:

    Combination of 2 basic roofs

    (duo pitch and flat roof) 24 cases

    Combination of the same basic roofs

    (duo pitch roof) 20 cases

    You are doing nothing wrong by still generating all 24 cases wind. You will just find that several times appear multiple times. But this way the model becomes unnecessarily heavy, the computation time is unnecessarily longer and you will quickly run into problems with memory usage. Reason enough to verify if you can not disable some cases (a document on our website explains in detail the cases you may or may not need).

  • Although the wind generator in Diamonds can only be applied on a 2D frame, the generator has a 3D character. In particular, when considering a direction of the determined wind, the pressure or suction at the surfaces parallel to the direction of the wind will also be taken into account. For example, if the wind blows from the left to the right (thus, parallel to the frame), a suction force is also applied on the two exterior walls. Moreover, if a wind load is applied on the exterior wall, it is also necessary to consider the pressure and suction forces applied on other frames. It is worth considering all the load cases, regardless of the position of the frame in question.

    A frame located on the front or back edge of the construction will sustain not only a wind load in an X plane but also a pressure or suction along the plane. As, in many cases, all the bars of the exterior wall are not intended to be charged with wind, in the second tab you can unselect the bars that will not take wind loads.

Internal pressure coefficient

Diamonds determines the external pressure coefficients cpe automatically, the internal pressure coefficient cpi depends on the size and distribution of openings and therefore it must be defined by the user. When you click [image], the following dialogue box will appear.

In the case of a construction with vertical walls, cpi is calculated based on permanent and temporary openings in the building. At the bottom, you will find the boundaries within which cpi is situated according to the direction of the wind. The user should indicate the value of cpiat which calculations can be conducted. The user can also insert a custom value in a suitable field.

Note: When it is impossible to determine the distribution and the size of openings, we can take the least favourable of the two following values for cpi: +0,2 and -0,3.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Wind generator on canopy roofs

Select the canopy on which you wish to generate wind, both the buttons [image] and [image] become active. The selected frame should lay in a 2D plane. Click on the button [image] for wind on a frame. You’ll see the screen below. Select the option [image].

We go through the features of this window:

  • The upper part presents the structure with the end points taken into consideration, framed in blue and red. By default, Diamonds will search for a free point in the lowest left corner and the point in the most upper right corner as beginning and end points respectively. However, if a support was defined in a point, this point will be a priority at the level searching of the defined contour ends.

    However, the starting point, i.e. the one numbered ‘1’ can be modified manually by clicking with the left mouse button on a potential end (with a small white square). Similarly, the second end can be modified in the same way but with the use of the right mouse button. However, you need to respect the fact that point ‘1’ is always to the left of point ‘2’.

    When the perimeter of the structure is defined, you have to note the total depth of the construction which, as well as the position of the selected frame with regards to the exterior wall and the distance from the preceding and subsequent frames. The figure on the right shows you, in a top view, the position of the frame in comparison to the front and back of the building. The preceding and subsequent frames are also shown but with the use of a dotted line. The coordinate system in the top left clearly defines the orientation of the building.

    Therefore, the wind load that interacts with the selected canopy takes into account the distances between the subsequent frames as well as their distance towards the exterior wall. This way, we can correctly calculate the net pressure coefficient cf,net which varies according to the depth of the construction.

  • Then you select in the different sub-tabs which wind load should be generated and in which load group they should be placed.

    The wind loads on a canopy roof can be determined using a global force coefficient cfor a net pressure coefficient cf,net (= a local coefficient). The global coefficient is used to determine the global strength/stability of the structure, while the net pressure coefficient is used to design the roofing and the anchoring of the roofing.

    Both the global and the net pressure coefficient can have a positive (maximum) and negative (minimum) value (see EN 1991-1-4 Table 7.7). Therefore you see 4 tab pages:

    • Local max
    • Local min
    • Global max
    • Global min

    The global force coefficient and the net pressure coefficient cp,net are calculated based on the blockage φ. φ=0 represents an empty canopy, and φ=1 represents the canopy fully blocked with contents to the down wind eaves only (this is not a closed building). Because the blockage φ can have two values (0 and 1), you can opt to enter an alternative φ in Diamonds.

    Finally figure 7.17 of EN 1991-1-4 indicates that different combinations of the coefficients on the roof pitches should be considered. These combinations result in different load cases.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Wind generator on surfaces

Select the surfaces on which you wish to generate wind. Click on the button [image]. The selected surfaces don’t have to lie in the same plane. You can generate up to 4 cases of wind at once.

  • Select the load groups in which Diamonds should place the wind.
  • Enter the internal cpi and external cpe pressure coefficients. The internal wi, the external we and the net wind pressure wn are calculated automatically.

Make sure the local coordinate system of the surfaces is orientated in the same direction: either all local y’-axes directed outward or either all local y’-axes directed inward.

BAD

for some plates the local y’-axes is directed inward, for other plates outward

GOOD all local y’-axes are directed outward | GOOD all local y’-axes are directed inward

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Wind generator on bar groups

Select the group of bars on which you wish to generate wind, both the buttons [image] and [image] become active. The selected frame should lay in a the same plane. Click on the button [image] for wind on a bar group. You’ll see the screen below:

The upper half of this window works the same way as the surface load generator on bars ( see Surface load generator on bars). In the lower half of this window:

  • You select the load groups in which Diamonds should place the wind.
  • Enter the internal cpi and external cpe pressure coefficients. The internal wi, the external we and the net wind pressure wn are calculated automatically.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Snow generator

The snow generator is applicable on frames, surface and bar groups. The method is analogous for all:

  • define the general snow parameters [image] (see General snow parameters: standard and terrain parameters)
  • generate the snow loads
    • on a frame [image] (see Snowgenerator on frames)
    • on surfaces [image] (see Snowgenerator on surfaces)
    • on bar groups [image] (see Snowgenerator on bar groups)

Remarks:

  • Snow loads are always generated on the physical groups. When you define the physical groups correctly (see How to make a group?), this will allow you to change the lengths of the internal sub bars, without having to redefine the snow loads again.

Snow terrainparameters

Snowgenerator on frames

Snowgenerator on surfaces

Snowgenerator on bar groups

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


General snow parameters: standard and terrain parameters

Choose the standard snow and terrain parameters using the button [image]:

Standard

First select the standard and national annex according to which you wish to generate snow. Following standards are available:

  • EN 1991-1-3 + national annexes (European standard)
  • ENV 1991-2-3 (old European standard)
  • SE-AE (Spanish standard)
  • NEN 6702 (old standard used in the Netherlands)
  • SI 412 (Israeli standard)
  • SIA 261 (Swiss standard)

The following explanation refers to EN 1991-1-3.

Terrain parameters

Then, insert the characteristic value of the snow load sk at ground level, which depends on the geographic situation and the altitude in comparison to the level of the sea. The Eurocode provides a map and a corresponding table where you can deduct the characteristic value of the snow load for different Member States of the European Union (see Annex C in EN 1991-1-3).

Exposure coefficient and thermal coefficient

The exposure coefficient Ce allows you to take into account the effect of wind erosion. In Belgium as well as in the Netherlands, this coefficient is assimilated at 1,0. The thermal coefficient Ct takes into consideration the effect of heat loss through the roof. In the case of a normal thermal isolation, this coefficient also equals 1,0.

Hanging snow

For the zones situated at an altitude exceeding 800m above the sea level, it is advisable to take into account the hanging snow. It results in an additional vertical load on an edge of the roof. You can decide if you want to take into account this additional load by checking a corresponding box.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Snowgenerator on frames

Select the frame on which you wish to generate snow, both the buttons [image] and [image] become active. The selected frame should lay in a 2D plane. Click on the button [image] for snow on a frame.

You’ll see the screen below:

Diamonds automatically searches for the contour of the selected frame, which is shown in grey. On the basis of this contour, the software calculates the snow load on all potential horizontal and oblique bars.

  • First define the width of the snowy surface (perpendicularly to the scheme of the frame) that should be included in the frame. For the central frame, it is, therefore, the average distance between two frames, while for frames situated on the edge, this distance is equal to a half.
  • Because the standard distinguishes a few load cases depending on the location of the load and on the shape of the roof, several load cases can be generated.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Snowgenerator on surfaces

Select the surfaces on which you wish to generate snow. Click on the button [image]. Note that the selected surfaces don’t have to lie in the same plane.

  • Select the load group in which Diamonds should place the snow.
  • Enter the shape coefficient μi.

When you select multiple surfaces, make sure the local coordinate system of the surfaces is orientated in the same direction: either all local y’-axes directed outward or either all local y’-axes directed inward (see Wind generator on surfaces).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Snowgenerator on bar groups

Select the group of bars on which you wish to generate snow, both the buttons [image] and [image] become active. The selected bars should lay in the same plane. Click on the button [image] for snow.

You’ll see the screen below:

The upper half of this window works the same way as the surface load generator (see Surface load generator on bars). In the lower half of this window:

  • Select the load group in which Diamonds should place the snow.
  • Enter the shape coefficient μi

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Seismic loads

When you have created a seismic load case, you can define the seismic spectrum via [image] . You will get following screen:

Specify the design code for which you wish to generate the seismic spectrum. You can choose between:

  • EN 1998-1:2004 + national annexes (European standard)
  • ASCE 7-10 (American standard)
  • INPRES-CIRSOC (Argentine standard)
  • NSR-10 (Colombian standard)
  • NCH 433 (Chilean standard)
  • NCSE-02 (Spanish standard)
  • SI 413 (Israeli standard)
  • NPR 9998 (standard of the Netherlands)
  • NPR 9998: 2018 + C1: 2020 (standard of the Netherlands)

In the above illustration EN 1998-1:2004 was chosen.

A seismic spectrum consists of a

  • Horizontal spectrum in the u direction
  • Horizontal spectrum in the v direction
  • Optional vertical spectrum in the w direction

The response acceleration in function of the modal period is given for each spectrum (u, v and w direction) in the graph.

  • Enter the angle between the direction of the spectrum and the global axes. The image shows how the spectrum is rotated with respect to the global axes.

    If the angle is 0°, the u and v-direction coincide respectively with the global X and Z direction.

  • Select whether or not you want to take into account the vertical component.
  • If the eigen modes are independent of each other, it is allowed to calculate the total response with the ‘sum of the squares’ method. If the eigen modes are dependent of each other, you need to use Complete Quadric Combination-method (CQC- method).
  • By checking the option 'Apply quasi static correction' the lack of effective modal mass is compensated (see further in this topic).
  • Choose the spectrum type. You have the choice between type I or II.
  • Choose the soil type. You have the choice between types A → E .
  • Choose the building’s important class. You have the choice between I until IV. Depending on the important class, Diamonds will fill out a importance factor γl for you.
  • If you choose ‘—‘, you will need to enter yourself a value for the importance factor γl.
  • Enter the behaviour factors per direction qu,qv,qw.
  • Ground acceleration
  • Displacement factor

More information about these parameters can be found in the design codes, such as EN 1998-1:2004.

You can save a defined spectrum in an external TXT-file, by using the button [image] on the bottom of the window. Saved spectrums can be opened via [image] . The spectrum loaded into Diamonds, should be a relative spectrum with values between 0 and 1 on both axis. You scale the spectrum with the reference acceleration and the reference period.

Remarks:

  • A seismic action is considered to act on all supports simultaneous.
  • A seismic action can be removed with the ‘Delete loads’ button [image].
  • On importing a Diamonds model with seismic and/ or dynamic loads in PowerFrame or vice versa, we strongly recommend to redefine these load after importing the model.

  • If you have not obtained sufficient effective modal mass, you can

    • Either try to recalculate the model but ask a larger number of eigen modes.
    • Either select the option 'Apply quasi static correction'.
      All the results for the relevant directions with modal mass <90% will be divided by the mass obtained. For example: 40% => results divided by 0,4.

  • A seismic load is represented by the symbol below [image]. This symbol is always displayed in the XZ plane. With this symbol you'll also find the following information:

    • The total mass [kg] taken into account when performing a seismic analysis. The total mass consists of:
      • for Eurocode: the vertical components of the loads in load group x Ψ2 x φ-factor
        The Ψ2 and φ-factor are defined in the window for the load groups [image].
      • for CTE: the vertical components of the loads in load group x φ-factor
    • A number of points
      • A black point: centre of gravity of the total mass
      • A blue point: centre of gravity of the mass due to the self-weight
      • A red point: centre of gravity of the added mass
    • You can show the distribution of the 'self mass' and the 'added' mass by selecting the options 'Show self-weight' and 'Show mass' in the window with the settings for the loads configuration.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Lineair dynamic loads

To be able to add dynamic functions to a load case, you need to have given the load case a dynamic character in (see Load groups). The dynamic load case can have several sub load cases, which will be applied to the structure always together or separately .

The definition of dynamic loads are consists of 3 steps:

  • defining periodicity, synchronization and period of the (main) load case [image] (see The (main) load groups)
  • adding (static) loads for the load case or each of the sub load cases (see Loads)
  • shape of the wave, amplitude, phase,… of the (sub) load case(s) [image] (see The (sub) load groups)

The (main) load groups

The (sub) load groups

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


The (main) load groups

In this window [image] you specify whether the (sub) load case(s) are

Subloadcases

  • Periodic (the wave repeats in time) or not (=aperiodic wave):
Periodic | Aperiodic
  • synchronous or not.

If there are no sub-load cases, only the periodicity applies. In case there are sub load cases in the dynamic load case, the synchronization is also important. This option is only relevant is the sub load cases are applied always together . If the sub load cases are working separately this option has no meaning. In case the sub loads work together and they are defined as ‘asynchronously’, Diamonds will find the most unfavourable situation (in this case period) between the sub load waves. If you choose ‘synchronously’, you need to know the time frame between the sub load waves and this needs to be constant. If you do not know the time frame between the sub load waves, or it does not remain constant, it is better to choose ‘asynchronously’.

Period

Next, you enter the period of the wave. In case of sub load cases, you need to enter the maximum period of all sub load waves. You can define the period in 2 ways:

  • As an absolute value of the period(s) or the pulsation (rad/s)

    On entering one of both, the other one is automatically calculated.

  • Relatively with respect to a chosen eigen period.

    The period factor allows you to multiply the chosen eigen period with a value. The meaning here is that you can see the effect of a loading with a period close to (or equal) to the eigen period. You expect for this resonance of the structure, taking into account the damping of course.

Advanced

If you click ‘Advanced’, you will find following options:

  • ‘# points’ is the number of points for which the displacements as a result of the loads per eigen mode are determined (= solving the kinematic equations). 100 points is a good choice.
  • The larger the eigen frequency of a mode, the smaller the eigen period. To have also sufficient number of integration points for this kind of modes, you can specify a minimum number of points per wave. 15 is a good number.
  • '# evaluation points’ is the number of points where the response is calculated by means of super position. Having set ‘# evaluation points’ and ‘#points’ equal is the most accurate, but will take up the most time. You can set ‘# evaluation points’ less than ‘# points’, the mistake will be negligible. There is no point in setting ‘# evaluation points’ higher than ‘# points’.
  • If the sum of the effective modal masses is too small for one or more directions, you can proceed as follows:
    • You recalculate the modal analysis, however with more eigen modes.
    • You use the quasi static correction.

On the right side of the window you get an overview of all defined waves in the (sub) load case(s). Initially, when there are no waves defined yet, this graph will be empty. Later on, when you have defined all waves and you return to this window, you will see the combination of the defined waves. The active sub load case will be in bold.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


The (sub) load groups

In this dialogue window, you set for the load case or each of the sub load cases:

  • Shape of the wave

    • Sinus (or harmonic)
    • Square (or impulse)
    • Sawtooth (or triangle or ramp)
    • Arbitrary (see further)
  • Amplitude factor: this is the maximum value of the wave, this is also the multiplication factor for the static load. The amplitude has to be in the range -1 and 1.
  • Amplitude 2 (only for square or sawtooth): this is the maximum downwards value.
  • N° period : with this option you specify how many times the cycle should run within 1 period.
  • Phase (only for harmonic): to define a phase shift.
  • ‘Start’: this is the start point of the wave, relative with respect to the period (start time = start * period). This value is always between 0 and 1. If this value is 0, the wave starts at the beginning of the period. In case of a value > 0, the wave will start later, there is a part of the period where the amplitude is 0 (a so called ‘dead’ part)
  • Step (only for square or sawtooth): this is where the wave crosses the horizontal axis, so where the wave changes sign, the zero point of the wave.
  • ‘End’: this is the end point of the wave, relative with respect to the period (end time = end * period). This value is always between 0 and 1. If this value is 1, the wave finishes at the end of the period. In case of a value < 1, the wave will end earlier, there is a part of the period where the amplitude is 0 (a so called ‘dead’ part)

Finally you specify whether the wave must be applied to the (static) loads of the load case or as an acceleration of the supports. For this last option, you enter the value of the acceleration and the direction with the angles α and β.

On the right hand side, you will see the shape of the wave and the detail over 1 period. In the detail, you will have the possibility to show the wave in the (classic) time domain or in the frequency domain. By means of a Fourier transformation, every arbitrary wave (in red) can be described as a sum of harmonic (sinus and cosinus) functions (in red, green and purple). This decomposition can be displayed in the frequency domain. Here you can see which frequencies with which amplitude occur most in the wave. The frequencies with the highest amplitude will be most determinative and can be even critical, especially when they correspond with the eigen frequency of the structure.

Arbitrary wave

You can define an arbitrary wave in Diamonds. On selecting this option, you need to fill out some interpolation points. You can use the built-in Diamonds tools or past an external table with values.

  • deletes a point
  • ‘fluent’ interpolation between points. The points are being connected through a cubic spline.
  • linear interpolation between points. The points are being connected through straight.
  • adds a point, before the current and half way with the previous one.
  • adds a point, after the current and half way with the next one.
  • pastes an external table with value from the clipboard. In an external table (for example MS Excel), you need to have 2 columns: one with the time/ period values and a second one with the amplitudes. Select both columns with values and copy these to the clipboard (via CTRL + C) and paste the values in Diamonds with [image].

Next to these tabular operations, you can also pick points with the cursor in the detailed graph and move them as you please.

Remark: on importing a Diamonds model with seismic and/ or dynamic loads in PowerFrame or vice versa, we strongly recommend to redefine these load after importing the model.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Moving loads

To define a moving load, you should do the following:

  • Define the elements (lines or bars) in the geometry to which the moving load will engage.
  • Define a load group ‘Moving loads’ (see Defining or cancelling load groups).
  • Add the moving load to the library (see Moving loads library)
  • Allocate the moving load to the bars (see Allocate moving load to model).

We use the example below to illustrate the functionalities: a train can drive over an L-shaped trajectory with two tracks with the following characteristics:

Moving loads library

Allocate moving load to model

Summary of applied moving loads

Animation

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Moving loads library

One project can contain several trajectories and several moving loads. In one trajectory, several moving loads can engage and one moving load can reoccur in several projects.

To keep everything manageable, the moving loads are placed in a library. Click on [image] to open the library.

A moving load can be preceded by the icons [image] or [image] .

  • The icon [image] indicates that the moving load is permanently in the library and therefore available in all projects.

  • The icon [image] indicates that the moving load is floating in the library and therefore only available in the current project.

  • With the ‘New’ button, you can define a new moving load. We will run through the parameters/ possibilities of the window:

    • Name: the name of the moving load in the library.
    • Length: the total length of the train
    • Number of loads: the number of points (or wheel axles) on which load engages

    • Reference for the load

      • Local coordinate system
      • Global coordinate system

    • Table: the number of rows in the table reflects the number of loads.

      • The position of the loads in relationship to the train can be entered in 2 ways:

        • d1 is the distance from the end.
        • d2 is the distance from the beginning.

        When you enter the distance d1 , Diamonds will automatically calculate the distance d2 as the length of the train minus d1 and vice versa if you enter the distance d2.

      • Next you can enter the value of the forces and moments for each load.
    • With the buttons [image] and [image] you can import or export a moving load.
    • In the example, the window looks like the illustration above.
  • Using the button ‘Change’ you can adjust the selected moving load.
  • Using the button ‘Add’ you can place a floating moving load permanently in the library. The icon for the moving load will change from [image] to [image] .
  • Using the button ‘Remove’ you can place a permanent moving load in the library as floating. The icon for the moving load will change from [image] to [image]. Diamonds will automatically remove the moving loads that are not allocated to the trajectory.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Allocate moving load to model

You select the lines to which you wish to apply the moving load. We call this the ‘trajectory’. Notice that you can select several trajectories at once. Then click on [image].

  • Select the moving load from the pull down list with all the loads from the library. Using the button you can open the library with moving loads and, if necessary, amend the load.
  • You then choose whether you wish to apply the crane load to the group of lines or to the individual lines. Diamonds will always try to make the longest possible continuous group of lines.

  • Finally you should indicate at which position the train starts and stops on the trajectory.

    • In the first column Ltot indicates the length of the selected trajectory. If the moving load is longer than the selected trajectory, the distance Ltot will be indicated in red.
    • Since various distances are displayed, it could be that several trajectories are selected.
    • The second and last column contain pull down lists. From these lists you can choose, respectively, the starting point and end point of the trajectory.
    • In the first and last but one column, you indicate from where to where the moving load can move on the trajectory.
    • In the middle, you indicate the node numbers where the crane track load must be synchronised at ‘Stops’.

  • After you have clicked on ‘OK’, you will be shown a graphic illustration of the moving load.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Summary of applied moving loads

You can receive a summary of all applied moving loads via [image] .

  • At ‘Number of positions’ you indicate in how many positions Diamonds must place and calculate the moving load. The number of positions is limited to a minimum with respect to the number of stops.

    The result is an envelope of all these positions.

  • In the table below, the characteristics of the trajectory and the moving load are indicated once again.
  • Using the button ‘Remove’ you can remove a moving load from the project concerned. You can also selected the trajectory concerned in the model window and click on [image].
  • If you remove a load by accident, you can replace the moving load on the track using this button [image].

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Animation

Click on the button [image] to start/stop the animation of the moving load.

In a ‘stop’, for example, you clearly see that ‘the train’ passes here simultaneously on both trajectories.

No stops used | Stops used

Remarks:

  • In order to calculate moving loads, you will need the ‘Moving loads’ license.
  • When importing a Diamonds model with moving loads into PowerFrame, you are advised to define these loads afresh. The same is true when importing a PowerFrame model into Diamonds.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Fire curve

When you have created a load case for fire, you can define the fire curve [image] . You will get following screen:

From the pull down list on the left top, you can choose between a number of predefined fire curves (see EN 1991-1-2 §3.2), namely:

  • The standard fire curve (ISO 834)
  • External fire curve
  • Hydrocarbon fire curve

  • User-defined fire curve

    • Click on [image] . This dialogue appears:

    • Name the fire curve.

    • Define the function by dragging the red points to their correct position.

      • deletes a point
      • ‘fluent’ interpolation between points. The points are being connected through a cubic spline.
      • linear interpolation between points. The points are being connected through straight.
      • adds a point, before the current and half way with the previous one.
      • adds a point, after the current and half way with the next one.
      • pastes an external table with value from the clipboard. In an external table (for example MS Excel), you need to have 2 columns: one with the time values and a second one with the temperatures. Select both columns with values and copy these to the clipboard (via CTRL+ C ) and paste the values in Diamonds with [image] .
    • With the buttons [image] and [image] you can import or export a fire curve.
  • Click [image] to remove a self-defined fire curve.
  • Click [image] to edit a self-defined fire curve.

Enter the required fire resistance [min].

Notes:

  • Click on [image] to remove the fire curve from the selected bars.
  • A fire curve on bar without section or material has no meaning.
  • A fire curve can only act on bars, not on plates.
  • A fire curve and fire resistance [min] are linked to one or more bars, not to the project. So, one project can contain multiple bars that are subject to different fire curves and require different fire resistances.
  • Calculating a model with a fire load/ curve, requires the license ‘Fire safety analysis'.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Deleting or modifying loads

If you want to delete all the loads applied on one or more elements select them and click [image]. Yet, if you want to delete only some of the loads applied on one or more elements, or if you want to modify their values, you need to double-click the element. Then, a dialogue window opens displaying a list of all the loads applied on the double-clicked element.

To delete a load from this list, select it and then click [image] in the top left of the dialogue window. Remember that this button is available only when there are at least two different loads defined within the same load group. The explanation and use of other buttons will be described further in this manual.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Copying and pasting loads

Right mouse button

Translation of loads

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Right mouse button

If you want to copy the load assigned to one node, bar or surface to another element (not for surfaces) whether or not in the same load group:

  • First select the element on which the load to be copied is situated.
  • Then press the right mouse button. In the floating menu that appears, select the option
    • ‘Copy loads’
    • or 'Copy entire load group'
  • Next, choose the load group to which you want to copy the load and select the elements on which the load should act.
  • Then, press the right mouse button and this time select the 'Paste loads' option in the floating menu.

You may also select several nodes, bars or faces, with the intention of copying the loads to the same selection but in a different load group. Copying the loads of multiple nodes, bars or surfaces to another selection (whether or not in the same load group), is not possible with this function. This is because Diamonds would have to check whether the new selection has the same geometry as the old selection (= a time-consuming process). For points and bars you can possibly do this with the translation function (see Translation of loads).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Translation of loads

In order to move loads or a part of loads, or copy it a number of times, start by selecting the elements with loads which you want to apply the translation to, and then click [image].

First, indicate how many copies you want (N). If you simply want to move loads, the value of N should be 0. Then, indicate distances along the global coordinate system, at which the load selection should be moved or copied. This distance is repeated as many times as there are copies.

Notes:

  • The values of the translation vector can also be introduced graphically by indicating the distance with the use of a mouse in ‘Configuration – Loads’ (still keeping the dialogue window open).
  • Only loads on points and lines can be translated/ copied.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


‘Results’ pallet

Each ‘Results’ configuration is provided with a ‘Results’ pallet on the right side of the model window. Thanks to this pallet, it is possible to graphically visualize the calculation results in the model window. Of course, we will get a detailed result only if the corresponding analysis has been conducted. Therefore, the mode of displaying results depends on the defined configuration. The definition of these parameters can be found in Definition and modification of a configuration.

Let us now examine what the pallet is composed of:

In the top of the pallet, there are several buttons each representing a set of detailed results. For a result to be shown in the model window, one of these buttons has to be pressed. We distinguish the following ‘result groups’:

To show deformations

To show the internal forces in beams and columns

To show the internal forces in slabs and plates

To show reactions

To show the elastic stresses in beams

To show the elastic stresses in slabs and plates

To show the reinforcements

To show the results of steel and timber code check

To show the crack sizes
To show the temperature over time

When one of the above buttons is pressed, you can visualize the corresponding detailed results by using the buttons situated below it. We can visualize a lot of results in a structured way, without the ‘Results’ box being overloaded by numerous buttons. The different symbols will briefly be discussed below.

Then, specify which load combination you want to examine the results from. In the first drop-down menu, select the load combination type (an individual load group, ULS FC, ULS SC, SLS RC, SLS RF or SLS QP), then indicate which specific load group or projected combination should be visualized. In the case of a load combination, you may choose between an individual load combination (designated with a number) and an enveloping one. When the result offers an enveloping combination, for some results you may also have to indicate whether to display the minimum results (min) or the maximum results (max).

Note: If you have defined load groups composed of load sub-groups of the service type (see Sub load cases), an enveloping result will automatically be displayed for this load group as well as for all the combinations in which this load group appears, on the basis of sub-results for different load sub-groups. However, if you want to have access to the relative results of different load sub-groups, you need to define them as load groups and not as sub-load cases.

Displaying deformations

Displaying internal forces in beams and columns

Displaying internal forces in slabs and plates

Displaying reactions in support points

Displaying elastic stresses in beams and columns

Displaying elastic stresses in slabs and plates

Displaying reinforcement

Displaying cracking width

Displaying thermal results

Results along a cut line

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Displaying deformations

To visualize the results of deformations, first click [image], and then select a chosen partial result in the drop-down menu.

Representation of the displacement in the global axis x direction

Representation of the displacement in the global axis y direction

Representation of the displacement in the global axis z direction

Representation of the global deformation of the structure

Representation of the rotation of angles along the global axis x

Representation of the rotation of angles along the global axis y

Representation of the rotation of angles along the global axis z

Representation of the first buckling mode

In the display of the global deformation, you can see how the structure really deforms in 3D view. Of course, the scale of the deviation will magnify the deviation in comparison to the geometry of the structure itself. Important: this 3D display is not available in the case of enveloping values. In fact, the 3D display of all possible states of deformation creates an enveloping cloud that cannot be represented by one or two lines.

These three icons [image], [image], [image] apply only to bars. This deformation of angles for slabs and plates cannot be viewed.

In many cases, we may want to see the deformation along the local coordinate system. In this case, it is advisable to visualize a detailed result of the bar in question (see Detailed results).

In a second order analysis, the global buckling factor αcr is calculated from Diamonds 2013 R0. An global buckling occurs if αcr<1. Using the icon [image] you can retrieve which elements global buckle. In the example below, there is a clear displacement from the plane of the framework as a result of insufficient support in this direction.

Remarks:

  • The displacements are scaled in such a way that an global buckling factor αcr=1 is equivalent to a deformation of 1m. A deformation greater than 1m is in accordance with an overall buckling factor αcr<1.
  • To be able to calculate the overall buckling factor αcr you need a ‘second-order beams and frames’ licence.

After having performed a modal analysis, you can look at the results per eigen frequency (and accompanying eigen mode). Go to the Results Configuration [image] and select the deformations [image] . In the pull down menu below, you can select one of the eigen frequencies. You can animate the movement of the structure with [image]:

  • : play
  • : pause
  • : speed up
  • : slow down
  • : animate with the speed of the eigen frequency.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Displaying internal forces in beams and columns

In order to visualize the results of inner forces in beams or columns, click [image] and then select the chosen partial result from the drop-down menu.

Representation of normal forces in the bars.

Representation of the shear force along the local axis z' of the profile (following the flexion around the axis y').

Representation of the shear force along the local axis y' of the profile (following the flexion around the axis z').

Representation of bending moments around the axis y'.

Representation of bending moments around the axis z'.

Representation of the torsion moments.

The shear forces and bending moments are always depicted along the local axes of bars. As for double symmetrical profiles, the local axes y' and z' correspond to the strong and weak axis respectively.

Moreover, the following graphical conventions are used:

  • A negative normal force corresponds to a compression, and a positive force corresponds to a tension.
  • A bending moment is positive if the upper side (right side) of the profile is subject to tension. So, the moments will always be depicted on the side where tension occurs.

  • The sign of the shear force depends on variation of the corresponding moment. A positive shear force corresponds to an ascending curve of a moment. A negative shear force corresponds to a descending curve of a moment.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Displaying internal forces in slabs and plates

In order to visualize the results of inner forces in plates and slabs, first click [image], and then select the chosen partial result in the drop-down menu.

Representation of the shear force in the plane perpendicular to the axis x'.

Representation of the shear force in the plane perpendicular to the axis z'.

Representation of the bending moments around the axis z'.

Representation of the bending moments around the axis x'.

Representation of the torsion moments.

Representation of the first principal moment.

Representation of the second principal moment.

Representation of the directions of principal moments.

Representation of the normal forces parallel to the axis x'

Representation of the normal forces parallel to the axis z'.

Representation of the shear forces in the plane.

Representation of the first principal normal force.

Representation of the second principal normal force.

Representation of the directions of the principal normal forces.

The inner forces are always depicted along the local axes of a slab or plate.

Representation of the inner forces in a slab | Representation of the inner forces in a plate

Moreover, all the results are expressed per length unit.

The principal moments M1 and M2 and the principal normal forces N1 and N2are calculated with the use of Mohr’s circle starting from the moments (Mxx, Mzzand Mxz) and the normal forces (Nxx, Nzzand Nxz) respectively, on two small perpendicular planes. Principal directions that are expressed by small arrows proportional to the size of principal moments and principal normal forces. No torsion moment (Mxz) and no shear forces (Nxz) act on the small planes parallel to the principal directions.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Displaying reactions in supports

In order to visualize the results of reaction forces, first click [image], and then select the chosen partial result in the drop-down menu.

Representation of the reaction forces in the support points in the global direction X.

Representation of the reaction forces in the support points in the global direction Y.

Representation of the reaction forces in the support points in the global direction Z.

Representation of the reaction forces in the support points in the global direction X, Y and Z.

Representation of the distributed reaction in the support lines in the global direction X.

Representation of the distributed reaction in the support lines in the global direction Y.

Representation of the distributed reaction forces in the support lines in the global direction Z.

Representation of the distributed reaction forces in the support lines in the global direction X, Y and Z.

Representation of the reaction forces in plate supports in the global direction X.

Representation of the reaction forces in plate supports in the global direction Y.

Representation of the reaction forces in plate supports in the global direction Z.

Representation of the reaction moments in the support points around the global axis X.

Representation of reaction moments in the support points around the global axis Y.

Representation of the reaction moments in the support points around the global axis Z.

Representation of the reaction moments in the support points around the global axis X, Y and Z.

Representation of the distributed reaction moments in the support lines around the global axis X.

Representation of the distributed reaction moments in the support lines around the global axis Y.

Representation of the distributed reaction moments in the support lines around the global axis Z.

Remember that in the ‘Results’ configurations, the reactions in the supports are always represented according to global coordinate systems, while the detailed reaction results at the level of a layer or slab line are represented locally (cf. Detailed results).

As far as support lines are concerned, you can also visualize the total value as well as the average value of a reaction. In order to do it, first select the chosen reaction in the drop-down menu, and then double-click the bar for which the following dialogue box will appear.

You can obtain the average reaction by dividing the total reaction exerted by a selected support line by its length. The total reaction equals the sum of reactions of different support points at different mesh points. The reaction of the support points in a point that belongs to two support lines will be taken into consideration only for a half during the evaluation of the total reaction (generated by a single support line).

When you ask the results in table form for a line, you will see the total value for that combination.

When you select multiple support lines, the results table will contain a total value:

  • for each support line individually
  • for all support lines together

The distributed reaction forces generated by the support lines are expressed in kN/m or an equivalent. The reaction forces generated by a soil profile are expressed in N/mm² or an equivalent.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Displaying elastic stresses in beams and columns

In order to visualize the results of the elastic stresses in beams or columns, first click [image], and then select the chosen partial result in the drop-down menu.

Representation of the compressive stresses resulting from N and Mu

Representation of the tensile stresses resulting from N and Mu

Representation of the compressive stresses resulting from N and Mv

Representation of the tensile stresses resulting from N and Mv

These stresses correspond to maximum stresses which are generated in the extreme fibres of the profile. They are always drawn on the side of the profile where they occur. For example, for a rectangular and a Z-profile, this comes down to the following points:

They are always drawn on the side of the profile where they appear. For profiles where the local u and v axes do not coincide with the main inertia axes, the maximum stresses are plotted according to the u and v axes of the profile.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Displaying elastic stresses in slabs and plates

In order to visualize the results of the elastic stresses in slabs or plates, first click [image], and then select the chosen partial result in the drop-down menu.

Representation of the stresses in the direction x' in the upper fibre.

Representation of the stresses in the direction z' in the upper fibre.

Representation of the effective stresses in the upper fibre.

Representation of the stresses in the direction x' in the lower fibre.

Representation of the stresses in the direction z' in the lower fibre.

Representation of the effective stresses in the lower fibre.

Representation of the first principal normal stress in the upper fibre of the plate.

Representation of the second principal normal stress in the upper fibre of the plate.

Representation of the directions of principal normal stresses in the upper fibre of the plate.

Representation of the first principal normal stress in the lower fibre of the plate.

Representation of the second principal normal stress in the lower fibre of the plate.

Representation of the directions of principal normal stresses in the lower fibre of the plate.

The display mode of the stresses in slabs and plates is not identical to the one in beams and columns. Therefore, we adopt another graphical convention. For slabs, it is assumed that a compressive stress is represented by a negative value and a tensile stress is represented by a positive value.

However, the effective stresses are always positive. They are calculated with the use of the plasticity criterion of Huber-Hencky-von-Mises:

It has been agreed that in all the cases σy = 0. In principle, the above formula should be applied for all the points. In Diamonds, the effective stresses are calculated only for the upper and lower fibers. However, they are overestimated, since it is understood that [image], [image] and [image] where Axz = min (Ax, Az).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Displaying reinforcement

In order to visualize the results of reinforcement calculation, first click [image], and then select the chosen partial result in the drop-down menu. These results are only available after the reinforcement calculation has been conducted.

In columns and beams

  • :Representation of the longitudinal reinforcement parallel to the local axis y', therefore, in most cases, lower and upper reinforcement.

  • :Representation of the longitudinal reinforcement parallel to the local axis z', therefore, in most cases, lateral reinforcement.

  • :Representation of the transversal reinforcement parallel to the local axis z', therefore, in most cases, the cross-section of vertical bracket slots of stirrups per length unit of the beam

  • : Representation of the transversal reinforcement parallel to the local axis y', therefore, in most cases, the cross-section of horizontal bracket slots of stirrups per length unit of the beam
In plates and walls
General |
Representation of the upper reinforcement parallel to the local axis x' | Representation of the upper reinforcement parallel to the local axis z'
Representation of the lower reinforcement parallel to the local axis x' | Representation of the lower reinforcement parallel to the local axis z'

Representation of the punching shear reinforcement

Remarks:

  • If you have adjusted the orientation of the local coordinate system (regardless of whether it was for a beam, column, wall or slab), be sure to show the local coordinate system so that you are not mistaken about direction!

  • Diamondsdoes not show any reinforcement result 'twice'. You must consider the sum of all the reinforcement results when creating a reinforcement plan. For example: Diamonds shows the following results in a symmetrically armed column:

    Ay Az

    In the cross section at the bottom you will place at least 298mm² on each side. In total this gives 4 times 298mm² = 1192mm². NOT 298mm² divided by 4!

  • In beams, both the longitudinal reinforcement and stirrup reinforcement refer to an additional reinforcement necessary to resist the friction. In case of both slabs and plates, the torsional moments and shear forces will be taken into consideration by the longitudinal reinforcement.
  • As for footings, Diamonds will automatically verify the punching shear. However, in the case of slabs, in general you need to conduct the punching shear verification yourself as described in Calculation of the punching shear reinforcements .

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Displaying cracking width

In order to visualize the results of the cracking width calculation, first click [image], and then select the chosen partial result in the drop-down menu. These results are available only when the cracked deflection calculation has been conducted.

Representation of the cracking width in beams resulting from the flexion around the local axis y'.

Representation of the cracking width in beams resulting from the flexion around the local axis z'.

Representation of the cracking width in the upper side of the slabs.

Representation of the cracking width in the lower side of the slabs.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Displaying thermal results

To view the results of a thermal response calculation, click on the button [image] and select the desired time step from the pull down list. Diamonds will show the maximum temperature and minimum temperature (if relevant).

Double-click on a bar to see the detail section thermal results (see Thermal response

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Results along a cut line

Below the buttons for the results, there are more buttons that enable showing slabs and plates results along a cut line.

Once the cut lines are drawn (see further), we want to view the results along these lines. For this, use the two last buttons of the pallet to quickly change the display mode.

The display mode according to a continuous colours model

The display mode according to the cut lines

You can request the detailed results [image] for cut lines like you can for regular bars.

By double-clicking a cut line, Diamonds will display the total and average values along the cut line.

To request the total and average values for multiple cutlines, select the relevant cutlines and open the results table [image].

Add a cut line

To add one cut line:

  • Click on [image].
  • Draw a line like you would in the geometry (see Drawing lines) . A cut line is always pink.
  • End the drawing function with [image] or ESC.

To add multiple cut lines in the same plane (we will be using a cut plane for this):

  • Select the elements in which you want a cut line.
  • Click on [image].
  • Enter the a coordinate for the intersection plane and hit 'OK'.

Adjusting the length/ slope of a cut line

You can easily adjust the length and slope/ move a cut line:

  • Select the cut line and click once on the right mouse button.

  • In the floating menu that appears, choose 'Edit cut line'.

  • You can adjust the length of the cut line. By default, begin point (A) will be fixed-notice the square around point A. Therefore the position of B will change. If you prefer B fixed and A translated, click [image]. Here you can also adjust the angle with the X-axis and/ or XZ plan.

Moving a cutline

  • Select the cut line and click once on the right mouse button.

  • In the floating menu that appears, choose 'Translate cutline'

    With this feature you can easily move a cut line within the perimeter of the plate.

Divide a cutline
  • Select the cut line and click once on the right mouse button.

  • In the floating menu that appears, choose 'Divide cutline'.

    Now you can divide the cut line like you would do for a regular line.

Remove a cutline
  • Selected relevant cut line(s) and hit [image].

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Pallet for creating and managing drawing planes, levels and the ground level

With this pallet you can:

  • create, edit , delete, hide & show levels (see Managing levels);
  • edit the position of the ground level (see Ground level);
  • and edit the position of the drawing plane (see Drawing plane);

Each of these topics is discussed below.

Managing levels

Ground level

Drawing plane

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Managing levels

General

In the case of structures composed of several floors, it may be interesting to subdivide the model into levels, each level being composed of all the elements situated between two successive levels. Note that in Diamonds the horizontal slabs consistently belong to the same level as the elements that support them (walls, beams, columns, etc.). So, a level physically contains the ceiling slabs but the level slabs belong to the level underneath.

As for the definition of levels, it offers a number of advantages, including the possibility to visualize:

  • The model can be constructed layer by layer in a plane view.

    The buttons [image] and [image] allow you to draw the columns and walls (see Drawing structure elements).

  • In a top view, switch between the levels by selecting the desired level from the pulldown list.

    You can only select the elements that belong to this level. The objects that belong to other levels are locked in this display mode.

  • It is possible to hide entire levels (see further).

Under this drop-down menu, the level and the height of the active level appears. The position of the given level is measured according to the global plane XZ.

Turn off the level manager by unchecking the selection box [image].

Window 'Level Manager'

Click on [image] to open the level manager. The following dialogue box will appear:

  • You'll find a list of all defined levels in the project.

    In the last two columns the position and height of the active level are shown. The position is measured according to the global XZ plane.

  • The active level is preceded by the icon [image].

    • This level always corresponds to the level indicated in the drop-down menu.
    • You can activate another level by selecting the relevant pencil [image] icon.

  • Set a level visible or invisible with the icons [image] and [image].

    When the level is set invisible, it will be drawn in grey or be completely hidden (according to your configuration parameters, see Configuration settings).

    The active level can never be put in the hidden mode.

  • This dialogue box also shows the name, the position (in relation to the ground) and the height of each level.

    In order to modify this data, just click a proper field. Remember that the position of the levels is automatically recalculated when you choose to adjust its height and vice-versa. In the case of a lower level (foundation), you can only introduce a position when the height automatically equals zero.

You can add new levels, and copy or delete the existing ones.

  • The button [image] adds a new level.

    By default, the height of the new level is 2m70.

    In the dialogue window that appears, you can specify the name of the new level, modify its height, and, using the drop-down menu, indicate above which level you want to create a new one.

    It is also possible to create a level underneath the foundation.

  • In order to split a level, click [image] . In the drop-down menu, point out the level in question and specify at which level (in relation to the ground) you want to split it. A new level is created at the plane of section you indicated.

  • In order to copy a level, click [image]. In the dialogue box that appears, first select the level to be copied. Then, specify the number of copies you want to make and finish by specifying the level above which this/ these level(s) should be inserted.

    You can only copy a level above an existing level. It is not allowed to copy a level below the foundation.

  • Click [image] to delete the selected level.
  • It is also possible to move (translate) the levels or to copy the data from one level to another one by simply dragging the level with the use of a mouse.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Ground level

The button [image] allows you to defined the ground level in relation to the global coordinate system. This way Diamonds knows:

  • how much soil you dig down when calculating the soil layers.
  • how many meters above the ground level an element is located when generating wind.

By click on the icon [image] you can choose to visualize the ground level in your model or not.

Remarks:

  • The soil calculations and the generation of wind don’t have meaning if you haven’t set the ground level!
  • Don’t be mistaking, when generating snow you enter the height of the building in relation to the see level, not to the ground level! The generation of snow is thus independent of the location set in this window!

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Drawing plane

With the exception of the perspective view, you always draw in a drawing plane parallel to the global plane XY, XZ or YZ. The position of the plane in the global coordinate system is determined in the following dialogue box:

You invoke this window with the use of this button [image]. If you choose the top view, you will draw in the plane assigned to the equation 'Y = ...'. Similarly, you draw in the drawing plane assigned to the equation ‘Z = ...’ or ‘X = ...’ when you activate the front or rear view, or the side view. Moreover, the coordinate Y of the horizontal drawing plane will always be equal at the active level.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Pallet of display mode

We call the way the model is shown the display mode. The model can then be shown in very different ways: from a depiction as a wire frame model to a colour illustration. The toolbar on the right of the model window offers to the user the choice between the following display modes:

Wireframe model
 | A wireframe model is a simplified reproduction in which only axial lines and the respective contours of bar and plate elements are illustrated.
Transparent section model
 | In the plane model, not only the contours but also slabs and plates are shown flat. However, the plates and slabs are partially see trough. The degree of transparance can be set in the dialog window of the configuration settings (see Configuration settings)
Non-transparent section model
 | This depiction differs from the previous one as the underlying objects are no longer shown.
Black and white solid model
 | A solid model shows the real geometry of the profiles and of the slab and plate elements. The contours of the volumes are illustrated in black.
Colour solid model
 | In comparison to the previous model, the objects are shown in colour.
Colour solid model + borders
 | The objects are shown in colour together with the borders.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Pallet for grouping the bar elements

What is a group?

How to make a group?

What can you do with groups?

For buckling

For transformations

For loads

For sections

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


What is a group?

We call a ‘bar’ a linear element linking a ‘node’ (= point corresponding to a bar end) to another one without an intermediate node. Every time you connect a bar to a point, other than an end, of another pre-existing bar a ‘new node’ is created at the junction of the two bars. The beginning bar is then instantly replaced by two ‘new bars’ (Hereafter called ‘sub-bars’).

For some calculations, it is nonetheless essential to be able to consider several ‘sub-bars’ as a single physical element.

A group consists of separate bars in the prolongation of each other and that behave as a continuous bar, regardless their material, cross section or orientation.

Groups can be defined on different levels:

  • Buckling (see For buckling)
  • Physical (see Physical)
  • Loads (see For loads)
  • Sections (see For sections)

The bars grouped in 'buckling', 'loads', 'physical' or 'sections' don't necessarily have to be the same.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


How to make a group?

Follow these steps a group bars:

  • Select the relevant bars.
  • Choose 'Buckling y', 'Buckling z', ‘Physical’, 'Sections' or 'Loads' in the ‘Group’ window.
  • Click on group [image].

To nullify a group, work analogous but select [image].

The tolerance for group definition can be set in the menu Options > Preferences > tab Model, see Setting tolerance for the group definition in order to determine the lateral-torsional buckling lengths.

Moreover, a specific display mode corresponds to each group definition. The grouped bars are consistently drawn in a continuous way while the ungrouped bars are drawn discontinuously (at their ends).

This visualization mode allows you to quickly verify or find the grouped bars. You can always combine this visualization mode with the classic viewing modes (see Managing levels). To abort the display of groups, simply choose option ‘None’ from the drop-down menu. The possibility to group or ungroup bars will therefore stop being active. Observe that you do not have to leave this mode to continue modelling and that this mode remains active if you leave the ‘Geometry’ configuration.

As long as the mode ‘Group’ stays active, it is also possible to simultaneously select all the bars that belong to the same group. In order to do this, just click one of the sub-elements by holding the ALT-key (see Use of CTRL- and ALT-keys).

Remarks:

  • Don't assume the groups definitions is correct by default.
  • When you select multiple bars, Diamonds will make all possible physical groups.
  • The operations of translation, rotation, mirroring, copying, etc. do not influence the existing groups.
  • The group definitions are also maintained when the geometric model is subjected to modifications. Thus, the fact of adding a new bar to a grouped set of bars does not ungroup them.
  • Nevertheless, Diamonds will automatically (and without warning the user) group the bars located in the prolongation of each other provided that no other bar is connected to their junction. It is to avoid the errors while calculating the buckling length

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


What can you do with groups?

For buckling

For transformations

For loads

For sections

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


For buckling

We think, for example, about the calculation of a buckling length outside the plane of the upper edge of the beam, when the beam is not supported laterally between its supports at the ends.

You can obtain a correct and readable result (of the buckling length outside the plane) only if you consider all the bars constituting this upper edge as a single physical element. Otherwise, you may obtain and take into account different buckling lengths for each of them.

In order to do this, Diamonds has a feature called ‘grouping’ that allows you to group several bars in a single physical element.

As for the calculation of buckling lengths within the plane of bars, you need, on the other hand, to take into account the buckling lengths of different elements without grouping them in a single physical element.

The figures below illustrate the situation:

  • In order to calculate the buckling lengths within the plane, the upper bars are not grouped:

  • In order to calculate the buckling lengths outside the plane, the upper bars have been grouped and constitute a single physical element:

Note: When, in the example above, we talk about a buckling length ‘within’ the plane, it does not necessarily correspond to a buckling length around the strong axis of the profile. Similarly, when we talk about the buckling length ‘outside’ the plane, it does not necessarily correspond to the buckling length around the weak axis of the profile. Always take into consideration the orientation of local axes.

Diamonds users can use a pallet of features that allows them to group and ungroup bars. Groups are also taken into account in the steel verification. Some standards require information concerning the adjacent bars to verify the stability of elements, particularly in terms of determining the coefficients taking into account the distribution of moments.

From the practical point of view, two types of groups can be defined:

  • Buckling y’(u): The first group type is used for evaluating the buckling due to the presence of a moment around the strong axis of the profiles. In most cases, the buckling length around the local axis y’ is taken into account. However, in the case of profiles whose principal inertia axes do not correspond to the local axes y’ and z’, you must consider the buckling length around the strongest principal inertia axis. The same group concept is also used to determine the factors of moment Cmy involved in the steel verification.
  • Buckling z’(v): The second group type is used to assess the buckling due to the presence of a moment around the weak axis of the profiles. In most cases, the buckling length around the local axis z’ is taken into account. However, in the case of profiles whose principal inertia axes do not correspond to the local axes y’ and z’, you must consider the buckling length around the weakest principal inertia axis. The same group concept is also used to determine the factors of moment Cmz involved in the steel verification.

The fact that you can define a different group division per direction allows you to perform the buckling length calculation (and therefore also the code check).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Physical

Because Diamonds will consider a group as one continuous bar, the eccentricities and translations will continue along the sub-bars, and not restart for each sub-bar.

  • Eccentricities

    GROUPED

    NOT grouped

  • Translation of the top over 1m.

    Rescale physical elements

    DO NOT rescale physical elements

  • Rotation of the right column over 10°

    Rescale physical elements

    DO NOT rescale physical elements

If you want an eccentricity or translation to take the physical groups into consideration, you must check the option ‘Values (and distances) related to physical members’ in the appropriate dialogue box.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


For loads

Because Diamonds will consider a group as one continuous bar, the loads will continue along the sub-bars, and not restart for each sub-bar.

GROUPED | NOT grouped

If you want a load to take the load groups into consideration, you must check the option ‘Values (and distances) related to physical members’ in the dialogue box.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


For sections

Because Diamonds will consider a group as one continuous bar, the variable sections will continue along the sub-bars, and not restart for each sub-bar.

GROUPED | NOT grouped

If you want a variable section to take the section groups into consideration, you must check the option ‘Values (and distances) related to physical members’ in the dialogue box.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Pallet for defining the size of letters, symbols, loads and results

This pallet allows you to easily modify the size of letters. symbols, loads and results on screen. In principle, these features are intrinsic to the project since they depend on the size of the model. Therefore, they will be saved with the project. While the size of letters and symbols is clearly set in this pallet, you need to treat the size of a defined display of loads and results as a multiplier applied to the basic settings as set in the configuration of windows via this icon [image] (see Configuration settings).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Libraries

Local or centrally managed

Material library

Mechanical properties

Thermal properties

Advanced properties

Section library

Rebar mat library

Operations with the libraries

Add new item

Remove Item

Adjust filter settings

Importing a library

Exporting a library

Updating a library

Reset a library to factory settings

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Local or central libraries

The libraries can be stored locally on your computer or on any computer in the network. If the libraries are stored on any computer in the network, we call these central libraries. An administrator manages the central libraries, the users get automatic updates when changes are made.

To configure the system of central libraries, please refer to the Installation Guide.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Material library

Diamonds is delivered with a library of standard materials. Apart from the characteristics, you can also find the resistance properties of the materials there. These resistance properties are important for the verifications included in Diamonds.

At any time, you can adjust or complete this library by selecting the option 'Edit – Material library …'. The following dialogue box will appear:

  • In the middle, you will find a list of all the defined materials.

    • Materials preceded by the icon [image] are standard materials. It is not possible to edit standard materials. However, you can copy a standard material using [image]. This new material is fully editable by the user.
    • Materials preceded by the icon [image] are user defined.
    • If a material is used in the current project, the button [image] will light up when you select the material.
    • If you want a user material to be available during the entire session ( = until you close Diamonds), click the button [image] .
    • If you want the user material to be always available in the library, hit the button [image].
    • Use the button [image] or the right mouse button to set the default steel, concrete or timber quality.

  • On the right, you will find the corresponding properties. The properties are ordered in 3 tab pages:

    • the mechanical properties
    • the thermal properties
    • the advanced properties

  • The buttons on the left allow you to adjust the content of the library.

    • Click [image] to save all changes.
    • Sort the materials in alphabetic order by clicking [image] and [image]. If you prefer the materials to appear in different order, you can drag and drop them with the mouse.

    • Click [image] to add a new material.

      • Choose the material type.
      • Adjust the name and properties.
      • Click 'OK' to close the window and save the changes.
    • Click [image] to remove the selected material.
    • Click [image] to copy the selected material.
    • Click [image] to see the number of materials.

  • The buttons on bottom allow you to import / export the library.

    • Export the content of the current library with [image] (Exporting a library).
    • Import an external library with [image] (Importing a library).
  • The filter on the left allows you to determine which materials should be visible in the dialogue [image]. The criteria is ‘OR’. Used materials (materials assigned to bars in the model) will always be visible, regardless the filter settings.

Mechanical properties

Thermal properties

Advanced properties

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Elastic properties

The elastic properties are used in the structural analysis.

In the tab page, you'll find the following properties:

  • the name of the selected element
  • Indicate which type the material belongs to. If you select steel, concrete or timber, you also need to indicate the resistance properties so that it is possible to conduct an additional verification. For all other materials, Diamonds performs only an elastic analysis of the structure. Then you can obtain the results of inner forces and stresses (elastic), but not of an additional specific verification.

  • the Young’ elasticity modulus E, the Poison ratio ν, the transverse Young’s modulus G

    In the presence of an elastic material, there is a definite link between the first three properties. Thus, you can automatically calculate the transverse modulus with the use of this button [image] after E and ν have been determined.

  • the thermal dilatation coefficient α
  • the density ρ

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Thermal properties

The thermal properties are used in a thermal analysis

  • Thermal capacity c
  • Thermal conductivity l
  • Emissivity eres

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Advanced properties

If the material is a type of steel, concrete or timber, the resistance properties of the selected material are shown in the third tabpage 'Advanced'.

In the first dropdown menu, you select the design code for which you want to inspect the material properties In the second dropdown menu, you select the corresponding National Annex – in case of Eurocode (there are no national annexes for timber).

Since the resistance properties can vary in different standards, you should fill this window for each standard.

If the selected material is of the ‘concrete’ type, you should define the resistance properties of the concrete as well as of the reinforcing steel. As for a material of ‘steel’ and ‘timber’ type, all the properties are grouped in a single page.

The resistance properties of concrete, steel and timber are subject to an analysis specified in the following paragraphs respectively: Concrete and reinforcement settings, Steel parameters and Timber parameters.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Section library

The standard version of Diamonds comes with a library containing standard steel sections. You can open the library with the use of this menu: 'Edit – Section library…’.

  • In the middle, you will find a list of all the defined sections and on the right the corresponding properties.

    • Sections preceded by the icon [image] are standard sections. It is not possible to edit standard sections. However, you can copy a standard section using [image]. This new section is fully editable by the user.
    • Sections preceded by the icon [image] are user defined.
    • If a section is used in the current project, the button [image] will light up when you select the section .
    • If you want a user section to be available during the entire session ( = until you close Diamonds), click the button [image] .
    • If you want the user section to be always available in the library, hit the button [image].

  • On right of the list, there is a graphical representation of the section and the section properties. The properties are ordered in 2 tab pages:

    • the geometrical properties
    • the advanced properties
  • The buttons on the left allow you to adjust the content of the library.
    • Sort the sections in alphabetic order by clicking [image] and [image]. If you prefer the sections to appear in different order, you can drag and drop them with the mouse.
    • Click [image] to add a new section (Add new item).
    • Click [image] to remove the selected section (Remove Item).
    • Click [image] to copy the selected section. You can adjust the section after this.
    • Click [image] to see the number of sections.

  • The buttons on bottom allow you to import / export the library.

    • Export the content of the current library with [image] (Exporting a library).
    • Import an external library with [image] (Importing a library).
  • The filter on the left allows you to determine which sections should be visible in the dialogue [image] (Adjust filter settings)

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Rebar mat library

Diamonds also contains a rebar mat library. This library can be used to apply a practical reinforcement to slabs or plates. Select this option 'Edit – Rebar mat library…' from the menu to open this library.

On the left, there is a list of rebar mats already be defined. Select a particular mat from this list, and all its properties will show on the right. It is necessary to determine the bars and their distances from axis to axis for the two orthogonal directions. The cross-section available per linear meter is calculated automatically. Underneath, you also need to set the dimensions and weight of reinforcing rebar mat. Please note that the latter is not included in the calculation but is purely informative.

You may modify the geometric characteristics of a mat at any time. You can also expand the library with new mats. With the use of the first button [image], insert a new mat just before the selected mat. If you use this button: , the mat will be added at the end of the list. You can adjust the name of the new reinforcing mat in the field just above the list. On the other hand, if you want to delete a reinforcing mat, select the chosen mat and click [image].

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Operations with the libraries

Add new item

Remove Item

Adjust filter settings

Importing a library

Exporting a library

Updating a library

Reset a library to factory settings

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Add new item

The procedure below describes how to add a new profile. You can add a new material in an analogous way.

  • Click [image] to add a new section.

  • Give the section a name.

  • Click on 'Groups' to assign the section to one or more groups.

  • Click on [image] and choose the proper section shape and dimensions.
  • Click on [image] to save the section permanently in the library. If you don't, the section won't be available after closing Diamonds.

  • Click on [image] to save all changes.

    Pay attention: From the moment you click on [image] , the current filter settings wwill be applied on the section! This may cause the profile not to be visible any more! For example:

    • The filter is set so only IPE-sections are visible.

    • The users adds an L-section to the library.

    • He clicks on [image]. A warning appears.

    • The user clicks on 'OK' and the profile is not longer visible.

    • to make the profile visible again, he'll have to adjust the filter settings:
      • either he selects the icon [image] to show all L-sections.
      • either he selects the relevant groups.
      • either he checks the option 'User defined' 'yes'.
      • either he click on [image] to reset all filters.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Remove Item

  • Select the item to delete. This item must be preceded by the icon [image]. Items preceded by the icon [image] are standard items and can not be deleted.
  • Click on [image]. The item is permanently removed from the library.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Adjust filter settings

With the filter in the section library you decide which sections should be visible in the section dialogue [image] . The criteria is ‘OR’.

For example: if the section has an I- or H-shape OR it belongs to the group ‘L equal’ OR it is user defined, then you will see it in the section dialogue. This way you could define a filter that only shows the European/ US or UK sections.

Click on [image] to remove all filters so that the full library will be shown in the section dialogue.

Note:

  • Used sections (sections assigned to bars in the model) will always be visible, regardless the filter settings.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Importing a library

If you import a section library, and some section contain user-defined materials, import these user-defined materials first!

  • Click on [image], then on [image].
  • Browse to the library you wish to import. The following file-formats are possible:
    • *.mdb is the old (Diamonds 2015r06 or older) library format
    • *.bsf imports the sections in the selected Diamonds-project.
    • *.xml is the library export format.
    • *.sut is the format of a saved Section Utility-section

  • Click on [image].

  • Select the items you want to import. Click on [image] after that.

  • Indicate if you want to store all items permanently in the library or only use them in the current Diamonds instance.

  • Solve the conflicts.

    For example, a material in the current library has the same properties as the material you're importing. How do you want Diamonds to react? Add the imported material as a new material or not import the material (= change to existing)? Then click on [image].

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Exporting a library

  • Define the filter (Adjust filter settings) so only the items you would like to export are visible. It is not recommended to export the entire library because the default items ( [image]) will always be present in any library, so why export them?
  • Click on [image].
  • You can keep this library as a back-up or import it on another computer (Importing a library).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Updating a library

When you start up Diamonds for the first time, the default included libraries are loaded as 'user library'.

  • Standard materials and sections are kept up to date by BuildSoft. After installing the most recent version, you will work with the newest libraries.
  • When you work with central libraries (see Local or central libraries) and changes are made, you will receive a notification [image]. After restarting Diamonds, you will work with the newest libraries.

Note:

  • From Diamonds 2017, the libraries are database oriented and managed by an SQL instance (see Installation Guide). This is why the libraries are no longer stored in the folder 'My Documents' (C: \ Documents and Settings \ login name \ My Documents). Copying them from one PC to another is no longer possible. If you want to use the same library with multiple users, choose central libraries (Local or central libraries or in the Installation Guide).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Reset a library to factory settings

Refer to our support website: http://buildsoftsupport.com/knowledge-base/how-to-reset-the-databases-back-to-their-defaults/

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Calculations

Finite element method

Subdivision of elements

Global elastic analysis

Tabpage 'Structural'

Tabpage 'Soil'

Tabpage 'Dynamic'

Elastic calculation

Modal analysis

Calculation of buckling lengths

Thermal analysis

Calculating ground slabs by iterative equilibrium

Dimensioning the foundation

Soil parameters

Cone penetration test

Menard pressuremeter test

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Finite element method

Diamonds is a finite elements program based on displacements. The finite element method subdivides the construction into a limited number of elements (finite elements) which are interconnected with the use of nodal points. Displacements in these nodal points, in particular translations and rotations of angles, will be treated as discrete unknowns. Once the displacements are known, it will be possible to calculate through interpolation the displacement in each point of a bar or plane. We then locate deformations by deduction and the stresses in each point through the application of Hooke’s law.

The bars will be subdivided into elements. As for slabs and plates, the plate elements are required. Currently, there are different plate elements on the market. On one hand, we distinguish between triangular and rectangular elements. On the other hand, there are Mindlin and Kirchhoff elements. In Diamonds, we use a triangular Kirchhoff element DKT (Discrete Kirchhoff Theory).

Some time ago, we discovered that plate calculations conducted with the use of triangular elements generated less valid results. Given the improvement of the current triangular elements’ quality, this practically does not concern the rectangular elements. The choice between the Mindlin element and Kirchhoff element depends rather on the application. While the Mindlin elements are based on the relative theory of thick plate calculation and therefore take into account the effect of shear deformation, the Kirchhoff elements are most suitable for calculating thin plates. If we consider the fact that we talk about a thin plate only when the thickness-to-span ratio is lower that about 5, we can justify our choice of a Kirchhoff element in Diamonds. The Mindlin elements also provide reliable results for thin plates, provided that the mesh is locally very refined.

A finite element program is a particularly powerful calculation instrument. However, we must always watch out for imprecise or inaccurate results. In some cases, a ‘richer’ element may be advisable but it does not always provide a more precise result as we have already suggested above.

The results may strongly depend not only on the element’s type but also on the refinement of the mesh. A finer mesh will generate a lower total theoretical rigidity of the plate and will be much closer to the real rigidity of the plate. In addition, a mesh too fine may, in some cases, give unfavourable results. We think, in particular, about peak moment perpendicular to the intermediary support points.

There are no general rules that could guarantee the accuracy of the finite element calculations, since it is often the user’s understanding of the process to be modelled that is determining here. In this context, we may therefore say that the results of finite element calculation are as reliable as the person using the software. However, the following options may provide some support.

First, we need to gather accurate entry data with due care. If the data does not match, it is impossible to obtain correct results. If we do not have all the data, sometimes we can resort to estimation. However in such case, it is advisable to repeat the calculation for several values of the parameter in question in order to reveal their impact on the final result. It is also necessary that the accuracy of the entry data is acceptable. Therefore, it is no use to express the layer constant with three decimals because it is impossible to predict soil behaviour with such precision. Finally, we need to pay attention what the used units correspond to during entering data.

In order to avoid a long calculation time, we often model only one part of the construction. The interaction of this part with the rest of the construction is then predicted with the use of appropriate prerequisites. It may sometimes mean modelling only one part, even if the construction is symmetrical. However, we must apply the correct symmetry conditions. The solution must then be carefully controlled regarding the symmetry.

In the case of more complex calculations, it is sometimes practical to start by creating a model as simple as possible that describes in broad terms the behaviour of the construction. Once we understand this model, we can move to a more detailed one.

Finally, note the importance of interpreting results. As an engineer, you already have an idea of possible results. So, they should correspond to these expectations. To check if the rough estimate of results is compliant, you may use manual calculations or a set of solutions.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Subdivision of elements

Once the geometry of the construction is completed, the model can be subdivided into ‘finite elements’. We call this operation ‘mesh generation’.

Click [image] in the icon bar or select the menu option ‘Analysis – Mesh…’ to define a mesh for the model.

Plates and walls

Beams and columns

The data located in the upper half of the dialogue box covers the subdivision of plate elements.

  • The maximum element size allows you to define a general fineness of the mesh. Diamonds will try to subdivide the plate into equilateral triangular elements whose edges are equal to the maximum dimension.

    As a start value you take 3 to 4 times the thickness of the plates. If the model contains plates of 20cm thick, you choose something between 0.6m and 0.8m. But this is a guide value, depending on the size of the project, other mesh sizes may be useful.

  • The minimum element size will manipulate subdivision of elements around the smallest lines or very close points. In fact, a line or an imaginary line between two close points, shorter than the maximum size, always corresponds to the edge of such a small triangular element. We can thus locally obtain a finer mesh. If you set the minimum size to zero, the program will also try to create as many equilateral triangular elements as possible.

    This discussion is illustrated with the example below:

    If no minimum dimension was defined, a transitional zone is created before we obtain triangular elements of acceptable size (equal to the maximum size). In the second case, the transitional zone is much smaller.

    The minimum size is chosen smaller than the maximum size. As starting value you take 1 to 2 times the thickness of the plates. If the model contains sheets of 20cm thick, you choose something between 0.2m and 0.3m. But this is a guide value, depending on the size of the project, other mesh sizes may be useful.

  • Advanced parameters
    • If you wish to refine the mesh, you can either decrease the maximum size (recommended) or check the option ‘with triangle subdivision’. This options will subdivide each element into 4 new elements, so that the old mesh is embedded in the new one. These triangular elements have a more irregular form and therefore do not have the same quality as if you conducted refining with a smaller maximum size. In older versions of Diamonds creating the mesh was faster using this option. In the current versions (2012 and newer) this option offers little advantages. In addition, the time required for the elastic analysis is about the same as with a smaller maximum size.

    • With ‘minimum edge division’ you can indicate in how many pieces (at least) each plate border should be divided.

      If you enter a value other than ‘1’ for ‘Minimum elements size refinement factor’, Diamonds will recalculate the mesh for all plated without internal mesh nodes. This second mesh size will be:

      These 2 parameters should be used TOGETHER and prove their use in models with both big and small plates. If you choose a rather big size mesh, you will still get a descent mesh for the little plates too.

    • With the last two check boxes you determine which algorithm to use.
      (default setting)

The mesh generation is entirely automatic, except for introducing a maximum and a minimum size. Nevertheless, you can decide to include the additional points in the model to obtain a finer subdivision on the plates where it is considered necessary.

The data located in the lower half of the dialogue box covers the subdivision of bars.

  • Bars are subdivided into several bar elements. With 8 elements, you can approach the behaviour of a bar loaded with flexure with sufficient precision. You can ask up to 20 divisions, but this is rarely necessary. Diamonds draws your attention to the limitations that imply too little subdivisions by displaying the field corresponding to n ≤ 3 in yellow.

    Also, consider the fact that the number of subdivisions is important when conducting a steel- or timber verification afterwards. Diamonds limits the verification to cross-sections for which the internal are available, namely the cross-sections on the mesh points.

  • If the model contains very short bars, it is advisable to enter a minimum size for the elements (ex. 0,15m) in order to limit the calculation time and peak results.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Global elastic analysis

Once the model is subdivided into ‘finite elements’, it is possible to launch the elastic calculation. In particular, the internal forces will be calculated according to the elastic theory, which means that only the elastic material features (E and ν) will occur.

In order to launch the global elastic calculation of the structure, choose ‘Analyse – Elastic analysis’ in the menu of commands. You can also use this icon [image] or press the F9 key. The dialogue window below will then appear on the screen.

You'll see a window with three tab pages:

  • a tab page 'Structural' (see Tab page 'Structural')
  • a tab page 'Soil' (see Tab page 'Soil')
  • a tab page 'Dynamic' (see Tab page 'Dynamic'

Each from these tab pages are discussed in the paragraphs below.

Tabpage 'Structural'

Tabpage 'Soil'

Tabpage 'Dynamic'

Elastic calculation

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Tab page 'Structural'

The following dialogue box shows up:

Analyse

There are several calculation methods to determine the internal forces, and the deformations. The standard requires a particular method depending on the analysed structure. Let’s go through the various calculation methods:

  • When calculating first order, the forces are calculated assuming that the geometry of the structure does not deform.
  • When calculating second order, we express the equilibrium of the deformed structure. The deformed position is a priori unknown before the calculation. We take into account the following phenomena:
    • the displacement of the line of normal forces, more commonly known as the P-Δ effect;
    • stiffening or softening effect with normal forces on the deformation of the bars, more commonly known as the P-δ effect.

The P-Δ effect is particularly important because the loads applied on the analysed structure are dependent on their nodes of the considerable lateral displacements.

The external horizontal load may, for example, cause a lateral deformation of a frame. Because of the angular deformation Ψ observed at the column base, the normal force (in this case by the occurrence of a compressive force) will no longer apply in alignment with the principal axis of the bar, so additional moments appear at the level of columns. This is not taken into account in a first order calculation.

In addition, a second order calculation of the second order also takes into account the fact that bars do not stay perfectly rectilinear between their ends when the global structure deforms. The figure below shows that this deformation involves bending moments and additional curvatures.

A normal tension force in a bar reduces the rigidity while the presence of a normal compressive force increases it. This is why the equations expressing the structure’s behaviour will be corrected by integrating the Γ and Δ functions. They, of course, depend on the size of the normal force N. These are the functions that make the rigidity matrix single when the normal forces N become too big, and that allow you to identify a possible global buckling problem/failure of the structure.

As for structures that have sufficient horizontal rigidity (= structures called ‘non-sway’), a first order calculation is sufficient. However, when the lateral deformations influence (the P-Δ-effect) is significant, a second order calculation is advisable. The criteria of knowing if a second order calculation is needed are not so evident. In general, it is believed that flexible structures with lateral deformations (= structures qualified as ‘sway-structures’) require taking into account the P-Δ effect. Therefore, they should be calculated second order, unless the designer, takes the necessary measures to defend a first order calculation (for example, by adjusting the size of horizontal forces applied on the structure).

The final decision to apply a particular analysis is in the hands of the user. Given the power of Diamonds, he could, for the sake of convenience, systematically calculate the structures in the second order, taking however the precaution to first calculate them in first order and conduct a steel and timber verification to eliminate the risk of under-dimensioning.

When you choose to calculate second order, it will continue until the calculated normal force converges in all the bars. The calculation stops when the desired accuracy has been achieved at the level of normal force variation (ΔN/N < 1%) or when the maximum number of iterations has been reached. If after this number of iterations the desired accuracy is not achieved, Diamonds indicates for which combinations the equilibrium cannot be reached.

Note: N is generally small in the case of elements primarily subjected to flexion. Any additional normal force due to the second (how small it can be), generates a very big ΔN/N. To avoid this type of anomalies, the criterion described above (ΔN/N < 1%) will not be applied when Δσ=ΔN/A < 1 N/mm².

You can also determine the maximum number of iterations for non-linearities (for example tie rods).

Finally indicate there if you wish to take the shear deformation for beams into account.

Imperfections

Regardless of the choice to calculate first or second order, you may then precise, if you want to take into account the global defects of the structure. Specify the size and direction. For the direction you can choose between:

  • Automatic (default): Diamonds determines the most adverse direction. This option is the most complete calculation, but will also require the most calculating time.
  • Av. horizontal distortion: the global imperfections are applied in the horizontal direction in which the structure bends most. If the structure does not undergo any horizontal displacement, Diamondswill fall back on the automatic determination of the direction. This option corresponds most with global imperfections in Diamonds2012 R02 or older versions.
  • Global X and Z distortion: the global imperfections are applied in the direction of the global X-axis and Z-axis.
  • Global X-distortion: the global imperfections are applied in the direction of the global X-axis.
  • Global Z-distortion: the global imperfections are applied in the direction of the global Z-axis.
  • Imposed: with a rotation angle, the end user imposes the direction in which the global imperfections must be applied. The rotation angle is the angle between the global X and Z axes.

In fact, any actual structure slightly differs from its (straight) mathematical model. The real construction shows errors and defects in comparison to the theoretical model. In the particular case of flexible constructions (‘sway structures’), the standard requires that we take into account the global defects for the loads distribution. Diamonds does it by applying equivalent horizontal forces. If you choose to verify a structure in a deformed position, in fact, you opt for an iterative calculation during which, for each load and load combination, the following stages are executed:

  1. The first iteration allows you to determine the primary direction of the horizontal deformation.
  2. The second calculation allows you to know the reactions at the supports by applying a horizontal force (=ϕN) in the direction obtained during the first iteration, in each node on which an external vertical load applies.
  3. Finally, the global structure is calculated, this time taking into account external forces, equivalent horizontal forces and the reactions obtained during the second iteration.

The user can limit the lateral deformation. By default, its value is set at 1/200 and corresponds to the reference deformed position ϕ0 as described in the Eurocode.

Note: Apart from the possibility to define a global defect (extreme deformed position), the standard also provides that you can define initial deflections (local defects) of some elements. However, at the level of bars, these defects cannot be automatically taken into account during the global analysis of the structure. Usually, this should not cause any problems because the effect of initial deflections are precisely taken into account during individual verifications.

Connections

It is also possible to indicate whether you want to take into account the real rigidity of steel connections or simply take into account their theoretical classification. This option is applicable for structures for with the nodes are detailed with PowerConnect. Both connection resistance and rigidity are calculated. Depending on the value of the real rigidity, the connection will be considered as being perfectly rigid, semi-rigid or perfectly flexible.

Non-braced structures

Zone 1: rigid when Sj,ini ≥ 25 E Ib / Lb

Zone 2: semi-rigid

Zone 3: flexible when Sj,ini ≤ 0.5 E Ib / Lb

Braced structures

Zone 1: rigid when Sj,ini ≥ 8 E Ib / Lb

Zone 2: semi-rigid

Zone 3: flexible when Sj,ini ≤ 0.5 E Ib / Lb

After having calculated the real rigidity and after having deduced the class of the assembly (rigid, semi-rigid or flexible connection), you can:

  • consider them as perfect and limit to this classification,
  • or take into account the calculated rigidity as was calculated in End conditions for bars and tie rods regardless of the classification of the assembly.

For connections that do not behave linearly you can choose to:

  • Take into account the full stiffness diagram.
  • Avoid plasticity (the plastic part of the stiffness diagram)
  • As limit value you enter the slope [-] of the part of the diagram from which you want to have elastic behaviour again. With a negative slope value, Diamonds will take into account all plastic parts of the diagram.
  • Take into account only the initial stiffness Sj.
  • Take into account only the initial stiffness Sj,ini.

Example: for the stiffness diagram below, we calculated all the slopes for each part of the diagram, based on the table values on the left.

When we choose one of following options, Diamonds will take the orange dashed stiffness diagram into account, instead of the original red one.

Full stiffness diagram | Avoid plasticity – limit
Stiffness Sj | initial stiffness Sj,ini

Cracks

If you have a Concrete Design license and you have previously calculated the necessary reinforcement quantities, you can also take into account the cracking of reinforced cross-sections. The deflection obtained this way will correspond to the total cave-in of cracked cross-sections that you obtain by clicking [image] (provided, however, that you will apply the same method of calculation: 1st or 2nd order, with or without the deformed position). Note that there are two additional options: you also have the possibility to take into account the creep and the cracking of walls due to the presence of axial forces in them. Remember that it is necessary to have already calculated the reinforcement quantities in various elements. However, this analysis allows you to understand the influence of the cracking on the load distribution, and allows you to obtain by iteration a reinforcement far more economical. How the cracked deformation is calculated and the meaning of the different parameters, is discussed in Cracked deflection.

Timber

Check this option if you want to take the creep effect for timber into account. The creep effect is taken into account by correcting the Young’s Modulus with a factor kdef according to EN 1995-1-1 §2.3.2.2. (1).

The kdef factor can have values from 0,6 to 2,0. Mark that a kdef factor of 2,0 will lead to deformations being three times bigger!

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Tab page 'Soil'

However, to carry out the calculation above, some additional information will be requested during the elastic calculation. First, you need to determine several parameters related to the behaviour and composition of the soil.

  • You'll see the level of the highest foundation (under which soil layers are assigned). This level is automatically determined by Diamonds.

  • Below you define the ground level. This way Diamonds acknowledges:

    • the soil levels situated directly under various foundations;
    • the excavation depth for each foundation, so that it is possible to take into account a prospective load of the terrain.

    If the indicated level is situated lower that the outline of the highest foundation, the screen displays a warning according to which the layer cannot be calculated at the indicated level.

    If you had set the ground level with [image] (refer Ground level), then Diamonds will take over this level and you can't edit this field.

The other parameters concern the iterative process itself.

  • As the iterative calculation of the layer constant can be a relatively long operation, the calculation of the layer is conducted only for a single load combination. Therefore, it is recommended to use a representative combination of the usual load on the foundation layout. That is why we generally opt for a quasi-permanent load combination.
  • The resolution, therefore, closely depends on the thickness of successive layers. Generally speaking, the calculation of the layer is conducted with the same accuracy as the one postulated with the choice of mesh size. This is why Diamonds always compares the resolution to the maximum size selected for triangular elements. It is a little injudicious to evaluate the increase of the stress on the small thickness of the layer if we generated a coarse mesh for the foundation slab itself.
  • Also note the maximum number of iterations to be performed. In general, we have already obtained sufficient accuracy after two or three iterations. It is true that as a user you cannot impose the number of soil layers that will occur in the calculation. Only those layers on which an additional stress of the soil exceeds 5% of the load on the foundation layout will be taken into account. It is assumed that the last defined soil layer extends to infinite depth.

  • The option 'stress tolerance' allows you to end the soil calculations at a certain depth z for which the specified accuracy for ∆p/p is reached:

    • ∆p is the effective vertical stress increase at depth z as a result of the surface load
    • p is the original effective vertical stress at depth z

    According to EN 1997-1-1 §6.6.2. (5) and (6) you may use a tolerance of 20%. Soil investigation firms usually use a tolerance of 10% for the calculation of the soil settlement.

  • The option ‘apply removed ground at interface’ handles how the excavation should be taken into account:

    • The option is ticked off, then Diamonds assumes that the ground will be removed in different steps, leading to a reduction of stress, under as well as next to the excavation.
    • The option is ticked on, then Diamonds assumes that all removed ground is taken away at once, leading to a larger prestress at the excavation level.

    In different steps

    All at once

    Hand calculations mostly assumes that all the ground is removed at once.

Note: if the starting level of the foundation is below the water table, then the user should define the necessary water pressures on the structure! The ground water level you enter in the window above, is only used to calculate the weight of the ground (dry or wet). Preload originating from excavating soil is taken into account internally. Any horizontal soil pressures need to be defined by the user.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Tab page 'Dynamic'

The tab page ‘Dynamic’ will only be active when the model contains a dynamic or seismic load.

This window has following parameters:

  • Specify the number of eigen modes (and accompanying eigen frequency) you want to calculate.
  • Advanced settings:
    • The ‘Interval’ option lets you set the frequency range within the eigen frequencies should be calculated.
    • You can choose between 2 types of damping:
      • Rayleigh damping: enter the damping ratio ξ of the first and second eigen model.
      • Or you enter the measured damping ratios for each eigen modes separately.
    • Choose which type of solver you would like to use.
    • Choose which type of mass matrix you wish to use.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Elastic calculation

After having indicated the different options with the use of which you want to conduct the analysis, click “OK”. The dialogue window below allows you to track the progress of the iterative calculation. The button [image] allows you to stop the calculation procedure. If you restart it later, it will re-run completely.

Depending on the chosen calculation method, the load distribution in the load combinations will be determined by superposition or iterative calculation.

In fact, the superposition rule can only be applied in case of the first order calculation of a structure without non-linearities. In this particular case, it is possible to calculate the structure under the different load groups and then superpose the obtained results so as to deduct the load distribution as a result of different combinations of loads.

When the model include non-linearities, an iterative calculation is required. The superposition is no longer possible and each combination of loads needs to be calculated separately. It is obvious that it requires more time for calculation. We use the term ‘non-linearities’ when the behaviour of certain elements is not linear. This may be the case when the model includes tie rods, supports that function only in one direction (taking only the tension forces or compressive forces), or the elements for which you defined variable rigidities at ends. In the case of tie rods, each time it appears that, under the influence of load group or load combination, a tie rod is subject to compression, it is removed from the model, and the structure is therefore recalculated with other braces in tension. This process is repeated until a solution is obtained for which all the tie rods are either actually in tension, or removed from the calculation model.

In the case of global defects of the structure, it is obvious that we cannot apply the superposition principle. In the case of second order calculations the iterative method is used systematically. Moreover, the stability functions Γ and Δ can only be determined on the basis of normal forces each time resulting from the previous iteration. Therefore, the second order analysis generally requires a very long calculation time, especially as the global defects of the structure are also taken into account. The calculation time will be even longer as the model includes a number of non-linearities (such as, for example, braces or supports subject only to tension or compression), since in this case the different iterative processes interlink with each other.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Modal analysis

A modal analysis will calculate the eigen frequencies and eigen modes of a structure. In order to start this analysis, you click the button [image]. Diamonds shows you a dialog window where you can set some analysis options:

This window has following parameters:

  • Specify the number of eigen modes (and accompanying eigen frequency) you want to calculate.
  • Advanced settings:
    • The ‘Interval’ option lets you set the frequency range within the eigen frequencies should be calculated.
    • You can choose between 2 types of damping:
      • Rayleigh damping: enter the dampingsratio ξ of the first and second eigen model.
      • Or you enter the measured dampingsratios for each eigenmodes separately.
    • Choose which type of solver you would like to use.
    • Choose which type of mass matrix you wish to use.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Calculation of buckling lengths

Diamonds contains a powerful calculation method for determining buckling lengths. The method is relatively simple. Below, you will read the explanation of how to determine buckling lengths of non-grouped bars, around their strong axis y’- (u) and around their weak axis z’- (v).

Diamonds starts by applying a uniformly distributed load on the bar, perpendicularly to the strong axis for which we want to determine the buckling length.

Then, Diamonds conducts the calculation and obtains the results in the form of the displacements of the two ends u, angular deformation φ, moment M and shear force V. The ratios (V/u) and (M/φ) determine for each of the ends the transverse and angular stiffness of equivalent springs.

For a bar held in the two ends by a transverse and angular spring, we can apply Euler’s differential equation:

This equation has the following general solution:

with [image].

By expressing the 4 conditions at the supports according to the global solution, we obtain a system of 4 equations with 4 unknowns A, B, C and D.

This system includes a non-trivial solution when the determinant equals zero. The determinant can only equal zero for some values of α.

The smallest of the α values corresponds to the critical load Pk which makes the bar buckle.

The load causing buckling, Pk, allows you to determine the corresponding buckling length, lk, from Euler’s equation:

Then, Diamonds starts the operation for the second time by applying a load uniformly distributed on the bar, perpendicularly to the weak axis at which we want to determine the buckling length.

The calculation method (detailed above for an individual bar) applies in a similar way for a group of bars as long as they can simultaneously physically buckle. In this case, the uniformly distributed load applies simultaneously on all the grouped bars, and the boundary conditions to be taken into account in Euler’s differential equation will correspond to the supports related to the ends of the grouped bars. In practice, Diamonds will systematically calculate the buckling lengths at group level.

It is the user who groups bars in a correct and thoughtful way (see Pallet for grouping the bar elements), otherwise, there is the risk that a potentially critical buckling form shall not be considered. Sometimes it is essential to be able to define different behaviours concerning buckling around strong and weak axes. The group concept enables such fineness. The example below illustrates the way to proceed. It concerns a simply supported beam whose upper and lower frames are considered to be continues.

The upper angles of the beam cannot shift outside the plane. We will study more thoroughly the susceptibility of buckling of the upper frame.

To study the buckling around the strong axis (in the plane), each linear element has to be considered separately, so the bars constituting the upper bar cannot be grouped along the strong axis.

The punches and diagonals sufficiently consolidate the beam to avoid the vertical buckling of the upper bar. The buckling length calculated this way will often be smaller than the real length of the elements taken individually.

However, the danger of buckling outside the plan (around the weak axis of the profile) will be much bigger. In fact, in this case, the punches and diagonals can bear only very little resistance. Therefore, it is advisable to consider the upper bar as a single element to calculate its buckling length around its weak axis. In order to do that, you need to group the elements constituting this frame along the weak axis.

This time, the buckling length is determined from the length of the group constituting the bar as a whole. Logically, you will obtain a buckling length around the weak axis equivalent to the span of the beam.

Note: You must be extremely careful when defining groups. lmagine that we also grouped the element to analyse the buckling length around their strong axis. We would obtain a buckling length denuded of any physical sense ! The boundary conditions would be determined with the assumption that the whole upper frame is loaded (in the plane) whereas in the equivalent Euler’s model, we do not take into account the advantageous effect of punches and diagonals that occur as intermediate elastic supports.

The buckling length calculation, as discussed above, assumes the maintenance of rigidity of the adjacent structure. A spring constant bigger or smaller than the translation spring will be deducted on the basis of this rigidity. However, the standard does not follow this scenario. It provides two buckling lengths: one for the displaceable nodes and one for non-displaceable ones. In practice, this means that when we calculate a buckling load according to Euler, the translation spring will be assumed either very small or infinitely rigid.

Diamonds provides an extra, so in total three possible scenarios:

  • Calculation of buckling lengths based non-displaceable nodes

    To be used in the case of a 2nd order calculation or during a 1st order analysis of a braced frame.

    Results in buckling lengths smaller or equal to the system length.

  • Calculation of buckling lengths based on displaceable nodes

    In this method neglects the rigidity of the adjacent structure. This simulates the situation in which all compressed bars simultaneously lose their buckling stability.

    To be used with a 1st order calculation of an unbraced frame.

    Results in buckling lengths larger or equal to the system length. This is the most conservative option.

  • Calculation of buckling length on the basis of semi-displaceable nodes (with preservation of the rigidity of the adjacent structure)

    To be used in the case of analysis of the 1st order of a braced frame.

    Results in buckling lengths between the non-displaceable and displaceable method.

The criteria on the basis of which a frame is placed in a category with or without bracing will not be discussed here.

In order to calculate buckling lengths, use the command ‘Analysis – Calculate buckling lengths’ or this button [image].

In the dialogue window that appears,

  • you have to select according to which scenario you want to calculate the buckling lengths (for each direction buckling around y'(u) or z'(v)-axis).

  • If the option 'Group illogically ungrouped bars' is checked, bars

    • lying on the same axis, without any support, nor other bars connected

    • and defined as ‘ungrouped'

    will be grouped.

  • Next, indicate whether you want to calculate the buckling lengths for all the bars of the model or only for the active selection.
  • Finally, in the case when the structure contains non-linearities (tie rods, active support points in a single direction, etc.), the program will ask you based on which combination these non-linearities should be determined. More specifically, the first time the structure will be calculated in order to determine which braces/ bars or support points should be removed from the model. Then, all the buckling lengths will be calculated according to the assumption that all the remaining braces and only the active support points can bear a tension force as compression.

If you do not wish to calculate the buckling lengths around a certain axis, you have to uncheck the selection box next to this axis ( [image], [image]).

If you want the buckling lengths to be displayed at the bars level, select the command ‘Show – Configuration window…’ or use this icon: . Then, determine if you want the buckling lengths to be calculated (see Definition and modification of a configuration).

If you do not agree with the calculated buckling length or if you want to set a value, start by selecting the appropriate bar(s). Then, use this button: from the corresponding pallet in the ‘Geometry’ configuration (Buckling and lateral buckling settings).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Thermal analysis

A fire load will result in an increase the temperature of the cross section. A thermal response calculation will computer this increase. Click on the button [image] to open the thermal response window:

  • Add the top, there are two tab pages: ‘FEM solver’ and ‘Analytical solver’.

    • FEM solver

      • will be solved with FEM (Finite Element Method)
      • is adequate for massive cross-section (usually in concrete)

    • Analytical solver

      • will be solved with the formulas of EN 1993-1-2
      • is adequate for slender sections (always in steel)

    Diamonds will determine automatically whether a section should be calculated using the analytical solver or FEM solver with following scheme:

    You can, if you wish to, convert a analytical case to an FEM case and reverse. This can be done by dragging the profile by its name to the desired solver.

    If the project has multiple bars having a fire load, all fire cases will be grouped per section with underneath the different boundary conditions.

    The section borders marked in yellow are subjected to fire load.

    Notes:

    • The analytical solver is not adequate to calculate massive sections!
    • Not all FEM cases can be converted to an analytical case and the other way around. If it is not possible to convert, Diamonds will display a message.
  • An internal algorithm will calculate an appropriate mesh. The proposed values are in most of the cases just fine, so do not need to alter it. Only for cross section with a lot of difference between the width of the parts, you could decide to adjust the mesh in order to obtain a proper distributed net.
  • Click [image] to stop the calculations.

Notes:

  • To perform a fire analysis, follow these steps :

    • Draw the geometry of the structure as usual

    • Define the fire curves (see Fire protection)

    • Calculate the response

      • Thermal response (see this topic)

      • Elastic response

        • Generate the combinations (see Load combinations)

        • Global elastic analysis (see Global elastic analysis)

    • Verification (at the moment only available for steel) (see Steel and timber verification)

  • When importing a PowerFrame model it is recommended to redefine the fire load and vice versa.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Calculating ground slabs by iterative equilibrium

Dimensioning the foundation

Soil parameters

Cone penetration test

Menard pressuremeter test

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Designing the foundation

Foundation slabs are very frequent and their calculation often poses a problem. In many cases, we go back to the calculation of elastic layer according to the Winkler model. For this purpose, we assume that the reaction exerted by the soil is proportional to the soil settlement:

(q= reaction of the soil, k=layer constant, s= settlement)

In some cases, we ‘evaluate’ the value of the layer constant based on the settlement calculated according to Terzaghi and belonging to the level of a load on the continuous (or not) footing. Conducting sampling often links these calculations to the sampling report and there’s nothing else to do buy to gather the results. In other cases, we pull the value of the layer constant k of the results of a (additional) slab test. Since the slab test is always conducted on a plate of a limited size in relation to the real dimensions of the foundation slab, there is always lack of information concerning deeper layers which do not play any role in the tested plate but, of course, in a much bigger foundation slab. Whatever the chosen approach between the two above, we always determine one constant value for the relation: reaction of the soil settlement, and this value constitutes a part of a given force on a plate of a given dimension. In practice, the load on the slab varies and the dimensions differ from the above mentioned dimensions.

Even if we would manage to find an acceptable value of the layer constant k, there are some flaws in the Winkler model:

  • according to this theory, if the slab is uniformly subject to a load, it sinks into the soil without stress;
  • the load of a slab has no influence on the settlement of a neighboring slab.

A more sophisticated method is therefore required. In fact, Diamonds allows you to determine the evaluation of resilient layer in an iterative manner so that the calculation of the slab situated on a non-regular resilient layer gives the same soil settlement subject to loads with a reaction force of the springs and calculated with Boussinesq and Terzaghi laws. Therefore, it is possible to determine the evaluation of the layer in the following iterative manner:

In the case when the results are obtained by a pressuremeter test, the settlements are calculated with the use of the following relation:

Below, you will find the definition of coefficients used in the formulae above:

  • z the depth of the layer;
  • C or A compression or recompression constant (see Cone penetration test);
  • Δh thickness of the layer;
  • σ initial stress due to the loads of the soil;
  • Δσz(i) increase of the stress due to the added loads;
  • αk structural coefficient of the soil layer k (see Menard pressuremeter test).
  • EMK compression modulus of the soil layer k (see Menard pressuremeter test).

The composition of a ground/ terrain profile can be defined in the geometry configuration (see Surface support). To complete the calculation described above, you'll be asked some additional information (see Analysis functions).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Soil parameters

Cone penetration test

Menard pressuremeter test

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Cone penetration test

The compressibility constant C (and the recompressibility constant A) and the Terzaghi settlement law allow you to determine the way various layers of soil behave when they are subject to compression. These constants can be determined by laboratory tests of the non-modified samples. An approximate value can also be deduced from a soil test made on site.

Such probing gives us information about the resistance at the friction along the surface of the tube as well as at the tip of the cone pressed through different layers of soil in question.

When the settlement seems instantaneous, a correlation between the conical resistance qc and the compression constant C (or the recompressibility constant A) can be established. It is illustrated in the following equation:

Where σ'v0 the granulometric tension at the depth h

Generally, the correlation factor α for determining the compression constant C is considered to equal 1,5. This value is correct for sandy soils. However, if you want to obtain more accurate C values, you may consider the markers from the table below for α.

 | [MPa] | correlationfactor α for determination of C | correlationfactor α for determination of A
Low-plasticity clay | qc≤ 0.7 0.7 < qc< 2 qc< 2 | 3 < α < 8 2 < α < 5 1 < α < 2.5 | 4.5
Low-plasticity silt | qc< 2 qc> 2 | 3 < α < 6 1 < α < 2 | 6 < α < 7,5
High plasticity clay / silt | qc< 2 qc> 2 | 2 < α < 6 1 < α < 2 |
Very organic silt | qc< 1.2 | 2 < α < 8 |
Peat and veryorganic clay | qc< 0.7 50 < w ≤ 100 100 < w ≤ 200 w > 200 | 1.5 < α < 4 1 < α < 1.5 α < 0.4 | 1
Chalk | 2< qc≤ 3 qc> 3 | 2 < α < 4 1,5 < α < 3 |
Sand |  | 1,5 < α < 2 | 15 < α < 20

Values for the correlationfactor α ( column 1 to 3: EN 1997-1-2 Table D.2)

The consolidation coefficient CC [%] is a representation how much of the consolidation (relaxation) has occurred between the moment of excavation and (re)loading.

  • 0% => Excavation & loading by the foundation happen quickly one after the other. There is no soil relaxation possible. At foundation level, the soil stress is equal to the original geostatic stress.
  • 100% => There is a long time between the excavation moment and loading by foundation, causing all preconsolidation to fade out. At foundation level, the soil stress is equal to 0 kN/m, and it will act like the natural ground surface.

Sometimes, a more detailed value for CC is required. CC does not only depend on the time between excavation and loading, but also on the soil type, in the particular the drain capacity. The more easy it is for a soil to drain the pore water, the faster the soil will relax and the preconsolidation will be gone

  • For a foundation pit that is being drained, CC will be 100%
  • Sand is almost immediately drained, so CC will be approximately 100%
  • Thin top layers of clay will drain quite quickly, CC will between 50 and 75%
  • Thick lower layers of clay will drain rather slow, so CC will be between 25 and 50%
  • For thick, deep layers of clay, the drainage will take a very long time, so CC will be between 0 and 25%

The overconsolidation ratio OCR [-] takes into account the effect of preloading (or overconsolidation) of the soil.

  • If the soil has been loaded in the past (example: an ancient building that will be broken down, taking a big pile of sand away), the overconsolidation ratio is greater than 1.
  • If the soil has not been preloaded, the overconsolidation ratio equals 1.

The overconsolidation ratio OCR can have a different value per soil layer. That way you can enter a soil profile consisting of existing (overconsolidated) soil and newly placed soil.

Attention: for excavation, you do NOT have to change the OCR. Diamonds will take this automatically into account.

If you do not know what to enter for OCR, the best value to choose is ‘1’.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Menard pressuremeter test

A pressuremeter test also provides soil parameters necessary for the settlement calculation with the use of iterative method.

This test is conducted with the help of an expanding cylinder. It is either directly situated in a pre-drilled hole, or brought to a proper depth by autoforage, sinking, vibration or any other suitable procedure. The measurements of the ground deformations based on the pressures put on the probing head allow you to make a chart of deformations in terms of exerted forces and to deduce the mechanical characteristics of the soil.

The pressuremetric compression modulus EMK determined this way at different depths is perfectly analogous to the compression constant C. The settlements are determined by Terzaghi’s law but with the use of the following equation:

In this formula, Δσz(i) corresponds to the vertical tension resulting from upper loads and observed at point i situated at depth z. Δh corresponds to the thickness of a layer of the soil in question.

The coefficient αk depends on the nature of the soil and can be taken from the table below:

Nature of the soil | Peat | Clay | Lime | Sand | Gravel
Very compacted | - | 1 | 2/3 | 1/2 | 1/3
Normally compacted | 1 | 2/3 | 1/2 | 1/3 | 1/4
Non-compacted | - | 1/2 | 1/2 | 1/3 | 1/4

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Dimensioning

Reinforced concrete

Reinforcement calculation

Choosing a standard for concrete

Concrete and reinforcement settings

Reinforcement calculation

Practical reinforcement

Basic

Advanced

Calculation cracked deflection

Cracked deflection

Cracked deflection over time

Calculation of cracking width

Steel and timber verification

Calculating the buckling length

Defining lateral buckling supports

Supports to lateral buckling and automatic calculation of lateral buckling lengths

Modifying or removing lateral buckling supports

Steel and timber verification

Choosing a standard

Steel parameters

Timber parameters

Check resistance and stability

Optimization

Optimization fire-resistant paints

Deformations in stainless steel

Connections

Modelling a connection

Selecting combinations

Calculating a connection

Saving a connection in the library

Assigning connection characteristics to a node

Parametric connections

Stiffness

Resistance

Interaction

Connection Library

Connections verification in Diamonds

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Reinforced concrete

Reinforcement calculation

Choosing a standard for concrete

Concrete and reinforcement settings

Reinforcement calculation

Calculation of reinforcements in beams and columns

Reinforcement calculation in slabs and plates

Calculation of the punching shear reinforcements

Practical reinforcement

Basic

Advanced

Calculation cracked deflection

Cracked deflection

Cracked deflection over time

First stage: defining the moment of the load and the combination for cracking

Second stage: preparing deflections to calculate over time

Third stage: calculation of the deflection over time

Calculation of cracking width

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Reinforcement calculation

Diamonds offers a reinforcement calculation based on the given cross-section. This reinforcement is essential to resist the loads in ultimate limit state (ULS). It may also, if necessary, be increased to avoid excessive stresses in the concrete (or the reinforcement steel) in ‘normal conditions’ (SLS). The reinforcement calculation is also referred to as ‘organic calculation’ because it is the real behaviour of the reinforced concrete that occurs. In fact, in the case of classic dimensioning, the inner forces will always be calculated according to the linear elasticity theory. Only the organic calculation involves the non-linear behaviour of the material.

Choosing a standard for concrete

Concrete and reinforcement settings

Reinforcement calculation

Calculation of reinforcements in beams and columns

Reinforcement calculation in slabs and plates

Reinforcement slabs

Reinforcement plates

Calculation of the punching shear reinforcements

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Choosing a standard for concrete

You can calculate the reinforcement quantity for the concrete elements.

The results can be slightly different according to the used standard. You can select the chosen standard with the option of the menu ‘Analysis– Concrete design code’. The available standards are:

The standard EN 1992-1-1 is always accompanied by a national annex (NAD). This is where all the parameters determined nationally are established. If you still want to take the values recommended by EN 1992-1-1 into account, select the option “--“.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Concrete and reinforcement settings

The resistance properties of the reinforced concrete are listed in the material library. To open this library, select the option 'Modify – Material library’ from the menu. Then, select a concrete type material and click the tabpage 'Advanced'.

As we have mentioned before, all the standards do not imply the same material properties. That is why you need to complete the characteristics required for each standard. Below, we explain the parameters used in the organic calculation according to EN 1992-1-1[--].

You will find the concrete properties in the first tab.

As for concrete, we distinguish different resistance classes. Each class (e.g. C25/30) is designated by the letter C (for ‘concrete’) followed by two numbers. The first number represents the characteristic resistance a concrete cylinder to compression (cylinder of 150mm x 300mm), the second digit represents characteristics of a concrete cube (cube of 150mm). In the two cases, it refers to a compressive resistance after a period of 28 days. Given that in Eurocode 2, the other resistance properties of concrete are deduced from the resistance characteristic at the compression of a concrete cylinder, you will note the first number.

Depending on the concrete quality that you have chosen, we can deduce a series of characteristics corresponding to the material. Each of them is equipped with this button [image] (only visible for a user defined material).

  • The average tension resistance fctm of concrete is given by:

    • for resistance classes ≤ C50/60

    • for resistance classes > C50/60

The tension resistance of concrete occurs in the calculation of the cracked deflection. The cracking moment, in particular, is calculated on the basis of the average resistance in tension by bending fctm,fl.

Here, h represents respectively the total height or the thickness of the beam or plate in mm.

  • The Young E module occurs in the analysis of the elastic deflection, in the analysis of the cracked deflection, and in the organic calculation of the reinforcement (when controlling the stresses in tension of concrete). The secant module occurs for the long-term stresses.

Given that Ecm is deduced from fck, its values will also relate to 28 days.

  • The creep factor φ(∞, t0) for the stress limit occurs in the stresses check of concrete and reinforcement in the service limit state, at least when the creep is taken into account. Diamonds calculates this factor so that the ratio of the E module of steel (200 000 N/mm²) and of concrete after creep ( [image]) equals 15. This way we obtain a creep factor lower that the one imposed by the standard (see the following point) but if we conduct a stress control in the moment ∞ (and, therefore, when the creep occurred entirely), we will obtain a sub-dimensioning of the reinforcement and thus a more reliable result.
  • The creep factor φ(∞, t0) for the deflection occurs in the calculation of the cracked deflection. This factor mainly depends on the humidity of the environment, the dimensions of the element, the composition of concrete and its age in the moment of its application. The charts allowing you to evaluate this factor are available in the Eurocode. In Diamonds, this factor is always equated with 2. However, feel free, to define another, more accurate, creep coefficient.
  • In principle, we must limit the concrete stresses in the service limit state. Here as well, you can introduce on your own a value or conduct a calculation of the value offered by the standard by pressing a button. As the concrete stresses decrease as a result of creep, and the maximum stress appears, in general, only after the creep effect already took place for dead loads, it is common practice to limit these stresses for the ratio of 15 of the above mentioned E modules. To achieve the ratio, you need to calculate the creep coefficient φ for a ratio of 15 and check the option ‘after creep’.

The other parameters are independent of the chosen quality of concrete. First, you need to find the partial safety coefficient for concrete, which usually is 1.50. This coefficient is applied at the same time as the long-term coefficient (αcc) to estimate the theoretical value of the resistance in compression fcd.

Finally, you can indicate on your own an additional eccentricity for the calculation of the buckling. If you checked this option, Diamonds will increase, if needed, the reinforcement when calculating the columns reinforcement to solve the buckling problems, if necessary. The buckling verification is conducted with the use of the column model method. This method requires an additional eccentricity which takes into account possible obliquity.

You will find the reinforcement properties in the second tab of the following dialogue box.

We have the reinforcing steel destined for the longitudinal reinforcement, and transversal reinforcement (the stirrups). The partial safety factor of the reinforcing steel is 1,15.

If you want, you can limit the stress of the steel to a fraction lower than 80% proposed by the Eurocode 2. In constructions where the cracking width is significant, this reduction may contribute to reducing the width of cracking.

The minimum and maximum reinforcement percentage always relates to the geometric percentage of reinforcement ρ = As/bd. As is the reinforcement quantity expressed in mm², b and d are the width and height of the useful cross-section, respectively. The useful height is equal to the difference between the total height of the cross-section and the gross reinforcement cover. When a given reinforcement (lower, upper, left and right) is needed for action of the forces, this reinforcement will need to increase to the level of the minimum percentage. The maximum reinforcement percentage concerns the sum of all the longitudinal reinforcements (lower, upper, left and right) in a given cross-section.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Reinforcement calculation

For the reinforcement calculation to be possible, you need to calculate the whole structure globally for at least one combination in ultimate limit state (ELU) and one combination in each of the two service limit states (ELS QP and ELS CR). Start the reinforcement calculation by selecting the option ‘Analyze – Reinforcements’ in the menu, or by clicking [image]. The reinforcement will be calculated according to the placement and distribution (see Materials, covers (concrete) and the method of manufacturing). The dialogue box shows you the progress of the calculation.

When the calculation is completed, an additional button activates in the ‘Results’ box: . Then, you can choose the reinforcement that you want to depict from the drop-down menu. The meaning of symbols can be found in Displaying reinforcement.

If before launching the reinforcement calculation [image], you had one or more elements selected, Diamonds will ask you to specify whether you want to calculate the reinforcement for all the elements or only those that you selected. When selecting bar elements (beams/columns), it is also possible to have intermediate results of the reinforcement calculation written to a txt file. The txt file can be opened from the dialog for Basic via the button [image].

Calculation of reinforcements in beams and columns

Reinforcement calculation in slabs and plates

Reinforcement slabs

Reinforcement plates

Calculation of the punching shear reinforcements

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Calculation of reinforcements in beams and columns

Below, you can see an example of lower and upper reinforcement for a simple beam.

The thin line represents the reinforcement quantity required to fulfill the ultimate limit state. With the thicker line, these quantities have been increased where needed to take into account the limitations of stresses in the service limit state, with respect to the minimum percentage of reinforcement and possible risk of buckling.

The same principle is applied to the representation of the shear reinforcement. The thin line is the theoretical reinforcement required to bear the shear force. In the thick line these quantities have been increased where needed to take torsion and the minimum reinforcement into account.

When the concrete cross-section is insufficient to determine a reinforcement that meets all the criteria, a warning appears at the end of the calculation stating the number of all the elements for which it was not possible to calculate the reinforcement. Moreover, a skull will appear in the middle of the element if you clicked a single reinforcement symbol. In the example below, it was not possible to lower the stress of concrete to an acceptable level without exceeding the maximum percentage of reinforcement. However, it is possible to successfully resist at ultimate limit state, as you can see in the thinner line that continues throughout the whole length.

For your information, the limit state which cannot be achieved is indicated in the dialogue window that allows you to define practical reinforcements. Remember that you can access this dialogue window by double-clicking the beam in question.

Note: When you establish a practical reinforcement, you can no longer use the reinforcement section that you have already used for one side (e.g. upper reinforcement) or for another side (e.g. left or right reinforcement). Therefore, you always need to make sure that the sum of practical reinforcements (lower, upper, left or right) is at least equal to the sum of the calculated reinforcements. In the case of an angle bar, you can use a part of its cross-section for the upper reinforcement, for example, and the remaining part for the left reinforcement.

You can also export the calculated theoretical reinforcement through ConCrete Plus in order to automatically generate a reinforcement plan (see Exporting to ConCrete Plus). Remember that ConCrete Plus only draws the upper and lower reinforcement, and a lateral reinforcement is translated into a reinforcing frame. Note also that a buckling check is done for elements subjected to compression when it is necessary to take a potential additional eccentricity into account (see also Concrete and reinforcement settings).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Reinforcement calculation in slabs and plates

An element subject to a load perpendicularly at its surface is a slab. An element subject to a load in its surface is called ‘plate’. The calculation method used to determine the reinforcement is different for the two elements. You will find the formulas in the annexes to the Eurocode 2. We will discuss the basic principles below.

Note: Diamonds calculates the longitudinal reinforcement in slabs/ plates due to the normal force and bending moment. However, Diamonds will never calculate shear reinforcement in slabs/ plates.

Reinforcement slabs

Reinforcement plates

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Reinforcement slabs

The solution of the slabs equation according to the elastic theory gives, in each point of the plate, the values for Mxx, Myy and Mxy. Starting from these values, we can also determine the principle moments M1 and M2 with Mohr’s circle, as well as the corresponding principle directions. Therefore, they act only on these small surfaces of bending moments, and the tension stress there is maximum. So, the cracking occurs perpendicularly to the principle direction of tension: logically the reinforcement should therefore be situated along this principle direction of tension and its cross-section should be calculated with the principle moment in question.

But this method is impractical because it results in reinforcements at curve path.

This is why, in Diamonds, the direction of the reinforcement is always set along the local axes x’ and y’. Therefore, Diamonds always assumes an orthogonal reinforcement mesh. Suppose that apart from the bending moments Mxx and Myy, torsion moments Mxy also occur in the plate. The method consists of recalculating these torsion moments and bending moments. For this purpose, the standard offers the following method:

Eurocode 2 and related standards:

(ENV 1992-1-1 §A2.8)

On the basis of these moments, we can now set the reinforcement in the two orthogonal directions. If necessary, we can increase this reinforcement to take into account the limitation of the stresses in the service limit states.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Reinforcement plates

We are going to discuss the general method applicable for elements subjected to a composed flexion.

Let us start from any point in which we know the forces Mxx, Myy, Mxy, Nxx, Nyy and Nxy. For each perpendicular plane which passes through this point and whose normal vector forms an angle θ with the axis x, we define the normal force Nθ and the bending moment Mθ with the use of the following equations:

Mθ= Mxxcos2θ + Myysin2θ - 2Mxysinθcosθ [1]

Nθ= Nxxcos2θ + Nyysin2θ - 2Nxysinθcosθ [2]

The equivalent reinforcement Aθ, parallel to the normal vector, is expressed in an analogue way:

Aθ= Axxcos2θ + Ayysin2θ

The goal is to determine the upper reinforcement Axxs, Ayys and the lower reinforcement Axxi, Ayyi in a way to minimize the total reinforcement. Defining the ratio Aθs/Aθi is a well known problem that also appears in the dimensioning of the reinforcement of beams. We still have to find an algorithm to minimize the sums Axxs+Ayys and Axxi + Ayyi.

In our example, we focus on the upper reinforcement As. For each value θ , you need to consider the following inequality:

Aθ≤ Axxscos2θ + Ayyssin2θ [3]

where Aθs is determined from (Mθ; Nθ) the definitions [1] and [2].

The equation [3] can be represented graphically by drawing a straight line, from the reference point Axxs-Ayys, which passes through the points ( [image];0) en (0; [image]).

When this is done for all the values of q, we obtain a limit subject to all the possible combinations (Axxs; Ayys). The illustration also shows that, for a possible solution (Axxs; Ayys), the distance to the origin of the point projected on the first bisector equals 0.7071(Axxs+Ayys. After having determined the curve, you need to look for the point at which the curve whose projection on the first bisector is the closest to the origin.

The calculation of the optimal reinforcing steel for walls subject to a composed flexion can be summarized as follows:

  1. Determination of the forces Mxx, Myy, Mxy, Nxx, Nyy and Nxy in the direction x’ and y’ of the reinforcement.

  2. Determination of Mθ and Nθ for all directions of θ .

  3. Determination of the theoretical upper reinforcement Aθs and lower reinforcement Aθi, given an optimal ratio Aθs/Aθi so that the sum (Aθs + Aθi) is minimum.

  4. Determination of the upper reinforcement Axxs and Ayys, given the inequality [3] for all the directions of θ and ensuring that the sum (Axxs+ Ayys) is minimum.

  5. Determination of the lower reinforcement Axxi and Ayyi, given the inequality [3] for all the directions of θand ensuring that the sum (Axxi+ Ayyi) is minimum.

Once the reinforcement Axxs, Ayys, Axxi, Ayyi is determined for the ultimate limit state, we may further increase the quantity of reinforcement by repeating the same calculation so as to satisfy the service limit state for the rare and quasi-permanent combinations.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Calculation of the punching shear reinforcements

In the case of slabs subjected to concentrated loads, a risk exists of their deterioration or even collapsing under the effect of the punching shear. A conical zone will be particularly critical under these concentrated loads.

When the concrete resistance against punching shear of is insufficient, it is as if the element on which the punctual load is applied, is punched through the foundation. We can obtain better resistance for the punching shear by locally increasing, for example, the thickness of the slab or by enlarging the cross-section of the columns. Specific reinforcements (curved) can also provide a solution. Diamonds verifies whether the punching shear reinforcement is necessary and if yes – in what quantities.

For footings

As for the foundation footings as defined in Characteristics of footings, Diamonds automatically conducts a verification of the punching shear. You can edit the parameters used during the punching shear check this way:

  • Go to the reinforcements results [image]. Then choose the punching shear reinforcement [image].

  • Select the footing(s) and click with the right mouse button in the drawing area of Diamonds. The following window appears:

    Here, you can change the following parameters:

    • The contact areacorresponds to the zone subject to the concentrated load. When a column was effectively modelled and drawn, the shape and dimensions of the zone subject to the concentrated load are known. When a simple load was modelled at the location of the column or when we effectively applied a punctual load, Diamonds takes into consideration the octagon with the circumscribed diameter of 20 cm.
    • Then, you may focus on the thickness and the covers of the footing.
    • Finally, Diamonds indicates the quantities of longitudinal reinforcements that may be present in the immediate vicinity of the concentrated load. A priori, the punching shear resistance will always be calculated on the basis of the tension reinforcements where the verification is carried out. Given the moment and reinforcement peaks that are often observed at the level of intermediate loads, the quantity of reinforcements will often be overstated. Footings always have a reinforcement in the two orthogonal directions (Ax and Az). The quantity of reinforcement given in this window equals [image].
(Foundation) slabs

As for the foundations slabs, you need to decide on your own to conduct such verification. In order to do that:

  • Go to the reinforcements results [image]. Then choose the punching shear reinforcement [image].

  • Select the slab you want to verify if the punching shear reinforcement is required, as well as the point where the critical concentrated load is applied.

  • Click the right mouse button. This dialogue will appear on the screen:

The upper part of the window shows, a schematic drawing of the selected slab and the point where the punching shear should be verified. The zone in which the verification will be conducted will appear in colour. It will consist of all the mesh triangles with at least one vertex situated in the zone whose dimensions (Lx' and Lz') as well as its position (α, ex' and ez') are specified by the user.

Within this area, all the potential contours within which the phenomenon of punching shear may occur will be verified. Given the fact that the concentrated load is not necessarily centered on the zone, a coefficient β, depending on the shape of the zone of control, is involved in the calculation.

In general, we distinguish the following types of contours:

  • Closed contours around the zone where the concentrated load is applied (see the following sketch). In this case, β = 1,15.

  • Contours encompassing a free edge of the slab. Diamonds systematically takes into account this type of contours as long as the edges are situated in the zone to be verified. In this case, β = 1,4.

  • Contours encompassing several successive and free edges of the slab. In this case the phenomenon of punching shear can cause a break of the corner of the slab, which then detaches from the rest of the slab. In such situations, β = 1,5.

In the case of a foundation footing, the contours the closest to verify are situated at a distance between d and 2d from the edge of a column. The exact position is, therefore, calculated by Diamonds by considering the most unfavourable contour.

In all other cases of slabs, the contours are situated at a distance 2d (cf. the standard EN 1992).

In the case where punching shear reinforcements is required, Diamonds hits the second series of the contours situated at a distance 0,5d. Diamonds continues until there is no need for punching shear reinforcement.

The reinforcement calculated this way for a reference contour should, theoretically, be applied between the edge of the column and the contour itself. This is why the quantities of punching shear reinforcements are always expressed in mm²/m².

In the bottom right of the dialogue window, you have the possibility to verify or set some parameters that influence the concrete punching shear resistance:

  • The contact area corresponds to the zone subject to the concentrated load. When a column was effectively modelled and drawn, the shape and dimensions of the zone subject to the concentrated load are known. When a simple load was modelled at the location of the column or when we effectively applied a punctual load, Diamonds takes into consideration the octagon with the circumscribed diameter of 20 cm.
  • Then, you may focus on the thickness and the covers of the slab. When several slabs of different thickness are considered, Diamonds takes into account only the lowest thickness.
  • Finally, Diamonds indicates the quantities of longitudinal reinforcements that may be present in the immediate vicinity of the concentrated load. A priori, the punching shear resistance will always be calculated on the basis of the tension reinforcements where the verification is carried out. Given the moment and reinforcement peaks that are often observed at the level of intermediate loads, the quantity of reinforcements will often be overstated.

If you want to understand the effects of these various parameters better, you can always modify them manually after having checked the option giving such possibility. This way you can find out which slab thickness requires absolutely no punching shear reinforcements. By setting the quantity of longitudinal reinforcements, you can also obtain a more realistic punching shear, especially in the case when practical reinforcements differ significantly from the theoretical reinforcements in this point. The slabs always have a reinforcement in the two orthogonal directions (Ax and Az). The quantity of reinforcement given in this window equals [image].

Note: When you use the verification at the punching shear of Diamonds, you must be aware of the following limits at all times:

  • The concrete resistance to punching shear is calculated on the basis of theoretical reinforcements. When the reinforcements cannot be determined, Diamonds relies on the minimal reinforcements, without taking into account any practical reinforcements. On the other hand, the resistance to punching shear footings is calculated on the basis of the maximum theoretical reinforcements or practical reinforcements when these have been defined.
  • Diamonds does not take into account the slabs width except if they can be considered as free edges.
  • The punching shear reinforcement is calculated according to the value of calculation of the load that occurs, in particular the reaction force or the concentrated force perpendicularly at the plate or the foundation footing. In the case of a foundation slab, this force is reduced by the pressure of the soil in the considered perimeter. A coefficient β takes into account the eccentricity of an active load, and therefore discounts the unfavourable effect of the possible moment. Diamonds always applies the approximate values for β (i.e. 1,15 for central column, 1,4 for a peripheral column, and 1,5 for an angled column). In principle, these approximate values can only be used if the lateral stability does not depend on the frame effect between the plate and column(s) and if the lengths of different adjacent spans do not differ by more than 25%. In all other cases, it is necessary to conduct a more detailed calculation of β. You will find the general formulae in the standard EN 1992-1-1.
  • In the case of a honeycomb slab, Diamonds takes into account the minimum thickness for the entire surface.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Practical reinforcement

Basic

Advanced

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Basic

Once the reinforcement calculation is conducted, you can define a practical reinforcement. This reinforcement is taken into account during the calculation of the cracking tendency of the cross-section.

To assign a practical reinforcement to a beam or a plate, press [image] in the ‘Results’ box and select in the drop-down menu one of the results of reinforcement of beams or plates. Then, double-click a bar or a plate.

The first dialogue box is for beams, and the second one is for plates.

  • As for beams, note the reinforcement cross-section (in mm²) for the 4 various longitudinal reinforcements (upper, lower, left and right).

    Using the button [image] you can open a txt for the selected beams/ columns with the intermediate results of the reinforcement calculation. More information about the interpretation of these intermediate results can be found

    on the support website.

  • As for plates, note the total reinforcement cross-section per running meter (in mm²/m) for the upper and lower reinforcement. As Diamonds has a build-in rebar library (see Rebar mat library), you do not have to calculate this cross-section. Simply click [image] and indicate the rebar mat in the dialogue box.

    On the left, you will find all the rebar mats included in the rebar mats library. On the right, you will find a drawing of the selected mesh with indicated dimensions, diameters of bars. If the reinforcement cross-section is not identical in the two directions, you may specify, at the bottom left, that the mesh should be rotated by 90°.

    The maximum theoretical reinforcement appears next to each reinforcement. In places where the calculated theoretical reinforcement is bigger than the practical reinforcement, Diamonds will ignore the practical reinforcement during the calculation of the cracked deflection.

    Finally, indicate on how many bars the reinforcement should be distributed. This number is important for the calculation of the cracking width. If the mat comes from the rebar mat library, this value is filled in automatically.

Note also that you may assign a practical reinforcement to several elements at once. In order to do it, start by selecting all the beams or plates, and then press the right mouse button. The same dialogue boxes as the ones above will appear. However, the inserted reinforcement will now be adapted to the group of selected elements.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Advanced

After calculating the reinforcement, you can define the practical reinforcement in detail by selecting one or more plates in the same plane and clicking on [image] .

Note: you need a separate license for this module! This module is not available in a demo version.

To return to Diamonds, press [image] or use the shortcut CTRL+ W. The changes are saved automatically.

Adding a reinforcement zone
Zone with practical reinforcement bars

  1. Choose which practical reinforcement you want to draw [image] .

    • The ‘x’ and ‘z’ refer to the coordinate system on the left bottom, NOT to the LOCAL COORDINATE SYSTEM OF THE PLATES!
    • The ‘i’ is the lower (inferior) and ‘s’ the upper (superior) reinforcement.

    In the image below, the displayed layers is the one of the lower reinforcement (Azi) parallel with the z-axis.

  2. Click on [image] to activate the orthogonal mode.

    • When [image] is active (or SHIFT is pressed), you can only draw reinforcement zones parallel the to x- and z-axis.
    • When [image] is not active, you can also draw inclined reinforcement zones.

  3. Click on [image] to draw a zone with practical reinforcement bars.

    • Draw a line parallel to the z-axis (because Azi was selected).

      This defines the direction and the length of the reinforcement bars.

    • Draw a line parallel to the x-axis.

      This defines the width of the reinforcement zone.

    • Use the ↑ and ↓ keys on the keyboard to adjust the diameter.

      Use the → and ← keys on the keyboard to adjust the spacing.

      You can also specify the desired diameter and spacing via [image] or with the right mouse button.

      Or you could double click the reinforcement zone.

    • Click one last time to position the name of the reinforcement zone.

    • The zones where the applied practical reinforcement is more than the theoretically calculated reinforcement are coloured white and considered satisfactory.

      The required additional reinforcement is shown in all other zones.

Zone with practical reinforcement nets

  1. Choose which practical reinforcement you want to draw .

    • The ‘x’ and ‘z’ refer to the coordinate system on the left bottom, NOT to the LOCAL COORDINATE SYSTEM OF THE PLATES!
    • The ‘i’ is the lower (inferior) and ‘s’ the upper (superior) reinforcement.

  2. Click on [image] to draw a zone with practical reinforcement nets.

    • Click multiple times on the screen to define a polygon. End the drawing function with ENTER. The reinforcement zone does not have to be in the plate or neatly match the plate edges. The circumference may be drawn roughly drawn around it.

      This defines the dimensions of the reinforcement zone.

    • Use the ↑ and ↓ keys on the keyboard to adjust the diameter.

      Use the → and ← keys on the keyboard to adjust the spacing.

      You can also specify the desired diameter and spacing via [image] or with the right mouse button.

      Or you could double click the reinforcement zone.

    • The zones where the applied practical reinforcement is more than the theoretically calculated reinforcement are coloured white and considered satisfactory.

      The required additional reinforcement is shown in all other zones. Move the mouse over the drawing to see at the bottom right how much additional reinforcement is still needed. Next to ‘Total’ you can see the total calculated theoretical reinforcement.

Adjust a reinforcement zone
Adjust diameter/ spacing in a reinforcement zone
  • Activate the selection mode [image].

  • Click on the name (in case of reinforcements nets and bars) or in the intersection point of the arrows (in case of reinforcement bars). The selected reinforcement zone will light up.

  • Use the ↑ and ↓ keys on the keyboard to adjust the diameter.

    Use the → and ← keys on the keyboard to adjust the spacing.

    You can also specify the desired diameter and spacing via [image] or with the right mouse button.

    Or you could double click the reinforcement zone.

Adjust length/ width of a reinforcement zone
  • Activate the selection mode [image].
  • Move the mouse to the edge of the reinforcement zone. The pointer [image] will change to a double arrow [image].
  • Now you can push or pull on the relevant edge to adjust the length / width.
Adjust the position of a reinforcement zone
  • Activate the selection mode [image].

  • Click on the name (in case of reinforcements nets and bars) or in the intersection point of the arrows (in case of reinforcement bars). The selected reinforcement zone will light up.

  • Drag the reinforcement zone to the desired location.

Include the anchorage length

To show the anchorage length on the screen:

  • Open the configuration settings [image] and go to the tab-page 'Reinforcement'.
  • Check the option 'Show anchorage length' and set the desired length (X times diameter of the bars).
  • Hit 'OK' to close the dialogue.
  • Result: zones with reinforcement bars will get an offset in the relevant direction. The offset does not count in the cracked deformation (therefore it's not drawn white). Zones with reinforcement nets will NOT get an offset.

    If you choose not to show the anchor lengths on the screen (for example because they are in the way), you can still easily include them in the DXF export (see the procedure below).

To include the anchorage length in an export

  • Go to File > Export to DXF. A pop-up dialogue will ask you if you want the include the anchorage length (for the zones with reinforcement bars) or not.

    Note: a PDF export always prints what you see, so if you want to include the anchorage length in a PDF, you should make it visible using the configuration settings [image].
Remove a reinforcement zone
  • Activate the selection mode [image].
  • Click on the name (in case of reinforcements nets and bars) or in the intersection point of the arrows (in case of reinforcement bars). The selected reinforcement zone will light up.
  • Click on [image] or hit DEL.
Other functions
 | Print The print is a vectorial image where you can set the scale yourself.
 | Undo/ redo
/ | Show upper and lower reinforcement / show only the active layer (top or bottom reinforcement)
 | Pan
 | Show everything as large as possible on the screen
 | Reverse the viewing direction
 | Adjusts the font size
 | Zooms in or out
 | Open preferences
 | Show the weight of the applied practical reinforcement

Overview of short cuts
SHIFT | Activate orthogonal mode
DEL | Remove selection
ECS | Quit function
↑ and ↓ | Switch between different diameters
→ and ← | Switch between different spacings
CTRL + D | Export to DXF
CTRL + E | Export to PDF
CTRL + P | Print
CTRL + W | Close Practical reinforcement module. The changes are saved automatically.
CTRL + Y | Redo
CTRL + Z | Undo
F1 | Open Help -function
F11 | Open Preferences
F12 | Show everything as large as possible on the screen
b | Draw a zone with reinforcement bars
i | Set the active layer to the lower reinforcement ("inferior”)
n | Draw a zone with reinforcement nets
s | Set the active layer to the upper reinforcement ("superior”)
x | Set the active layer to the reinforcement in the x-direction
z | Set the active layer to the reinforcement in the z-direction
Double click | Adjust the diameter and spacing in the reinforcement zone

Preferences
Tab page ‘Appearance’

  • General

    Select here if the scale, the axes and the tool-tips next the buttons should be shown.

  • Geometry

    Select here if the plate numbers and the local coordinate system of the plates should be shown.

  • Results

    • Select here if the isolines should be shown
    • Choose the colour gradient of the scale.

    • The values in the scale can be adjusted by clicking on them and entering the desired value.

      The scale recognizes the command ‘bars Ø8, all 150’, if you enter it as ‘8/150’. The tool will calculate how many mm² corresponds to that.

Tab page 'Reinforcement'

  • Bars

    • Opt to show the length of the bars

    • Set the preference diameters and spacing

      • Click on the relevant diameter/ spacing to remove it.
      • Click on [image] to add a diameter/ spacing.

  • Nets

    Set the preference diameters and spacing

    • Click on the relevant diameter/ spacing to remove it.
    • Click on [image] to add a diameter/ spacing.

  • Layers

    Choose a colour and line style for the upper and lower reinforcement.

  • Drafting options

    Specify (if desired) the tolerance on the bar lengths.

    The tolerance is applied to the reinforcement zones that are to be drawn from that moment. The reinforcement zones that have already been drawn will not be affected.

Tab page 'Units and decimals'

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Calculation cracked deflection

One of the questions that arise when calculating reinforced concrete according to the Eurocode 2 (or similar), is to which value the deflection should be limited. You will notice that before you can reply to this question, you need to specify if we talk about the total or additional deflection. In fact, the values to be taken into consideration are different of the two kinds of deflection.

In general, the value 1/250 of the span length is equal to the maximum deflection to conduct a calculation under the quasi-permanent load (selfweight, dead loads and around 30% of sub-loads). The length of the span/500 is accepted as the maximum value for deflection which may cause damages in separating walls. This harmful or additional deflection is equal to the deflection under a quasi-permanent load combination minus the deflection that had occurred before putting non-load bearing walls.

If you want to control the deflection with the help of a calculation, you must take into account the cracking. The extent to which concrete cracks depends, in this regard, not only on the tension resistance of concrete but also on the actual implemented reinforcement. This is why we are going to start by explaining how the user can define a practical reinforcement. Then, we are going to explain briefly the way the two deflections mentioned above are calculated in Diamonds.

Cracked deflection

Cracked deflection over time

First stage: defining the moment of the load and the combination for cracking

Second stage: preparing deflections to calculate over time

Third stage: calculation of the deflection over time

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Cracked deflection

The conventional calculation of the deflection of concrete (floor) slabs according to the Eurocode 2 offers a very realistic representation of the final total deflection, but it does not take into account the order in which the loads are applied.

To launch the calculation of the cracked deflection without recalculating the new loads, click on the option ‘Analyse – Cracked deformation’ from the menu or use this button: . Then the same analysis (1st or 2nd order with or without global defects) will be applied, as in the case of the global analysis. In the other case, you need to conduct the global analysis once again (see Global elastic analysis).

The following dialogue box will appear on the screen:

The option Reinforcement type allows you to choose with which reinforcement the stiffness of the cross-sections should be determined. You can choose between:

  • only the theoretical reinforcement (incl. minimum reinforcement)
  • only the practical defined reinforcement
  • both the theoretical (incl. minimum reinforcement) and practical reinforcement (which is the default setting).

The parameter β takes into account the nature of the load. As for single short term loads, we may take the value of β equal to 1.0. As for long-term and/ or repeated loads, the calculation is conducted with the use of β = 0,5. However in practice, it is suggested to always use this coefficient equal to 0,5. In fact, neither fixed loads, nor the service loads are single and short-term loads.

Note: In the former standard ENV 1992-1-1 the factor β was divided into two factors β1 and β2 where β1 takes into account the adhesion between concrete and the bars. For bars with better adhesion, we take β1 equal to 1.

The last option allows you to take into account the effect of concrete creep. If you check this option, the elasticity model of concrete will be calculated as:

φ is the creep factor defined in the dialogue box of the concrete parameters (see Concrete and reinforcement settings) . If you check this option, you will calculate the instantaneous cracked deflection.

The deflection calculation shown below is applied on plates under flexion stress. If the axial forces also occur on the plate, they affect the reduced rigidity in flexion, but the rigidity in elongation does not change. This method cannot be used to study the deflection of walls (elements subject to a load in their plane). In order to get the idea of the cracking tendency of such elements anyway, the relative theory of the cracking was extended to axial forces. If you check the last option, the rigidity is reduced not only in flexion but also in elongation, so that the deformation in the plane after cracking can also be evaluated approximately.

The calculation method used in Diamonds to determine the cracked deflection is a logical extension of the standard regulations relative to the elements with a single direction. First, we are going to evoke the rule of calculating the cracked deflection for the elements with a single direction. Then, we will examine how to extend the calculation method to the elements with two directions.

With regards to the elements subject to deflection, the following general relation is applied to determine the evolution of the deflection y:

As for the reinforced concrete, the value of the curvature 1/r depends, however, on the cracking of the cross-section. A deflection is cracked only when y exceeds the cracking moment Mr. This cracking moment Mr is determined by:

where

  • fr a value of the tension resistance of concrete judiciously chosen;
  • W the moment of resistance of the cross-section of non-cracked fictitious concrete.

As for a cross-section situated in the non-cracked zones (M < Mr), the curvature 1/r1 is calculated with the help of:

where E is the elasticity module of concrete, and I1 is the moment of inertia of the fictitious non-cracked concrete cross-section, composed of a complete cross-section of concrete increased α times the required reinforcement cross-section.

As for a cross-section entirely cracked (M > Mr), the curvature 1/r2 is given by:

where E is the elasticity module of concrete, and I2 is the moment of inertia of the fictitious cross-section of entirely cracked concrete, composed of the compressed part of the cross-section of concrete increased α times the required reinforcement cross-section.

As in the cracked zone, all the cross-sections are far from being cracked, the average curvature 1/r for a cross-section situated in the cracked zone (M > Mr) is calculated by:

where

instead of applying a double integration of curvatures1/r to determine the curve of deflection y, we could, in principle, subdivide the elements into elements for which the rigidity EI varies each time, either by application of I1 for l (in the non-cracked zones) or by determining I from the relation created when the curvatures 1/rare replaced in (4) by M/EI (the subdivision M/E can therefore be deleted).The solutions of this finite element system lead to almost the same results.

However, the latter method is more easily expanded to several load bar directions. In fact, it is possible to determine the principle directions of the moments for each finite element.

We will determine the moment M and the cracking moment Mr for each principal direction. With the help of equations (4) and (5), we determine the rigidities El along the two principal directions.

The calculation heart of Diamonds is designed to be able to conduct calculation with finite elements, each of which is orthotropic (with different rigidity in the perpendicular directions), and whose orientation can be different for each element.

A solution provided by the system leads to a proper approach to the cracked deflection of bearing slabs in several directions. The system also allows you to take into account the cracking in the potential concrete reinforcement beams.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Cracked deflection over time

In order to limit the damages related to cracking in partition walls, you can limit the differential deflection in these locations. We are talking about differential deflection here because when the light partitions are installed in a building, very often it has already adopted a part of its final deformation. The future damages of these side walls can therefore only result from additional deflections occurring after their being put in place. These deflections are, on one hand, the effect of variable loads or later applied tools, and on the other hand, the effect of pre-existing loads over time.

To be able to determine the harmful deflection, the order of different loads, as well as their precise moment of application, is essential. The real cracking over time remains unpredictable, but Diamonds approaches the problem in the following way:

  • For each isolated load, Diamonds determines, on one hand, the instantaneous cracked deflection, and on the other hand, the deferred deflection, taking into account the phenomenon of creep.
  • The cracked deflection at different given times can therefore be determined by simple superposition of the previous results. It means that in order to determine the instantaneous deflection at a precise moment, Diamonds takes into account all the loads applied before a given instant, whereas to determine the deferred deflection, it considers a percentage given for each expected load, taking into account the moment of imposing it.

Note: Given that this calculation method is based on the superposition principle, it does not take into account possible non-linearities of the model. The supports function in a single direction (being able to bear only tension or only compression) as well as the bar elements functioning only in tension (braces) will lose this special quality every time you resort to applying this method to determine the cracked deflection over time.

First stage: defining the moment of the load and the combination for cracking

Second stage: preparing deflections to calculate over time

Third stage: calculation of the deflection over time

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


First stage: defining the moment of the load and the combination for cracking

If we want to determine the damageable deflection, it will be necessary not only to introduce loads in various load groups, but also to specify the moment in which a given load becomes active and which combination of loads is determinant for cracking, for each load group.

Now, the moment when each load becomes active is inserted in the dialogue box reserved for load factors (see Load groups). In particular, in the column t0 you will insert a number of days after which the load group starts acting on the construction. This number should be counted starting from the day of concrete casting.

As far as variable loads are concerned, we assume that it is at t0 that the quasi-permanent part is involved and the remaining part is alternatively present or absent. There is no creep effect for this last part but there is one for the quasi-permanent part.

The more time passes and the more loads increase, the more the cracking enlarges. However, the amplification of the cracking over time cannot be taken into account accurately. For each load group, the increase of deflection over time (creep effect) is calculated with a single cracked state, caused by a given combination of loads. You select this load combination (mostly SLS RC 1) in the last column of the dialogue box. You will see that the load combinations can only be selected if they were first generated with the use of [image].

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Second stage: preparing deflections to calculate over time

The second stage consists of preparing the deflections to calculate over time. Click [image] in the ‘Loads’ pallet.

You can set the moments in which you want to know the deflection, on your own, or Diamonds will automatically generate the deflection combinations for all significant moments. Then, you may modify the coefficients for instantaneous or deferred deflection (see Combinations in time).

The deflection just before the application of a new load is characterized by a minus sign. A composition with a plus sign represents the deflection just after the application of the load.

The coefficients Ci and Cc(t)are calculated for each load group:

  • Cicorresponds to the instantaneous deflection
  • Cc(t)refers to the deferred deflection (the part that comes from the creep)

As for dead loads, we fully take into account the instantaneous deflection and the deflection after creep.

On the other hand, mobile loads are split into a quasi-permanent part ψ2 which acts at the moment t0, and a residual part (1 - ψ2) which is either present or absent. This is why the composition ‘deflection +90 days' is subdivided into ‘deflection +90 days min’ and ‘deflection +90 days max’. As for the creep effect, we only take into account the quasi-permanent part of the variable load.

The combinations 'infinite deflection min' and 'infinite deflection max' give the deflection at the moment when the creep is fully installed. Thus, the coefficient for Cc(t) relative to dead and variable loads takes the values 1.00 and 0.30 respectively.

Finally, if you want to know, for example, the increase of the deflection between the minimum final deflection to infinity (when the creep is fully installed) and the deflection just after the application of the quasi-permanent part of the load, first click [image], and then select the combination ‘deflection +90 min’ and ‘infinite deflection min’ from the list. Then, Diamonds prepares a new composition of the coefficients for Ci and Cc(t) forming the additional coefficients that belong to the combination ‘deflection -90 days’.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Third stage: calculation of the deflection over time

In order to launch the calculation of the deformation over time, click [image] in the menu bar or use the option 'Analyze – Deformation over time’. The following window will open:

More information concerning 'Reinforcement type', the factor β and the option 'Extend cracking theory to axial forces', can be found in paragraph Cracked deflection).

Once the calculation is completed, you can express the deformations for each load combination over time. In the drop-down menu, in which you select the combination type, this time the rule ‘Over time’ appears. In the menu below, there are all the generated combinations over time. Note that other results are not recalculated during the calculation and that, therefore, they are not available.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Calculation of cracking width

The standard offers two ways to calculate the cracking width. You can either determine the theoretical value of the cracking width with the use of a calculation (complicated), or you can stick strictly to some practical rules established for a maximum cracking width of 0,3mm.

The direct calculation of the theoretical value of the cracking width wk should always be conducted under the quasi-permanent combination with the use of the following formula (according to EN 1992-1-1):

where:

and

Here,

σs | the stress in the reinforcement subjected to tension in the section where a cracking occurs
kt | coefficient which depends on the duration of load = 0,6 for a short-term load = 0,4 for a long-term load
ρp,eff | the effective ratio of the reinforcement = As/Ac,eff
Ac,eff | the cross-section effectively under tension ≤ 2,5b(h - d) ≤ b (h - x) / 3
φ | average diameter (mm)
αe | = Es/Ec,eff
k1 | = 0,8 (steel with good adhesion)
k2 | = 0,5 for the bending = 1,0 for pure tension
k3 | = 3,4
k4 | = 0,425
c | concrete cover on the longitudinal reinforcement

This cracking width must be limited to 0.3 mm for the environmental classes 2 to 4.

Diamonds calculates the width of crackings both for beams and for slabs. In the case of slabs, Diamonds first calculates the width of crackings for the two reinforcement directions. Based on the angle of the direction of reinforcements and the direction of the principle normal forces, the maximum width of crackings will be calculated as:

It goes without saying that the results relating to the width of crackings can only be referred to if the analysis in the cracked state has been effectively conducted.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Steel and timber verification

Once the global analysis has been conducted, we know the deformations and the inner forces of the structure. We can already deduct the elastic stresses. As for the steel and timber bar elements, we can even go one step further and verify the resistance and stability of the element.

As for verification of the resistance, the characteristics of the profiles are sufficient. However, as for verification of the stability, it is necessary to first determine buckling and lateral buckling lengths. The buckling lengths are especially important for the elements subjected to compression whereas the lateral-torsional buckling lengths are important for the elements subjected to bending (around the strong axis).

In Diamonds, you can either insert these values manually, or ask for their calculation. The buckling lengths are calculated according to the geometry and the groups defined by the user. The lateral-torsional buckling lengths directly depend on supports against the lateral-torsional buckling placed by the user.

Calculating the buckling length

Defining lateral buckling supports

Supports to lateral buckling and automatic calculation of lateral buckling lengths

Modifying or removing lateral buckling supports

Steel and timber verification

Choosing a standard

Steel parameters

Timber parameters

Check resistance and stability

Verification of the resistance of cross-sections

Verification of the bar stability

Optimization

Optimization fire-resistant paints

Deformations in stainless steel

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Calculating the buckling length

For the correct setting and calculation of the buckling lengths, see Calculation of buckling lengths.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Defining lateral buckling supports

As for steel beams subjected to bending around their strong axis, it is necessary to evaluate the risk of torsion caused by a possible phenomenon of lateral buckling. This risk may be reduced considerably by providing the supports against the lateral-torsional buckling. By ‘supports against the lateral-torsional buckling’ we mean any element preventing the lateral displacement. In most structures, a number of elements assure this function: purlins, external supports, supports between flanges, etc.

It is important to know the exact positions of these supports against the lateral-torsional buckling because it has a direct influence on the verification according to the chosen steel standard. For example, in the case of the Eurocode, we verify the stability and the resistance to lateral-torsional buckling for each bar situated between two supports against the discharge, regardless of whether it is a part of a group of elements or not. By default, Diamonds considers the presence of a certain number of supports against the lateral-torsional buckling, especially at the bar ends. However, you can modify these boundary conditions at any time by adding or removing degrees of liberty.

Supports to lateral buckling and automatic calculation of lateral buckling lengths

Modifying or removing lateral buckling supports

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Supports to lateral buckling and automatic calculation of lateral buckling lengths

A priori, Diamonds always considers the presence of a certain number of supports so that you need to introduce minimum modifications. In order to do this, the following general rules always apply:

The bar ends for which a support (regardless of the number of liberty degrees) has been defined are automatically provided with lateral buckling supports. This is also the case if the bar end serves as a joint with another bar that is not in the prolongation of the first one. On the other hand, bar ends that are free or assure a joint between two bars in prolongation of each other (and without another bar joining them in this point), are not provided with lateral buckling supports. In the case of a bar with a free end, we will take the lateral buckling length corresponding to the double length of the bar into consideration.

The lateral buckling supports that are automatically placed according to general rules are not graphically represented in the modelling window. Moreover, we assume that they prevent the lateral buckling by default, both in the upper and lower parts of the profiles. If this definition is not satisfactory, you may always remove or add lateral buckling supports (cf. §Modifying or removing lateral buckling supports). Only in the case of departure from the general rules will the presence or absence of the strengthening illustrated graphically.

  • Green dots ( [image]) illustrate the fact of making the boundary conditions free by removing lateral supports, and therefore, there can be a lateral-torsional buckling in this point.

    Removing a support makes only sense for the bar ends corresponding to a support or the joint between two bars that are not situated in the prolongation of each other. In the case of a continuous bar, you need to free the conditions on both sides of the joint point, otherwise the lateral-torsional buckling length will double on the side from which the lateral support has been removed.

  • Red dots ( [image]) illustrate the fact that we have added lateral supports. It only makes sense for free bar ends or a joint between two bars situated in the prolongation of each other. In all other cases, the lateral supports are provided by default. When you add a support at the level of a bar end, Diamonds applies the same boundary conditions to both bar ends, by default.

Let us illustrate the automatic calculation of lateral-torsional buckling lengths with the use of some examples below. We indicate in orange the element in which the boundary conditions have been modified.

Automatic definition of lateral buckling supports

Removing lateral buckling supports

Adding lateral buckling supports

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Modifying or removing lateral buckling supports

You can adapt the definition of lateral buckling supports in the window with the buckling parameters [image].

The lateral buckling length is calculated automatically by Diamonds depending on the definition of the supports, will only be modified if the boundary conditions modified by the user really differ from the ones set by default. In other words, if you add a lateral support to a place where a general rule has already provided one by default (or remove one where the general rule has not provided any), the calculated lateral-torsional buckling length will remain unchanged.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Steel and timber verification

Choosing a standard

Steel parameters

Timber parameters

Check resistance and stability

Verification of the resistance of cross-sections

Resistance according to the EN 1993-1-1

Resistance according to the EN 1993-1-3

Resistance according to the EN 1993-1-4

Resistance according to the EN 1995-1-1

Verification of the bar stability

Stability according to EN 1993-1-1

Stability according to EN 1993-1-3

Stability according to EN 1993-1-4

Stability according to EN 1993-1-5

Optimization

Optimization fire-resistant paints

Deformations in stainless steel

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Choosing a standard

The command ‘Analyse – Steel standard’/ ‘Analyse – Timber standard’ allows you to choose among the following possibilities:

Timber standard | Steel standard

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Steel parameters

Let us first examine the settings concerning steel elements. These parameters are listed in the material library of Diamonds, which can be opened through the option 'Edit – Material library…' in the menu. Select a steel type material and click the tabpage 'Advanced'.

We need to define the steel quality for each material. You will notice that the yield strength (fy) and the ultimate strength (fu) to be applied depend on the thickness of the material.

Apart from the resistance properties, also note the partial safety factors. In the control of the resistance and buckling, only the first two coefficients are used.

  • γM0 for the resistance of cross-sections
  • γM1 for the control of the bar stability

In theory, the steel quality does not depend on the used standard. However, the safety coefficients may vary from one standard to another. This is why you can also choose other properties of the material for each standard.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Timber parameters

Similarly to steel, you will find the timber resistance characteristics in the material library of Diamonds. Open the library through the command 'Modify – Material library…' in the menu. Then, select a timber type material and and click the tabpage 'Advanced'.

Since the introduction of the Eurocode, timber has been subdivided into ‘resistance classes’. A resistance class is designated by the letter C for coniferous and the letter D for broadleaved, followed by a number (e.g. C22). It corresponds to the value representative for the resistance in flexion parallel to the fibers. The laminated timber is also subdivided into resistance classes. A combination of letters GL is used for that purpose.

In this dialogue box, you will find all the characteristic properties that are involved in the control calculation of the timber elements. Apart from the resistance in tension and in compression in the direction of fibers, you will also find the resistance of timber in flexion and its shear resistance. The properties of the material are then divided by a material factor (γM) and multiplied by a modification factor (kmod) which takes into account the degree of humidity, characterized by a climate class, and the duration of the load.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Check resistance and stability

Once the stresses are determined, the command ‘Analysis – Steel and timber verification’, also available by means of this button [image], allows you to conduct a verification of resistance and stability (buckling and lateral-torsional buckling) for each cross-section with accordance to the chosen standard (see Choosing a standard). We should conduct these code checks for all the cross-sections. In practice, Diamonds conducts verifications for the cross-sections for which the stress values are available, namely at mesh points. You can then increase the number of mesh points by demanding to create a mesh with more finite elements.

If, before launching the calculation, you selected an isolated element or only a part of your model, Diamonds will ask you to indicate if you want to carry out the verification on the selected elements or on the whole model.

  • In the frame ‘Action’ select whether you want to perform the steel and timber verification for the selected bars or all bars.
  • In the frame ‘Selection criteria’ you can specify whether the verification should be done for all combinations or only for those with the most unfavourable internal forces. By performing the verification only for the unfavourable ones, calculation time will decrease. You can select the most unfavourable combinations by 2 ways:
    • By entering a global value so that for each internal force the same percentage is applied;
    • By entering a particular value for each internal force and stress
  • Also choose between 'method 1' and 'method 2' (if the nation annex allows it) to perform the verification of interaction (buckling + LTB).

Based on the given percentages, Diamonds will select the combinations with these internal forces.

Note that if you set the percentages too high, you risk a wrong evaluation. If, for example, you set a limit of 95%, the combinations for which each of the 3 values of M, N and V, reaches 90% will not be verified. However, they pose a potential non negligible risk whereas a combination with a value of M of 95% and the negligible values of N and V may not pose any risk. All precautions in this matter are therefore to be respected.

After starting the calculation, a dialogue box will show you the progress of the calculation.

With the use of this button [image] from the ‘Results’ box, you may view the results of this check. A drop-down menu allows you to choose to see the results of the resistance code check or the results of the stability code check. These results are always expressed in percentages. An element meets the standard if the two code checks terminate in a result below 100%.

Notes:

  • The results for the resistance were calculated at the mesh points and therefore oscillate throughout the bar. On the other hand, the results for the stability are considered as constant throughout the bar taking into account that it is the element as a whole that risks collapsing and not a particular cross-section.
  • The steel check according to EN 1993-1-1 also takes the combinations ULS FI into account.

Verification of the resistance of cross-sections

Resistance according to the EN 1993-1-1

Resistance according to the EN 1993-1-3

Resistance according to the EN 1993-1-4

Resistance according to the EN 1995-1-1

Verification of the bar stability

Stability according to EN 1993-1-1

Stability according to EN 1993-1-3

Stability according to EN 1993-1-4

Stability according to EN 1993-1-5

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Verification of the resistance of cross-sections

The verification of the cross-sections resistance consists of controlling whether the present forces are not bigger than the limits imposed by the standard. We take safety factors for both the material characteristics and the applied loads into consideration. For the majority of standards, the verification is conducted at limit states concerning both the forces and moments taken separately, and combinations of them. Therefore, the criteria vary among the standards. As for standards EN 1993-1-1 (Steel) and EN 1995-1-1 (Timber), the verification of the resistance is explained in the following paragraphs.

To view detailed results of verifications of resistance conducted by Diamonds, click [image] in the ‘Results’ box. In the drop-down menu, select the first option: . Apart from the global results for the whole structure (for each mesh point, percentage of the value corresponding to the least favourable control is shown), it is also possible to view detailed results for each bar of the structure. By double clicking on one of them, you will open the dialogue window below:

The upper part of the dialogue box presents general information about the selected element: a bar number, name of the section, material and length of the element. A diagram in the upper right part of this window illustrates the bar showing its number as well as these of the nodes that correspond to the ends.

The lower part is composed of two parts. The left part displays a list of conducted verifications with the percentage of maximum stressing for each of them. An element meets the resistance criteria if no verification leads to a result higher than 100%. The right part shows the detailed calculation and the intermediary results for the criterion chosen from the list on the left.

All the used symbols and notations should be identical to those provided by the standard EN 1993-1-1. For more information concerning this topic, please read the mentioned standard.

Finally, the key at the bottom of the dialogue window allows you to print or save all information in RTF format.

Resistance according to the EN 1993-1-1

Resistance according to the EN 1993-1-3

Resistance according to the EN 1993-1-4

Resistance according to the EN 1995-1-1

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Resistance according to the EN 1993-1-1

In accordance with the standard EN 1993-1-1, the following verifications need to be checked:

  • Axial traction
 §6.2.3
  • Axial compression
 §6.2.4
  • Moment My'
 §6.2.5
  • Moment Mz'
 §6.2.5
  • Shear force Vz'
 §6.2.6
  • Shear force Vy'
 §6.2.6
  • Torsion
 §6.2.7
  • Moment My' and shear force Vz'
 §6.2.8
  • Moment Mz' and shear force Vy'
 §6.2.8
  • Double moment with normal force
 §6.2.9
  • Double moment with normal force and shear force
 §6.2.10

If you conduct a resistance control in accordance with the standard EN 1993-1-1, please take into account the following remarks:

  • For a combination of forces, the general rule (rather conservative) below is most often applied:

    However, some cross-sections, such as the cross-sections doubly symmetrical of I or H type and of class 1 or 2, require stricter inequations than this one.

  • The resistance to bending of the cross-section usually depends on its rotational rigidity and its core rigidity. The two characteristics contribute to the global resistance to bending: the first concerns pure torsion (Saint-Venant) whereas the second concerns the effects of normal forces in the core of the section. The current version of Diamonds does not take into account the first phenomenon.

  • The tubular sections generally have a very big rotational rigidity. Diamonds only slightly underestimates their resistance to bending. On the other hand, in the case of the I and H sections, we should not forget that the contribution of the normal forces at the level of the core of sections is far from being insignificant (and that the results obtained in Diamonds are slightly too favourable).

  • Massive cross-sections, essentially rectangular or circular, will always be considered as cross-sections of class 3. In the case of tubular sections, we do not calculate an effective cross-section, even if they belong to class 4. In this case, the elastic characteristics of the cross-section will be sufficient.

  • For sections whose principal axes of inertia do not correspond to the local axes y’ and z’, the criteria of verification will be expressed depending on the axes u and v. This observation does not apply to the cold-formed cross-sections.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Resistance according to the EN 1993-1-3

In accordance with the standard EN 1993-1-3, the following verifications need to be checked:

  • Axial traction
 §6.1.2
  • Axial compression
 §6.1.3
  • Moment My'
 §6.1.4
  • Moment Mz'
 §6.1.4
  • Shear force Vz'
 §6.1.5
  • Shear force Vy'
 §6.1.5
  • Torsion
 §6.1.6
  • Double moment with normal force
 §6.1.8 and § 6.1.9

Remark: the check for the shear force will only be performed when the section properties Vy,Rd, Vz,Rd and fya are known (see Section properties).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Resistance according to the EN 1993-1-4

In accordance with the standard EN 1993-1-4, the verifications that apply for stainless steel are the same as those for carbon steel (see EN 1993-1-1).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Resistance according to the EN 1995-1-1

In accordance with the standard EN 1995-1-1, the following verifications need to be checked:

  • Traction // at wire
 §6.1.2
  • Compression // at wire
 §6.1.4
  • Double flexion
 §6.1.6
  • Shear Vz'
 §6.1.7
  • Shear Vy'’
 §6.1.7
  • Bending
 §6.1.8
  • Combined axial flexion and traction
 §6.2.3
  • Combined axial flexion and compression
 §6.2.4

For bars with a variable section, §6.4.2 of EN 1995-1-1 is also taken into account.

Contrary to steel and concrete (considered as isotropic materials), timber is characterized by various resistance (anisotrope) properties. Therefore, it is necessary to take the corresponding resistance into account for each check. Moreover, these resistance characteristics depend, to a large extent, on the humidity rate and the duration of stresses that occur in the construction. The modification factor kmod (which should be considered as a reduction factor for the resistance) plays a very important role here. Thus, in the load combinations where also variable loads occur, we should conduct the calculation with a resistance higher than in the permanent load combinations only. Diamonds automatically determines the kmod to be taken into account (for each combination) on the basis of the class and the duration of the stress for each load group that you introduced on your own in the load group window. (see Defining or cancelling load groups). Given the impact of this factor, it is in your best interest to introduce these values with care.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Verification of the bar stability

To view the results for the stability verification, you need to click [image] from the ‘Results’ box and select the second possibility from the drop-down menu ( [image]). As in the case of resistance, several verifications are conducted. They can vary depending on the standard according to which we want to conduct the verification. For the standards EN 1993-1-1 (Steel) and EN 1995-1-1 (Timber), the verification of stability is explained in the following paragraphs.

The diagrams of global results show, in percentages, the results of verification at buckling/ lateral-torsional buckling the most binding for each mesh point. A detailed calculation report is also available for each bar. Just double-click one of them to view the dialogue window below:

You will notice that this dialogue window is similar to the one used for the detailed results of the resistance verification (see Verification of the resistance of cross-sections), except that this time it is the page attached to the second tab and concerning the stability of elements that will display automatically.

On the left, you will again find a list of all the conducted verifications together with corresponding percentages. The stability of a bar will be satisfying when the threshold of 100% is not reached for any of the conducted verifications.

On the right, you may view the details of each verification. The used symbols and notations come from the standard EN 1993-1-1.

The detailed calculations can be printed directly [image] or saved in the RTF format [image].

This icon [image] allows you to view and/or modify the buckling and lateral-torsional buckling lengths, as well as a number of parameters that occur in the calculation of the moment of critical lateral-torsional buckling Mcr. Once you have modified a value, you may verify again the stability of the bar by clicking [image].

Stability according to EN 1993-1-1

Stability according to EN 1993-1-3

Stability according to EN 1993-1-4

Stability according to EN 1993-1-5

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Stability according to EN 1993-1-1

In the case of the standard EN 1993-1-1, we need to verify the following criteria:

  • Buckling around the strong axis
 §6.3.1
  • Buckling around the weak axis
 §6.3.1
  • Buckling by torsion
 §6.3.1
  • Lateral buckling
 §6.3.2
  • Buckling around the strong axis with regard to My', Mz' and N
 §6.3.3
  • Buckling around the weak axis with regard to My', Mz' and N
 §6.3.3

The first three criteria concern bars subjected to the axial compression. We distinguish 3 forms of buckling: one related to bending around the strong axis, one related to bending around the weak axis and finally, another one following bending phenomena.

  • Cross-sections for which the centre of gravity coincides with the shear centre, the three forms of buckling may, in theory, occur independently of each other. However, in practice, only buckling induced by the weakest load will occur.In the case of a bar subjected to buckling deriving from torsion only and not from flexion at all, we talk about buckling caused by torsion. This phenomenon of instability occurs only in the case of bars relatively short with relatively big flanges.
  • In the case of cross-sections whose centre of gravity does not coincide with the shear centre, buckling and torsion always coexist. This is so-called spatial buckling.

The goal of the verification of lateral buckling is to estimate the risk of buckling of a beam subjected to bending. The possible presence of lateral supports should be taken into account.

Of course, the coexistence of compression and flexion increases the risk of buckling. This is why the standard also provides formulae of interaction. They are much more complex then the ones presented in the standard ENV 1993, and the designer has to have great knowledge and expertise to fully understand the verification criteria and to correctly interpret the results.

If you conduct a stability control in accordance with the standard EN 1993-1-1, please take the following remarks into account:

  • The formulae of interactions can only be applied when the normal force does not exceed the critical buckling load. When the verification cannot be conducted at any point of the bar, a question mark will appear in the calculation report to indicate to the user that the result of the verification remains unknown. When the verification can be concluded only at a certain number of points of the bar but not at all of them, a partial result is shown together with a message that indicates in red that the verification could not be conducted for all the points of the combinations.

  • We would like to draw your attention to the fact that the general expression of the theoretical elastic moment of lateral-torsional buckling was designed for doubly symmetrical cross-sections. Moreover, the loads are assumed to be applied in the shear centre of the cross-section. In practice, it means that the terms zgC2 and C3zi are disregarded in the general formula of Mcr

  • The moment factors Cmy and Cmz involved in the calculation of the interaction factors kijfor the calculation of the critical moment depend on the defined buckling groups around strong and weak axes.

  • When a bar is subjected to compression, there is a risk of buckling through torsion. It directly depends on the torsion length or the length of the bar if its ends cannot rotate around the principle axis. Diamonds takes into account the fact that a bar cannot rotate on its own from the moment when the two flanges in compression are supported laterally. Therefore, the torsion length depends directly on the position of supports to lateral-torsional buckling. The torsion length always corresponds to the biggest lengths of lateral-torsional buckling observed at the level of upper and lower fibres of a bar.

  • Massive rectangular or circular cross-sections will always be considered to belong to class 3. On the other hand, it will not be possible to calculate the effective cross-sections for tubular sections even if they belong to class 4. In this case, the continuation of the calculation will be conducted taking into consideration the elastic characteristics of these cross-sections.

  • As for the profiles whose principle axes of inertia do not coincide with the local axes y’ and z’, the verification criteria will be expressed depending on axes u and v. This observation is not valid for cold-formed cross-sections.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Stability according to EN 1993-1-3

According to the standard EN1993-1-3, it is necessary to check the following verifications:

  • Buckling around the strong axis
 §6.2.2
  • Buckling around the weak axis
 §6.2.2
  • Buckling by torsion
 §6.2.3
  • Lateral buckling
 §6.2.4
  • Buckling around the strong axis with regard to My', Mz' and N
 §6.2.5
  • Buckling around the weak axis with regard to My', Mz' and N
 §6.2.5

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Stability according to EN 1993-1-4

According to the standard EN1993-1-4, the following verifications are performed:

  • Buckling around the strong axis N
 §5.4.2
  • Buckling around the weak axis N
 §5.4.2
  • Buckling by torsion
 §5.4.2
  • Lateral torsional buckling
§5.4.3
  • N + My' (buckling y)
 §5.5
  • N + Mz' (buckling z)
 §5.5
  • N + My' (buckling z)
 §5.5
  • N +My'+ My'
 §5.5
  • N +My'+ My' (lateral torsional buckling)
 §5.5

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Stability according to EN 1995-1-1

According to the standard EN1995-1-1, it is necessary to check the following verifications:

  • Buckling in and outside the plane
 §6.3.2
  • Buckling by lateral torsion
 §6.3.3

The first check applies to columns subjected to compression, or to compression and bending. The second check relates to beams subjected to compression, or to compression and bending. In the first case, we consider buckling around the weak axis and around the strong axis, given the simultaneous intervention of compression and double bending. In the second case, the moment around the strong axis may be combined with the compression force.

It should be noted that, during the control over buckling through lateral torsion, Diamonds assumes that the collaborating length lef is equal to L/C1+2h.

  • L/C1because the collaborating length lef in the standard is only given in some cases. The coefficient C1 is applied in the normative control of steel and takes into account the distribution of moments between strengthenings to lateral-torsional buckling.
  • In the elastic analysis, the load always seize in the centroid of the cross section. But for the determination of the collaborating length, Diamonds makes the (safe) assumption that the loads seize on the compression size of the element. Therefore the collaborating length lef is increased with a factor +2h in accordance with EN 1995 Table 6.1.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Optimization

When Diamonds conducts a verification of steel cross-sections, it obtains a percentage of the ability of bars to resist to forces they are subjected to.

However, the first choice of cross-sections could made relatively randomly. It is therefore possible that a cross-section will be too big or too small depending on requests.

In order to spare the user a tedious work, Diamonds offers routines for optimization of cross-sections to assure the best adequacy between, on one hand, the resistance and, on the other hand, the cost.

There are two optimization principles in Diamonds:

  • The basic cross-section is provided in the section library. Diamonds will therefore search for the best suited cross-section in the library.
  • The cross-section is built based on a characteristic shape. Diamonds will optimize by modifying either the height or width step by step defined by the user.

After conducting a resistance and stability verification (Steel and timber verification), click [image] to start the optimization.

The optimization can be conducted for

  • selected elements;
  • all elements;

In the dialogue window that appears, you can have 2 or 3 tabs depending on the cross-section type present in the project.

The first tab contains a field with a percentage value. This is the value we should try to approach during the optimization.

Given that the optimization is always made based on the results with the previous cross-sections and not optimized ones, it may be necessary to conduct several successive optimizations. However, in order to reduce this number when the results are far from optimal, we can judiciously alter the value. When your cross-sections are clearly oversized, it may be better to aim at a percentage slightly over 100% and vice versa in the opposite case.

The optimization can be made

  • starting from over results of resistance,
  • starting from results of stability,
  • starting from the two.

The second tab is present when the project contains cross-section coming from the section library.

If you want to display a list of cross-sections with propositions provided by Diamonds, check ‘Summarize and confirm’. This will also allow you to accept some cross-sections and reject others:

The second option ‘All bars of same type have the same section after optimization’ allows the bars that belong to one design type (Design types) defined in the project to always retain an equal cross-section. For example, you can have a series of columns of one type. During optimization, Diamonds will determine the smallest cross-section that is suitable for all the columns of a given type.

The third tab allows you to configure optimization of cross-sections built on the basis of form types.

The first part contains the name of all the forms of cross-sections present in the project. Select them one by one to fill in the bottom part that belongs to each name.

In this bottom part you may indicate what dimension can vary in order to conduct the optimization. Type also the step in the field following ‘Adjust size in steps of:’.

In some cases, it is possible to optimize by varying two values proportionally.

Finally, it is possible to indicate to Diamonds if it is still necessary to limit to a maximum and a minimum. Two fields allow you to insert the value of bounds not to be exceeded.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


dorotheOptimization fire-resistant paints

To do a fire resistance analysis based on fire-resistant paints (intumescent paints), proceed as follows:

  1. Draw the structure.
  2. Apply a fire-resistant paint to the desired bars (if relevant) [image] (Fire protection).
  3. Add a load group for fire [image].
  4. Assign the desired fire curve to the bars [image] (Fire curve).
  5. Generate the fire combinations ULS FI [image] .
  6. Calculate the thermal response [image] (Thermal analysis).
  7. Do an elastic analysis [image] (Global elastic analysis).
  8. Do the steel verification [image] .

  9. Optimize the paint thickness for protected and unprotected bars [image]. The content of two tab pages is discussed in the next paragraphs.

Optimization parameters
  • Optimize all bars or only the selected bars.

  • The optimization will default run on the protected bars.

    Select if you also want to apply a thermal coating on the unprotected bars. In that case, selected the relevant thermal coating.

  • Indicate if the thickness of the thermal coating should be optimized to the critical temperature or a user defined value (specify the value).
  • The critical temperature is the temperature at which the steel verification reaches 100% for a unprotected bar.

  • Indicate an interval for the minimum and maximum thickness of the thermal coating.

    Keep in mind that most fire-resistant paints have a minimum and maximum thickness due to practical reasons.

  • Set the step to increase the coating thickness by a certain step.
Adaptation parameters
  • Choose if Diamonds should adapt the profiles automatically after the optimization or show a summary in which you can select the profiles that should be adapted.
  • Specify the rules for adapting the sections.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Deformations in stainless steel

Because stainless steel is a non-linear material, the modulus of elasticity depends upon the stress level in the cross-section. There for EN 1993-1-4 §4.2 (5) states that deflections should be calculated using the secant modulus at the stress level (SLS state).

EN 1993-1-4 uses the Ramberg-Osgood model to calculate the secant modulus. As does Diamonds.

  • Diamonds will calculate the secant modulus in each mesh node as the minimum value of the secant modulus along the strong and the weak principal axis of the cross-section.
  • This will result in different secant moduli along the length of the member. The secant deflection is obtained by solving an integral over the length of the member.

So, the steps to calculate the deformations in stainless steel in Diamonds are:

  1. You run an elastic analysis [image] .

    This results in a deformation calculated with the modulus of elasticity defined in EN 1993-1-4 §2.1.3 (which are included in the Diamonds material library).

    As said before, this deflection is not always accurate.

  2. Either

    1. Calculate the secant deformation [image].

      Choose a combination. Diamonds will calculate the secant modulus using the stresses in the combination you selected. Choose the same combination as the one in which you want to verify the deformations.

    2. Calculate the secant deformation and redivide the internal forces [image].

      This option does the same as option ‘a’, but it will also redistribute the internal forces using the secant moduli.

Notes:

  • The secant moduli are calculated based on elastic stresses, regardless of the cross-section class of the member.
  • The calculated deformation for stainless steel in Diamonds is only valid when the stresses in the cross-sections (in the selected SLS state) are below the yielding strength of the used stainless-steel quality. Diamonds doesn’t literally check this condition, because it is supposed that when the steel verification is smaller than 100%, the stress requirement is also met.
  • As a simplification, EN 1993-1-4 §4.2 (9) allows calculating the variation of Es,ser along the member and use the minimum value throughout its length. But for stress levels above 65% of the yielding strength, this results in very high deflections. Thus this simplification is not used in Diamonds.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Connections

If you own a license Steel Connection Design, you may, in addition to the global analysis of your linear structures, conduct a detailed normative verification of common steel connections. In order to do it, Diamonds directly refers to calculation algorithms of PowerConnect.

Connections of the type ‘Column-Beam’, ‘Beam-Beam’ or ‘Beam-Column-Beam’ between H or I sections

H or I column footings

Link ‘Beam-Beam’ with the use of bolt-on plates

at the level of flanges or cores of H or I sections

Connections linking H or I elements

Tubular circular or rectangular connections

The possibility to use PowerConnect integrated with Diamonds gives you a number of benefits:

  • Thanks to the integration in the work environment of global analysis of the structure and detailed dimensioning of its connections, you avoid the necessity to manually apply the forces obtained in Diamonds.
  • The connection real rigidities of may also be taken into account in the global analysis of the structure.

Below, we are going to describe in details the features related to the modelling and verification of steel connections in Diamonds.

Modelling a connection

Selecting combinations

Calculating a connection

Saving a connection in the library

Assigning connection characteristics to a node

Parametric connections

Stiffness

Resistance

Interaction

Connection Library

Connections verification in Diamonds

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Modelling a connection

Before modelling a steel connection, it is recommended to conduct a resistance and stability check first. This is to make sure that the dimensions of elements to be connected are realistic. In all the cases, you need to start by conducting a global elastic analysis of the structure. Otherwise the module that allows you to model connections does not make sense since we do not know which forces should be taken into consideration at the level of each node.

After the initial normative verification, you may select the elements you want to link. According to the encountered physical configuration, Diamonds offers you various possible and imaginable ties. Moreover, similar configurations may be grouped within a group or family of ties. This way, it is possible to calculate and verify simultaneously and quickly several similar connections. The example below illustrates our note:

Imagine a structure composed of three successive frames where the joints between rafters and columns are each time reinforced by knee joints. If you want to know how to directly define them in Diamonds, please go to End conditions for bars and tie rods of this manual.

After having selected the profiles to be connected, click [image] in the icon bar or use the command ‘Analyze – Connection Design’. When Diamonds recognizes a connection configuration, it automatically opens the dialogue window illustrated on the next page offering different interpretations. If it cannot establish a correlation with known connections, it indicates hat the connection cannot be verified with the use of PowerConnect.

In our illustrated example, Diamonds recognizes three types of connections. It indicates that the column footings can be defined at lower ends of bars. Knowing that they all have the same cross-section, it offers to group these 6 columnfootings into one single family. Therefore, it is sufficient to model and verify one column from the group before applying the same connection details to all nodes belonging to this family.

The second group of recognized connections concerns the connections ‘Beam-Column’. Observe that haunches were interpreted as such automatically. It remains to indicate which section should be considered as a bearer in relation to another element. The numbers of bars are indicated in order to help the user make the choice.

The last family of ties concerns links between rafters at the level of the ridgeline.

Once you have validated various families of connections, you can model them in detail. The next stage consists of indicating or validating the load combinations considered as possible to be dimensioned. Based on these, PowerConnect verifies the resistance and rigidity of a connection. Note that you can add haunches and rigidifying elements but you cannot modify the dimensions and material of cross-sections to be connected.

After designing a satisfying configuration of connection, you can return to Diamonds and save it in the connection library in order to be able to assign it to other nodes.

The stages of this action are described below.

Selecting combinations

Calculating a connection

Saving a connection in the library

Assigning connection characteristics to a node

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Selecting combinations

First, you need to indicate for which combinations you want to verify the connection. Obviously, not all combinations have to be dimensioned. By filtering them on the basis of percentages in relation to extreme values, you can take into account only the combinations at the most restrictive bending moments, normal forces or shear forces. Note that if you set a too high threshold, you risk a wrong evaluation of the situation: if, for example, you set a limit of 95%, the combinations for which each of the 3 values of M, N and V, reaches 90% will not be verified as they pose a potential non negligible risk whereas a combination with a value of M of 95% and the negligible values of N and V may not pose any risk. All the precautions in this matter are therefore to be respected.

Let us illustrate the case of column footings. Start by clicking [image] in order to display the following dialogue window:

Note that you may set different percentage thresholds according to the sign of M, N and V. In the upper left part, Diamonds permanently indicates the number of combinations to be considered in terms of the criteria you have defined. Another way of proceeding consists in checking and unchecking the ones you want to take into account, directly in the list of combinations.

Note: Given the fact that a connection verification of is always conducted in the ultimate limit state, only the ultimate limit state combinations are listed.

After having selected the chosen combinations, confirm by pressing ‘OK’. You will go back to the initial window. A small ‘v’ indicates that the first stage has been reached successfully. However, nothing prevents you from going back if you wish to do so.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Calculating a connection

Let us continue with the calculation of column footings. By clicking [image] you activate the PowerConnect module that allows you to dimension and verify the steel structure connections.

Note: If you do not possess the module allowing you to dimension connections and you want to save the necessary data so that your co-worker or colleague who has this license is able to define the connections for you, you can use this icon [image], in the lower left part of each connection configuration.

Within PowerConnect, you can model your connections in a very detailed way. In the case of footings of columns, you can for example define a position, length and type of an anchor. You can also add several types of stiffeners to increase the resisting moment, that is, obtain a connection perfectly rigid. When necessary, you can modify the dimensions of concrete foundation. If you haven’t done so in Diamonds yet (Haunches), you can add haunches and gussets in PowerConnect, especially in the case of ties ‘Beam-Column’ or ‘Beam-Beam’.

You can, at any time, effectively calculate a connection to verify if it meets the specifications. When calculating, the real rigidity is also calculated in order to be able to assign a class to a tie (rigid, semi-rigid or flexible). When a connection is not satisfactory, you can easily identify the components that cause a problem, thanks to a colour code that indicates a rate of stress of each of them.

The purpose of this manual is by no means to replace the detailed PowerConnect manual. If you want to know all the subtleties of this stand-alone version of the software, we encourage you to consult it.

After modelling the connection in great detail, you can return to Diamonds. In the dialogue box, the second sign ‘v’ will appear next to the stage ‘Calculating a connection’ to indicate that this step has also been successfully completed. The results are systematically saved, even if you move to a design of connection of another type.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Saving a connection in the library

Once the connection is fully defined, you can save it in the external library of connections, provided that you first name it. Then, a small ‘v’ will appear in front of the node to indicate that the connection to which it is assigned has been saved in the connection library. This stage is unnecessary if a connection has already been assigned to the node. In this case, saving and assigning detailed characteristics will be done in a single operation (see Assigning connection characteristics to a node).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Assigning connection characteristics to a node

The last stage consists in assigning a connection design to all nodes of the same type included in the list associated with the connection in question.

There are several possible scenarios:

  • No connection has ever been assigned to nodes from the list
  • Connection details have already been associated to at least one node and you want to apply them to other nodes from the list.
    • You can replace the old connection in the library with a new one, using the same name,
    • or you can save the current design under a new name

In both cases, a new connection design will be applied to the selected nodes.

  • Connection details have already been assigned to at least one node but there are other nodes, not selected yet, to which the same connection details were also assigned.
    • You can replace the connection previously assigned to selected nodes with a new one. The software will ask you to name it.
    • You can replace all the connections with the same name (thus also for the non-selected nodes) with the current connection by saving it under the same name.
    • You can also save the current connection design with another name before applying it to all nodes with the initial parameters. The advantage of this scenario is that the old configuration continues to exist in the library of connections.

In addition to the geometric configuration, an angular rigidity is also assigned as a boundary condition (cf. Defining a rigidity diagram) and can have a considerable influence on the distribution of moments and on the deformation of the rest of structure.

If the connection’s name was checked in the configuration parameters window, the same name will now appear next to the nodes which you assigned the connection details to.

Given the fact that it modifies the boundary conditions at bar ends, it is highly advisable to conduct a global analysis once again. However, you can continue with the other connection families from the list without having to initiate the analysis again as long as you do not close the dialogue window. If you close it, the results will be lost. In order to view and verify one or more connections again, you need to launch the global analysis of the structure one more time.

We have gone through different stages of modelling and verification of column footings. The same measures can be taken to calculate other types of connections from the list.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Parametric connections

Each connection can be given a name – which does not have to be unique. Next you set the general limitations:

  • The connection can consist of 1 or 2 bars. In case of 2 bars, the connection has is a ‘main bar’ and a ‘secondary bar’. The stiffness function will be assigned on the secondary element. In case of just 1 bar, the stiffness function is assigned to the main element.
  • The connection type can be along the strong or weak axis (of the main part)
  • In case of 2 bars, you can limit the angle between the bars with the minimum and maximum angle.
  • For both main an secondary element, you can allow
    • For the cross-section
      • Any shape
      • A specific type of shapes {list}
      • One specific cross-section from the section library
    • For the material
      • Any shape
      • A specific type of shapes {list}
      • One specific material from the library

Each connection can have an image – below is the default image shown.

Six components can be taken into account in the calculation, if the corresponding checkbox is ticked:

  • Torsion Tx’
  • Bending moment My’
  • Bending moment Mz’
  • Shear Vy’
  • Shear Vz’
  • Normal force N’

The prime (‘) refers to the local axis system of the main element. This can be visualized on screen in the Window Configuration [image] : Default the local axis are as following, but:

For the global analysis, the stiffness is relevant. The connection verification takes the resistance and interaction formulas into account.

Stiffness

Resistance

Interaction

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Stiffness

The default stiffness for each component is fixed. You can modify this by clicking the function button [image] at the end.

Here you set the stiffness behaviour for the component being negative (< 0, top part) and positive (>0, bottom part). Either you select one of the predefined states – fixed, free or value (value required) or you add a user-defined diagram by entering multiple sets of values for

  • (φ, M) for moment components
  • (u, F) for shear or normal force components

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Resistance

For connection verification purposes, you can enter a negative (< 0, first value) and positive (>0, second value) resistance.

Diamonds will check the resistance of each component individually, by comparing the acting force FEd to the resisting force FRd. The result should be less than 1:

FEd/FRd <1

FRd corresponds to the entered value in the image above.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Interaction

For connection verification purposes, you can enter one or multiple interaction formulas for the component resistance. Already entered formulas accessible through the pull-down list. As Diamonds automatically checks the resistances for the components individually, it is unnecessary to add them here.

You can add, modify and remove formulas. On clicking the Add button, following dialog window appears:

You can enter a name for the interaction formula.

In the previous window ticked components are displayed in black and available for use in the interaction formulas. Unchecked components are grayed out and not available.

To include a component to the formula, you thick the check box. Components will be added as the acting force divided by the resisting force FEd/FRd. This ratio can be multiplied with a factor and put to a power– in the ‘Parameters’ section. It is possible to assign the component to a group. A group consists of one or multiple components put ‘between brackets’. This group can also have a multiplication factor and a power. Note that the power is not limited to integers, you can enter for example a square root with a 0.5 value.

At the bottom of the window, you immediately see the formula appearing, allowing easy visual verification and modification. The entire formula should result in a value less than 1, in order to have an acceptable connection verification.

Click ‘OK’ to save the interaction formula or made modifications to it.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Connection Library

It is possible to view the library of connections by clicking [image]. However, you should distinguish between the internal library related to the ongoing project, and the general and external library that is independent of the open project. The rule is always the same: each time a detailed configuration is applied to a node of the structure, this connection is automatically included in the internal library related to the project so that the connection characteristics remain associated with the project file. Therefore, another user can also view your choice of connection modelling. By default, the external library of connections (‘ConfigurationLibrary.xml’) can be found under C:\Documents and Settings\Login\My documents\Diamonds.

When you start a new project, the associated internal library does not contain any connection. It is the task of the user to fill it along the progress of the study.

This icon [image] allows Diamonds to verify selected bars. The following three scenarios are possible:

  • First: A detailed connection configuration has already been assigned to all selected nodes.
  • Second: No detailed connection configuration has been assigned to selected nodes but a number of connections have already been designed.
  • Third: No detailed connection configuration corresponds to the selection, or no bar has been selected in the modelling window.

Note: The scenarios 1 and 2 can only occur if a single node has been selected or if the selected nodes are of the same type.

In the first case, the dialogue window displays only the connections already assigned to the selected node(s). The button [image] allows you to cancel the applied parameters. It does not necessarily mean that the configuration gets deleted. The connection will still be present in the internal and/ or external libraries. However, the characteristics will no longer be assigned to the selected node(s). Similarly, the previously calculated angular rigidity will not be deleted.

In the second case, Diamonds offers a list of connections that can be assigned to all selected nodes. They come both from the internal and external libraries.

The button [image] allows you to apply a configuration chosen from the propositions. If it comes from the external library, it is automatically added to the internal library in order to respect the rule described at the beginning of this paragraph.

The last scenario allows you to view and manage the library of connections.

Let us have a closer look at this dialogue box.

First, you will see a list of all ties that you defined. For each of them, the software displays a sketch of a connection together with the linked elements, their respective cross-sections, and their characteristics in terms of rigidity. Note that the rigidities Sj,ini and Sj as well as the classification of the connection are maintained.

You can view the rigidity characteristics by clicking [image].

You will notice that the characteristics in terms of resistance are also displayed, to know the maximum forces that the connection can take before plastic break occurs.

In the specific case of column footings, you can also view the validity of combinations of M and N.

If, for the sake of accuracy, you want to know more about the behaviour of the connection in question, you can view a rigidity graph by clicking [image]. The graph illustrates the angular deformation depending on the applied moment.

As long as the active moment (MEd) is less than 2/3 of the resisting moment (MRd), the standard allows you to conduct calculations based on the initial rigidity Sj,ini (the first section of the curve). If the moment increases, the rigidity gradually decreases until MEd= MRd. The plastic rotation rigidity Sj corresponds to this value. Beyond this point (MEd> MRd), the angular deformation becomes particularly high (horizontal section of the curve) and no additional moment can be added.

If you return to the first window, at the bottom you will see the features concerning the connection selected from the list.

You can modify the name of the tie and specify which library of connections you want to save it in. If you have done modelling of the tie in the project, you can always save the data in the general (external) library to be able to use the connection details in other projects. In order to do it, just check the second backup option at the bottom on the left. On the other hand, to retrieve the connection details that you saved in the external library during a previous project, in order to save them in the (internal) library of the project this time, you need to check the first backup option. As long as you have already assigned this configuration to a node of the current project, it will be available in both libraries.

On the contrary, by unchecking the option, you delete the configuration from a corresponding library. However, a connection cannot be deleted when it is still assigned to at least one node in the project. This button [image] next to the checkboxes allows you to display the connections from one or both libraries. This possibility is independent of the selected connection.

In addition to exchanging the connection parameters between the two libraries, it is also possible to import or export the details from the stand-alone version of PowerConnect, through the file ‘.ebc’. This file type allows you to exchange information with your colleagues and co-workers who also possess PowerConnect alone. Moreover, it is a sensible way to save your connections without using the libraries. Note that each time a connection is imported, Diamonds automatically adds it to its external library of connections. By checking the option described above, you can choose to also add it to the library of connections specific for the current project.

To complete, the button [image] displays a list of nodes and bars to which a connection has already been assigned. A box on the right allows you to add your own comments.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Connections verification in Diamonds

After detailed modelling of all the connections, you need to launch a new global analysis while taking into account the calculated real rigidities. Since this in turn will modify the distribution of loads, it is recommended to verify once again if each of the connections is still appropriate.

Nevertheless, Diamonds offers you the possibility to verify them in the new distribution of loads by using a simplified combination formula that does not require returning to PowerConnect. Thus the number of manipulations and the calculation time will be greatly reduced.

In order to do this, click the button [image].

Verification is then conducted for each load group and for each node. When the result is not satisfactory, it will appear in red.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Managing and printing reports

Diamonds allows you to compose and print several reports in the same calculation project. In order to define a calculation report, click [image] in the menu bar or select the menu option 'File – Reports manager …'.

The following dialogue box will appear:

The window remains empty as long as no calculation report is defined in the project. Below, it is explained how to create a new calculation report, and then how to modify, copy, delete, or print it. The following paragraphs also explain in detail the meaning of all buttons. However, we will start by showing you how to introduce general data.

The two buttons [image] and [image] ’ allow you to save (export) and reuse (import) the selected report configuration(s). With the use of this feature, you can quickly generate calculation reports for similar projects or project variants (e.g. with different heights). You can also easily create reports using the same template for different levels of the same building.

Design data

Creating a new calculation report

The ‘General’ tab

View of the model and selection of elements

Grid

Scale of the images

Title and table of contents

‘Geometry’ tab

‘Loads’ tab

‘Global results’ tab

‘Detailed results’ tab

Moving a calculation report

Modifying, copying and deleting a calculation report

Printing a calculation report

Defining a printer

Page setup

Printing a calculation report

Print preview

Saving a calculation report in a RTF file

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


File data

It is often convenient to add the main design data to the calculation report. Select the menu option 'File – Project reference’ if you want to attribute the data to the calculation project.

Each button allows you to open a new dialogue box where you may record the reference information (name, address) about the project, engineer, architect, principal, and contractor.

At the bottom of each window, there are 3 buttons. With this button [image], you save the introduced data in order to recall them later in a new project, with the use of this button [image]. Click [image] if you want to delete all information.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Creating a new calculation report

In order to create a new calculation report, click [image].

You insert the name of the new calculation report. Next, go through the various tabs. The first tab contains some general parameters. The second and the third tab present a review of the geometry of the structure and defined loads. The last two tabs are visible only when the structure has been calculated.

The ‘General’ tab

View of the model and selection of elements

Grid

Scale of the images

Title and table of contents

‘Geometry’ tab

‘Loads’ tab

‘Global results’ tab

‘Detailed results’ tab

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Tab page 'General'

View of the model and selection of elements

Grid

Scale of the images

Title and table of contents

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


View of the model and selection of elements

Start by choosing the view with which you want to present the (view from the top, front or back, lateral or perspective view) and the elements for which you want to print a calculation report.

The representation mode (linear, semi-transparent or 3D) depends on the configuration chosen in various tabs.

You can manipulate the orientation and visibility

  • Either by the button [image].

    Once the orientation, representation and selection are set, click on [image] to return to the report manager.

    In the middle of this dialogue, you will see a thumbnail of the view. This allows you to verify the selection

  • Either through the button [image] .

    When you press the button [image], you will see the list with the standard Diamonds views. At the same time the model will be centred an maximized in the window.

Here, you can also select the elements for which you want to print detailed results. There are two possibilities to do this:

  • You hide the part of the construction the results of which you do not want to include in the calculation report (partial) that you intend to set. You then indicate to the calculation reports manager that you want the results only for the visible elements. The geometry of invisible elements will nevertheless appear in grey in your calculation report.
  • Or, in the design window, you can also select the elements whose geometry, loads and results you want to see in the calculation report. Then in the calculation reports manager, you indicate that you want the results only of the selected elements. In this case, the geometry of non-selected elements will not appear in your calculation report.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Grid

Use the button [image] to easily turn the grid on and off and define it.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Scale of the images

Diamonds contains a range of standard width – height proportions from which you can choose by clicking the button [image] . The selected proportion is always shown next to the icon.

You can also enter a scale yourself by choosing ‘Manual’ and entering a number. A proportion of 2.0 means that the width is twice as large as the height.

The figures are always the same width as a page.

When you click on the button ‘Change selection and view’, the chosen window ratio is retained and you can determine the size (at zoom level) further with the scroll of the mouse.

Scale 5:3 | Scale 3:1

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Title and table of contents

You can choose a title which will be at the top of your report. The text that will be used as a title is the name of your report. In a standard case, it will therefore be 'new report'. Of course, you can modify the title by renaming your report. There is also an option to add a table of contents for each report separately. In order to do so, check the box 'Table of contents'.

If you have several reports forming one report, you may want to create a single table of contents for the whole report. For this purpose, use the following settings:

1st report

2nd report and the following reports that you want to include in the table of contents

The table of contents of each report for which you select the options ‘Table of contents' and ‘Add to previous table of contents, with continued page numbers' is added to the list of contents of the previous report. Pagination and paragraph numbers of the report continues the numbering of the previous one.

If a report’s only setting is ‘Table of contents’, it is where the global table of contents is grouped and composed of the table of contents:

  • of the current report
  • of all the following reports having an additional setting: ‘Add to previous table of contents, with continued page numbers'

An example of a compound table of contents:

Note that it is perfectly possible to create multiple compound tables of contents in the same Diamonds file. When you check the box 'Table of contents' without the additional option, a new table of contents is created starting from this report. It may be composed of other reports, provided however that the additional options will be activated.

The option 'Add to previous table of contents, with continued page numbers' is available starting from the second report. If you don’t check this option, you can indicate at which number the paragraph should begin:

Check the project data of the Diamonds model you would like so see in the report (see File data). Moreover, specify if the calculation report should mention the version in which the structure was designed, calculated and printed, and on the basis of which calculation options the global analysis was conducted.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Tab page 'Geometry’

First, you can specify if you want to print the geometry of the model. In the drop-down menu, select the configuration in which the geometry should be presented. In fact, the file 'Diamonds' may contain multiple ‘Geometry’ configurations. This button: allows you to verify again the parameters of the configuration. If you modify any of these parameters, a new environment is created under the name 'Other configuration'. More information concerning settings of a configuration can be found in Configuration settings.

Remember that you can view the model data in a table (see Table 'Data'). You can also decide here to include the geometric model in the calculation report. You will define which information should be included in the table with the use of this button: .

You may also request the following information in the report

  • the cross section data
  • the connection data
  • the material data
  • the soil layers
  • the function data
  • the fire curves
  • the thermal coating en de boundary conditions

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Tab page 'Loads'

First of all, you can specify if you want to print loads acting on the structure. Then, in the drop-down menu, select the configuration in which loads should be presented. In fact, the file 'Diamonds' may contain multiple 'Loads' configurations. The button [image] allows you to verify the configuration parameters again. If you modify one of these parameters, a new environment is created under the name ‘Other configuration’. More information concerning setting a configuration can be found in Configuration settings.

Next, indicate which case and/ or combinations of loads you would like to print. When you check the option [image], all load combinations from that load group will be selected. If you wish to deselect all load combinations in a load group, uncheck the option [image].

Each case or combination will be included in a separate drawing.

Remember that you can view the model data in a table (see Table 'Data'). You can also decide to include this table of loads in the calculation report. Important: you can select only particular load groups here. You can define exactly which information is to be included in the table with the use of the button [image].

The two three options also allow you to add

  • the safety and combination factors applied to load groups
  • the composition of different load combinations

  • the terrain parameters of the by Diamonds generated wind and snow loads (this option will only work for wind or snow loads generated in Diamonds 2013 or newer versions).

    The parameters used for moving loads are also available through this option.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Tab page 'Global results’

  • First you can specify if you want to print the global results. They are always printed in a form of a chart. You can also define the information that should be included in this chart.
    • You can either select a predefined configuration from the drop-down menu.

    • Or click [image] to define a new configuration. If you modify one of the proposed parameters, a new configuration is created under the name of 'Other configuration'. More information concerning setting a configuration can be found in Configuration settings.

    • At the top you’ll find the buttons representing the partial results.

    • Once one of the above buttons is pressed, you can retrieve the corresponding detailed results by clicking on one of the underlying buttons:

    • Next, on the right indicate the load combinations for which you want to view the results.

      When you check the option [image], all load combinations from that load group will be selected. If you wish to deselect all load combinations in a load group, uncheck the option [image].

    • You can obtain a list of the results have already been retrieved by moving the mouse or the corresponding button with partial results.

  • Remember that you can view the global results in a table (see Table ‘Results’). You can also decide to include this table of results in the calculation report.

    By pressing the button [image] you can show or hide the label /mesh coordinates. Also for bars specify for which position (extreme values, all mesh points, bar end points) that the results should be printed.

  • Finally you can insert an equilibrium check in the report. This equilibrium check contains an overview of the vertical and horizontal loads and the resulting reactions for each load combination.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Tab page 'Detailed results’

After having conducted the analysis for each bar or plate, you can view a detailed result in the form of a chart (see Detailed results). The last tab also allows you to include these detailed charts in the calculation report.

  • For this purpose, indicate the results and the load case and/or load combination for which it is necessary to print a detailed drawing.

  • At the top you’ll find the buttons representing the partial results.

  • Once one of the above buttons is pressed, you can retrieve the corresponding detailed results by clicking on one of the underlying buttons:

  • Next, on the right indicate the load combinations for which you want to view the results.

    When you check the option [image], all load combinations from that load group will be selected. If you wish to deselect all load combinations in a load group, uncheck the option [image].

  • You can obtain a list of the results have already been retrieved by moving the mouse or the corresponding button with partial results.

    Apart from the detailed charts (element by element), it is also possible to include the following in the calculation report:

    • details of the determining code check for steel/timber

    • details of all the code checks for steel/timber;

      Note: the resistance verification details takes up 3 pages and the buckling stability details takes up 2 pages – just for one single bar! So, think your report through and only request the design code details for the appropriate bars.

    • the detailed results in a table. In particular, the results of each mesh point are printed here.

      By pressing the button [image] you can show or hide the label /mesh coordinates.

If no element has been selected in the model window, detailed results for all elements will be printed. Otherwise, only detailed results for the selected elements will be displayed. The above is important for the graphical representation of detailed results as well as for the representation in the form of a table.

In the bottom of this window, indicate if you want to see the connection verification.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Moving a calculation report

When you generate a new calculation report, it will always be added at the bottom of the list. If you want to change the order of your reports, you can do it by simply dragging them to the right place with the use of the mouse. Diamonds indicates in bright red the place where you are ready to drop the selected report as soon as you release the left mouse button.

Note that the order of reports will also be respected when printing multiple documents simultaneously.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Modifying, copying and deleting a calculation report

In order to modify, copy and delete a calculation report, select the calculation report in question, and then click the following buttons [image], [image] or [image] respectively. A calculation report is selected when the corresponding line turns blue. On the other hand, if you want to delete all calculation reports, use this button: .

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Printing a calculation report

Defining a printer

Page setup

Printing a calculation report

Print preview

Saving a calculation report in a RTF file

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Defining a printer

When you click [image], the ‘Print Setup’ window of MS Windows will be displayed. It can vary depending on the version of MS Windows. In this window, you can select a printer you want to use and modify its settings by clicking 'Properties…'.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Page setup

To configure your page setup, click [image]. The following dialogue box will appear:

First, you can set the white spaces that cannot be printed by indicating the margins on the left, on the right, at the top and at the bottom, as well as the orientation of the page: Portrait or Landscape.

Below, in the drop-down menu you select a font. You can also define the size of the font for a normal text, a header, footer, and various titles.

Furthermore, you can select a logo from your computer by using [image] , and then place it in the header or the footer. If necessary, you can rescale the logo. By selecting the option ‘Maintain aspect ratio’, Diamonds will keep the percentage for the width and height equal.

You can also indicate the text you want to print at the top and at the bottom of each page. The header and footer texts are divided into 3 zones: left, central and right. For each zone, a drop-down menu allows you to select:

  • none
  • a date (a day of printing)
  • a name of the project
  • a name of the project together with an access path
  • a page number starting from 1
  • a page number starting from a number indicated by the user (the first printed page will receive this number).
  • a logo

In order to use a more sophisticated header or footer text, click [image] on the right of the box ‘Advanced’. A dialogue box containing 3 columns corresponding to 3 zones mentioned above, will then be displayed.

In order to insert chosen information in any of the zones, first click on this zone with your mouse. You can now, for example, insert a personal text, possibly spread over several lines. If you want to insert the printing date, click [image]. The date will be added to the place where the cursor is located in the zone. You can also add a page number and the name of the file with or without an access path by following the same process with the other buttons.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Printing a calculation report

Once the calculation reports are composed and the page setup is completed, you can print them with the use of this button: . Only the selected calculation reports will be printed. With the use of this button: you can select or unselect all the calculation reports. The button [image] allows you to invert the selection.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Print preview

If you want to visualize the calculation report before printing it, click [image]. Only the selected calculation notes will be printed.

The 'Print preview' window allows you to verify what is going to be printed.

  • The button [image] will send the preview to the printer.
  • The button [image] will open the page setup.

  • Using [image] you can scroll through the pages.

    • goes to the first page
    • goes to the previous page
    • goes to the next page
    • goes to the last page
  • With the buttons [image] you can zoom in and out according to a chosen percentage.
  • With the buttons [image] you can show one or two pages simultaneously.
  • Click [image] on to close the print preview.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Saving a calculation report in a RTF file

Once the parameters of a calculation report are defined, you can print the calculation report or save it in a RTF file. The acronym RTF stands for ‘Rich Text Format’. It is a file format that can be read or modified by most of word processors (like MS Word).

To save a calculation report in a RTF file, click [image] at the bottom of the dialogue box. When you click on the arrow [image], you can indicate if the heading should be exported as well. If yes, then for example Microsoft Office Word will recognize the used titles as a style.

Only selected calculation reports will be printed. With the use of this button [image], you can select or unselect all calculation reports. The button [image] allows you to invert the selection.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


User-defined parameters

Preference parameters

Saving projects parameters

Setting geometric tolerances of a model

Tolerance for the verification of a model

Setting tolerance for the group definition in order to determine the lateral-torsional buckling lengths

Move elements as physical entity

Drawing parameters

Units and decimals

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Preference parameters

As a user, you can define a certain number of preference parameters. They will be applied each time you use Diamonds. We distinguish three types of preference parameters:

  • Parameters for saving and archiving files;
  • Parameters related to the geometry of the model,
  • Parameters related to drawing.

All parameters are described in the next paragraph. If, after having modified at least one parameter, you want to retrieve the initial parameters, just click [image] at the bottom of the screen. All parameters will then be replaced be the default parameters, and those independent of an active tab.

Saving projects parameters

Setting geometric tolerances of a model

Tolerance for the verification of a model

Setting tolerance for the group definition in order to determine the lateral-torsional buckling lengths

Move elements as physical entity

Drawing parameters

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Saving projects parameters

Saving a project regularly is a good practice that helps preventing from losing your data because of a fault or other reasons. In Diamonds, saving can even be automatic. For that purpose, select the option 'Preferences…' in the menu 'Options'. The following dialogue box will then appear:

First, insert the frequency at which Diamonds is to save a calculation project. The project is then saved under the same name and the previously saved version is modified into a ‘backup’ file (.bs!). A temporary backup can also be performed at regular intervals in ‘My Documents’ folder on the hard disk. If the program is abruptly interrupted, when restarting Diamonds the temporary file will be restored in ‘OldBackUpFile’ folder of ‘My Documents\Diamonds’ folder where you can re-open it.

Moreover, indicate if the mesh, calculation results and reports should also be saved in a back-up. Reports are saved in the *.bsf file. However, the mesh is stored in the *.bsr file and results will be saved in a separate folder with the name '*_bsr' in the same directory as the *.bsf file.

Note that you cannot open this file alone. On the other hand, it is automatically opened and read when the user asks to view results.

You can enter a maximum number of Undo/Redo operations. The overall maximum is 20 operations.

When saving a file, the display parameters are always saved at the same time. If you check the last option, these parameters will be activated when you open the file. In principle, it is better not to select this option.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Setting geometric tolerances of a model

Tolerance for the verification of a model

Setting tolerance for the group definition in order to determine the lateral-torsional buckling lengths

Move elements as physical entity

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Tolerance for the verification of a model

After each use of a drawing function (drawing a line, creating a slab starting from its contour, deleting elements, rotation or translation operations, etc.), Diamonds conducts a significant number of verifications and automatic operations to ensure that the model remains coherent and logical.

In particular, Diamonds …

  • divides each line joined by a new segment;
  • intersects crossing lines provided that they belong to the same slab or wall;
  • generates new slabs each time an existing slab is cross cut by a new line or when a closed contour is located in an existing slab;
  • divides each slab intersected with another one.

Moreover, a model is considered as ‘usable’ only when a certain tolerance is accepted at the level of coordinates of nodes. Without it the user will systematically be confronted with inaccuracies and defects that prevent the smooth running of the calculation and verifications.

Diamonds takes into account such tolerance so that …

  • nodes too close to each other are consolidated;
  • nodes too close to lines are associated to them and the lines are then divided taking into consideration the presence of these nodes;
  • slabs or walls are generated even when the lines that constitute their contours are not located perfectly in the same plane.

Diamonds allows you to define this tolerance by using the command ‘Options - Preferences’, and then the second tab of the dialogue window, called ‘Model’.

This verification is conducted automatically …

  • every time when you import a DXF file, a Diamonds, a PowerPlate or a PowerFrame file
  • every time when you add, delete or modify elements of a model

Since these geometric verifications require a lot of calculation time, they are conducted only in the zone directly adjacent to the place where an element has been modified, added or deleted.

If at some point, you want to conduct a verification with bigger tolerance, click [image] in the ‘Geometry’ pallet after having selected the whole model or its part (see Verification of a model). When Diamonds is not able to redefine slabs or walls according to the tolerance set by the user, it simply deletes these elements from the model.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


You are here: 7 User-defined parameters > Preference parameters > Setting geometric tolerances of a model > Setting tolerance for the group definition in order to determine the lateral-torsional buckling lengths

Setting tolerance for the group definition in order to determine the lateral-torsional buckling lengths

A certain number of Diamonds features concern bars that are in the prolongation of each other. For example, to group physical elements, it is essential for them to be perfectly aligned. (see Pallet for grouping the bar elements). The alignment also affects buckling lengths (see Choosing a standard).

An angular tolerance allows you to make sure that the elements originating from a CAD software or drawn with the use of various functions of Diamonds are perfectly aligned.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Move elements as physical entity

The transformation described in Physical, were established by applying a function ( [image] of [image]). When performing these function you can indicate if the transformation should be applied on the elements as a physical entity or not.

But you can also deform a structure by adjusting the coordinates of the points.

If you don’t want Diamonds to perform the deformation on the physical entity, you must uncheck the option ‘Move elements by default as physical entity’ in the tab ‘Model’ (and vice versa).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Drawing parameters

In the ‘Drawing’ tab, 2 options are available as far as graphic modelling tools are concerned. The first one allows you to display projected lengths when drawing lines, walls, beams or columns.

The second one allows you to fully benefit from the possibilities offered by the OpenGL ® technology. In case of recurring graphic problems, it may be better to uncheck this option.

The third option, ‘Fast rendering’, enables faster management of a model. In case of recurring graphic problems, it may be better to uncheck this option.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Units and decimals

You are free to choose the units and the number of decimal places you want to use to insert the data of your model, and to express model data and calculation results. You can access these parameters through the menu option 'Options – Units and decimals…'.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Importing from and exporting to other programs

To import data from or export it to other programs, in the 'File' menu select the option 'Import' or 'Export'. Then, specify the name of the program or the format that you want to import or export.

Importing DXF files

Importing from BIM Expert

Importing PowerPlate/ PowerFrame files

Importing Diamonds files

Exporting DXF files

Exporting to BIM Expert

Exporting bitmap files

Exporting to ConCrete Plus

Exporting to Strakon

Exporting tables of values

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Importing DXF files

The DXF files contain information about the drawings that are readable for most CAD programs. It may be very useful to transfer it along with the drawing in order to reduce the concept side to a strict minimum in the calculation software. Diamonds also allows you to import DXF files. However, it will be limited to reading points, lines and curves. Therefore, it is recommended to explode & split your objects before importing them to Diamonds.

To import a DXF file, in the 'File' menu select the option 'Import - Import DXF'. The following window will appear:

On the left, you can indicate which layers you want to import to Diamonds. Most of CAD software operates with layers. When importing DXF files into Diamonds, they are automatically converted into ‘Types’ (cf. Design types). It allows you, for example, to provide a layer per profile in the CAD software and not to lose information concerning these profiles during a transfer of a DXF.

On the right, you indicate by how many rectilinear segments you want to model curved elements. Curves and circles will be imperatively replaced by rectilinear elements.

Also ensure that the length units in Diamonds correspond to those of the imported DXF file. In the figure shown in the previous page, the length unit in the DXF file is 1 meter.

Given that CAD programs do not necessarily use the same convention of axes, you also have the possibility to set them during the process of importing. You can also define an insertion point. It is also necessary to indicate the coordinates of a reference point which will serve as new coordinates of origin for a DXF file. If the file comprises various layers, you can set the coordinate Y of the imported plane in order to directly find a drawing at the desired level (in the manager of levels).

You can specify how you want to round off the decimals of coordinates. Remember that it may result in a situation that after importing, some points will no longer be aligned or will no longer belong to the same plane, if the tolerance (cf. Setting geometric tolerances of a model) is smaller than the precision that you impose here.

Note: Be aware that errors at the level of modelling in CAD inevitably lead to errors at the level of calculation.

Finally, if the model contains polylines, you can generate plates between the polylines through the bottom option. This is interesting to generate curved surfaces. You can find a demo of this on YouTube:

  • Via Rhino
  • Via Grasshopper

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Importing from BIM Expert

To send a model from BIM Expert to Diamonds , consult the the BIM Expert mnanual.

When the model is received by Diamonds , you’ll get a notification with [image] . You than have the option to load the model or remove it.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Importing PowerPlate/ PowerFrame files

Until Diamonds 2015r06 it was possible to import old PowerPlate/ PowerFrame files.

Starting from Diamonds 2017 this feature is no longer supported. Work around:

  • Import the PowerPlate/ PowerFrame model in Diamonds 2015r06.
  • Save the Diamonds 2015r06-file
  • Open the Diamonds 2015r06-file in Diamonds 2017 (or newer).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Importing Diamonds files

In the menu, select the instruction 'File – Import – Import Diamonds' to import a Diamonds file.

Diamonds will always import the complete geometry, what should happen with the load groups is up to you. You have the choice between:

  • Importing a load group in an existing load group
  • Importing a load group and keeping its name and safety factors
  • Importing a load group and give it a new name
  • Not importing a load group

We illustrate: assume that an existing project contains the following load groups:

  • ‘Self weight’
  • ‘Dead loads’
  • ‘Live loads A’
  • 4 load groups ‘wind’

The current project includes the load groups ‘Self weight’, ‘permanent loads’ and ‘wind’ with 4 sub-load groups (Case 1 until 4).

When import the existing model, Diamonds will show you the following dialogue box:

  • The load group ‘Self weight’ will be imported in the existing load group ‘Self weight’.
  • The load group ‘dead loads’ will be imported in the existing load group with the name ‘permanent loads’.
  • The load group ‘live loads F’ will be imported as a new load group with the name ‘live loads F’. All safety factors and combination factors are imported as well.
  • The load group ‘wind’ with 4 sub-load groups will be imported in the existing load group ‘wind’, including the 4 sub-load groups.

Confirm you choice with ‘OK’. If you do not wish to import a certain load group, just uncheck it.

In comparison to opening Diamonds files, this function has one advantage; you do not have to start with closing an existing model. It is possible to import various Diamonds projects one by one, and to group them in a new global Diamonds model. However, you need to make sure that the models do not overlap. Insert new coordinates of the point that served as the origin point in the imported file.

Note: It is recommended to conduct a model control at the end (once all models have been introduced) in order to correct possible errors of a model that may have occurred during consolidation of files.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Exporting DXF files

If you want to export a geometric model to a CAD software, you need to select the command ‘Output DXF’ from the ‘File’ menu. The following dialogue window will appear on the screen:

Start by indicating what you want to export. There are five exportable types of elements. Diamonds allows you to export linear elements (axes of bars) as well as surface elements. It is also possible to export contours of profiles and slabs as well as isolines of reinforcement quantities. You can attribute a specific name to each of the 5 categories. If you use this possibility, these elements will be exported in separate layers.

In order to increase readability of your exported models, Diamonds saves each type defined in Diamonds in different layers.

Do not forget that your initial models contain neither the axes of bars nor their edges. Taking it into consideration, Diamonds allows you to assign specific names to layers exported in your CAD tool. You can match up to 4 drawing layers to a single element type defined in Diamonds. In this case, the name of the type will be preceded by a name given to the layer.

If you want to generate a single layer in your CAD software, and if you want it to correspond to a single type defined in Diamonds, leave all the fields blank.

Moreover, if your initial model includes several levels, you can also subdivide each type (or each layer if you have already generated a number of them starting from a single and the same element type) per level. In such case, the name of the level will also be added to the name of the layer so that you can easily find it in your drawing software. Of course, if you decide to use all the possibilities, you will generate a DXF file composed of many layers.

When you decide to export the curves from the level illustrating reinforcement quantities required in different locations, each curve is exported in a different layer. Specific colours are always assigned to isolines corresponding to the same type of results: Axs, Axi, Azs or Azi.

Then, indicate if you want to export all elements or just the visible or selected ones. In fact, it is possible to export the whole structure or only a part of it.

Below, you indicate the length unit of the DXF file.

Given that not all CAD software programs use the same convention of axes, you can also indicate which standard you want to use.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Exporting to BIM Expert

To export a Diamonds model to BIM Expert, do the following:

  • Start Diamonds and log in (if necessary). Open the project you’d like to export.
  • Start BIM Expert.
  • In Diamonds go to ‘File’ " ‘Export to’ " ‘Export to BIM Expert’ or hit F8.

You’ll need the license ‘BIM Expert Basic’ and ‘BIM Expert Diamonds plug-in’.

In BIM Expert you can:

  • Either send this model to a colleague. You’ll need the license ‘BIM Expert Server’.
  • Either send this model to Tekla. You’ll need the license ‘BIM Expert Tekla structures Plug-in’.

Consult the BIM Expert manual for more information.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Exporting bitmap files

You can export any illustration in a model window as a bitmap image. An image constructed from lines and points, or bitmap, is a numerical image format where the colour of each pixel is defined. You can open a drawing and rework it in simple drawing programs (Paint, Microsoft Office Picture Manager, etc.).

To create an image of an active configuration on the screen, select the command ‘File – Export – Export Bitmap’.

The size of the modelling window (expressed in pixels) is displayed in the top left part of the screen. Just below, you can set the size of the bitmap to be created.

Using the button you can correct the width/ height-ratio in order to obtain the same ratio as in the active window. The first button corrects the length in relation to the width. The second button corrects the width in relation to the length.

When you create a bitmap illustrating obtained results, you can also decide to add the results scale by checking a box provided for that purpose in the bottom left of the dialogue window.

Note: a large width and/ or height results in a heavy(= the number of MB) image, therefore the size of the bitmap is limited by the RAM-memory.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Exporting to ConCrete Plus

BuildSoftoffers a program, ConCrete Plus that performs the conversion of theoretical reinforcement into practical reinforcement for (continuous) beams subjected to simple bending.

To send elements to ConCrete Plus, follow these steps. Independently of the active configuration, select at least one element which you want to transfer the reinforcement to. Then in the menu ‘File’, select the option 'Export – Export to ConCrete Plus'. A ConCrete Plus file with an extension *.pcp is now created.

The term ‘element’ used in the previous paragraph may also mean a series of successive bars aligned in the prolongation of each other. These bars will then be imported in ConCrete Plus as a single (continuous) beam.

Notes:

  • ConCrete Plus allows you to convert theoretical reinforcements (longitudinal Ay and transversal Awz) into practical reinforcements. Note, however, that the flank reinforcements (Az) determined in accordance with Mz and/or Mx moments are not read and converted by ConCrete Plus!

    It is similar for horizontal reinforcements necessary in case of very important shear forces…(Diamonds classes these reinforcements as flank reinforcements.)

  • As for elements subject to torsion, the user himself needs to verify the resistance of horizontal legs of stirrups.

  • ConCrete Plus moves the theoretical cross-sections of a al distance (called ‘displacement length’) before actual converting them into practical reinforcements.

  • ConCrete Plus will foresee a support at every free end. You need to check the supports yourself and if needed, you’ll have to delete some. For example:

    A beam is drawn and calculated with Diamonds:

    After export to ConCrete Plus, the beam looks like this:

    As you can see in the figure above, the left and most right support shouldn’t be there. By clicking on the support with the right Mouse button, it’s possible to delete the support:

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Exporting to Strakon

Strakon allows you to define and detail reinforced concrete structures. In particular, you may use Strakon for drawing up outlines of practical reinforcements, for designing formworks and for generating reinforcement forms.

Clearly, you need to know the theoretical reinforcement quantities in advance. The programs that support the reinforcement calculation of concrete structures can therefore be interconnected with Strakon.

Thus, Diamonds also offers the possibility to export the theoretical cross-sections of reinforcement of slabs and walls in a text format. These cross-sections can then be read by Strakon and converted into practical reinforcement. The condition is, of course, that the structure is also modelled in Strakon.

Once the reinforcement is calculated in Diamonds, in the menu ‘File’ select the option 'Export - Export to Strakon'. The following dialogue box will be displayed:

You either export all visible slabs and walls, or the elements selected in the model window only. Nevertheless, if you do not want to export all visible or selected slabs, deselect the slabs in question in the lower window. Diamonds will then group all slabs or walls that are located in the same plane and that adjoin each other.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Exporting tables of values

All tables of values from ‘Data’ and ‘Results’ windows can be exported and read by the majority of word processing software and spreadsheet programs, including Microsoft Excel. Open one of the two windows. Select the data and press the combination of keys ‘CTRL + C’. Then, open Microsoft Excel. You can retrieve the data with the use of the command ‘Edit – Paste’ or by using the combination of keys ‘CTRL + V’. The table of values appears immediately on the desktop and the user can manage them in a way that suits him best.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


FAQ

A number of short cuts enable to work quicker and more efficiently in Diamonds. Below you will find a list of short cuts available for the most common features.
SHIFT
  • Aid when drawing orthogonal (0°, 90°, 45°) lines
  • Select additional elements
ALT
  • Select elements of the same group
  • Select plate borders together with plate
CTRL | Select all elements of the same design type
DELETE | Delete geometry elements or loads (depending on the configuration)
ENTER | Draw a new line (in drawing function)
SPACE | Deactivate intelligent cursor
ESC | End the drawing function (in drawing function)
CTRL + A | Select all
CTRL + C | Copy data from tables
CTRL + N | New file
CTRL + O | Open file
CTRL + P | Print screen
CTRL + Q | Close project
CTRL + S | Save project
CTRL + Y | Redo
CTRL + Z | Undo
CTRL + click on one point | Select all points
SHIFT + CTRL + DELETE
  • When you select a line: will remove the line but not the end points of the line
  • When you select multiple intersecting lines: will remove the lines, but not the intersection point
  • When you select a plate but not the borders: will remove the plate but not the borders
F1 | Open Diamonds Help
F2 | Calculate concrete reinforcement quantities
F3 | Steel and timber verification
F8 | Export to BIM Expert
F9 | Elastic analysis
F10 | Maximize
F11 | Minimize
F12 | Show everything as large as possible on the screen
SCROLL
  • Hold scroll down while moving mouse: pan
  • Scroll: zoom in and out
SHIFT + SCROLL | Rotate (3D orbit)
Right mouse click in drawing area | Open 'window configuration'
Right mouse click on the icon | Centers the model on the screen with a standard configuration of the global coordinate system (= X-axis pointing to the right, Z-axis pointing out of the screen, Y-axis pointing upward). Available in Diamonds 2021 (or newer).
Double click in drawing area | Open grid settings
a | Draw a new line
d | Open window to divide lines
e | Open extrude window
m | Open mirror window
p | Open projection window
r | Open rotation window
t | Open translation window

FAQ

Can I define hot keys myself?

No, that is not possible.

Is there a hot key to delete a line without deleting the plate?

No. A plate must always have a circumference. If you want to merge plates, read this article.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Required configuration

Diamonds was designed for MS Windows. It is recommended to have MS Windows 7, 8, 8.1 or 10 installed and at least 2 GB of RAM.

The speed with which Diamonds will conduct calculations is proportional to the clock speed of your processor. We recommend the Intel Pentium 4 or AMD Athlon processors with the clock speed of 3 GHz or more. Nevertheless, we recommend the Intel processor as the Diamonds calculation heart has been optimized for such type of processors.

Thanks to integrated OpenGL ® technology, Diamonds uses your graphic hardware in an optimal way. Your graphic card should be ATI RADEON or nVidia types supporting OpenGL ® version 2.0. It is necessary that your graphic card has an embedded memory of at least 128 MB.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Required software

Before installing Diamonds software, it is recommended to install Microsoft ® .NET Framework 4.0.

Your Diamonds license is on a USB flash disk delivered to you with this manual. BuildSoft uses protection developed and delivered by Wibu Systems, called CodeMeter. To be able to manage the licenses in a correct way it is necessary to install CodeMeter module from a CD-ROM, both on working station(s) and on your server (if you use the software in a network).

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Physical

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Operations in the libraries

The following topic apply to one item ( = material, section, reinforcement grid) from the library. The text and examples are based on the section library, but the same method applies for the other libraries.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium


Importing PowerFrame files

Diamonds allows you to open old PowerFrame files. This way, you can always build and analyse your model in PowerFrame, and then import it to Diamonds in order to conduct the calculation again with different assumptions.

BuildSoft
Hundelgemsesteenweg 244-1
9820 Merelbeke
Belgium